#!/usr/bin/env node

import path from "node:path";
import { spawn } from "node:child_process";
import { createRequire } from "node:module";

const require = createRequire(import.meta.url);
const pkgPath = path.dirname(require.resolve("eslint/package.json"));
const binary = path.join(pkgPath, "bin/eslint");

/* eslint-disable-next-line sonarjs/no-os-command-from-path -- should find via PATH */
spawn("node", [binary, ...process.argv.slice(2)], {
	stdio: "inherit",
}).on("exit", (code) => {
	process.exitCode = code;
});
