import { createRequire } from "node:module";
const require = createRequire(import.meta.url);
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __require = /* @__PURE__ */ ((x) => typeof require !== "undefined" ? require : typeof Proxy !== "undefined" ? new Proxy(x, {
  get: (a, b) => (typeof require !== "undefined" ? require : a)[b]
}) : x)(function(x) {
  if (typeof require !== "undefined") return require.apply(this, arguments);
  throw Error('Dynamic require of "' + x + '" is not supported');
});
var __commonJS = (cb, mod) => function __require2() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));

// ../../node_modules/argparse/lib/sub.js
var require_sub = __commonJS({
  "../../node_modules/argparse/lib/sub.js"(exports, module) {
    "use strict";
    var { inspect } = __require("util");
    module.exports = function sub(pattern, ...values) {
      let regex = /%(?:(%)|(-)?(\*)?(?:\((\w+)\))?([A-Za-z]))/g;
      let result = pattern.replace(regex, function(_, is_literal, is_left_align, is_padded, name, format) {
        if (is_literal) return "%";
        let padded_count = 0;
        if (is_padded) {
          if (values.length === 0) throw new TypeError("not enough arguments for format string");
          padded_count = values.shift();
          if (!Number.isInteger(padded_count)) throw new TypeError("* wants int");
        }
        let str;
        if (name !== void 0) {
          let dict = values[0];
          if (typeof dict !== "object" || dict === null) throw new TypeError("format requires a mapping");
          if (!(name in dict)) throw new TypeError(`no such key: '${name}'`);
          str = dict[name];
        } else {
          if (values.length === 0) throw new TypeError("not enough arguments for format string");
          str = values.shift();
        }
        switch (format) {
          case "s":
            str = String(str);
            break;
          case "r":
            str = inspect(str);
            break;
          case "d":
          case "i":
            if (typeof str !== "number") {
              throw new TypeError(`%${format} format: a number is required, not ${typeof str}`);
            }
            str = String(str.toFixed(0));
            break;
          default:
            throw new TypeError(`unsupported format character '${format}'`);
        }
        if (padded_count > 0) {
          return is_left_align ? str.padEnd(padded_count) : str.padStart(padded_count);
        } else {
          return str;
        }
      });
      if (values.length) {
        if (values.length === 1 && typeof values[0] === "object" && values[0] !== null) {
        } else {
          throw new TypeError("not all arguments converted during string formatting");
        }
      }
      return result;
    };
  }
});

// ../../node_modules/argparse/lib/textwrap.js
var require_textwrap = __commonJS({
  "../../node_modules/argparse/lib/textwrap.js"(exports, module) {
    "use strict";
    var wordsep_simple_re = /([\t\n\x0b\x0c\r ]+)/;
    var TextWrapper = class {
      /*
       *  Object for wrapping/filling text.  The public interface consists of
       *  the wrap() and fill() methods; the other methods are just there for
       *  subclasses to override in order to tweak the default behaviour.
       *  If you want to completely replace the main wrapping algorithm,
       *  you'll probably have to override _wrap_chunks().
       *
       *  Several instance attributes control various aspects of wrapping:
       *    width (default: 70)
       *      the maximum width of wrapped lines (unless break_long_words
       *      is false)
       *    initial_indent (default: "")
       *      string that will be prepended to the first line of wrapped
       *      output.  Counts towards the line's width.
       *    subsequent_indent (default: "")
       *      string that will be prepended to all lines save the first
       *      of wrapped output; also counts towards each line's width.
       *    expand_tabs (default: true)
       *      Expand tabs in input text to spaces before further processing.
       *      Each tab will become 0 .. 'tabsize' spaces, depending on its position
       *      in its line.  If false, each tab is treated as a single character.
       *    tabsize (default: 8)
       *      Expand tabs in input text to 0 .. 'tabsize' spaces, unless
       *      'expand_tabs' is false.
       *    replace_whitespace (default: true)
       *      Replace all whitespace characters in the input text by spaces
       *      after tab expansion.  Note that if expand_tabs is false and
       *      replace_whitespace is true, every tab will be converted to a
       *      single space!
       *    fix_sentence_endings (default: false)
       *      Ensure that sentence-ending punctuation is always followed
       *      by two spaces.  Off by default because the algorithm is
       *      (unavoidably) imperfect.
       *    break_long_words (default: true)
       *      Break words longer than 'width'.  If false, those words will not
       *      be broken, and some lines might be longer than 'width'.
       *    break_on_hyphens (default: true)
       *      Allow breaking hyphenated words. If true, wrapping will occur
       *      preferably on whitespaces and right after hyphens part of
       *      compound words.
       *    drop_whitespace (default: true)
       *      Drop leading and trailing whitespace from lines.
       *    max_lines (default: None)
       *      Truncate wrapped lines.
       *    placeholder (default: ' [...]')
       *      Append to the last line of truncated text.
       */
      constructor(options = {}) {
        let {
          width = 70,
          initial_indent = "",
          subsequent_indent = "",
          expand_tabs = true,
          replace_whitespace = true,
          fix_sentence_endings = false,
          break_long_words = true,
          drop_whitespace = true,
          break_on_hyphens = true,
          tabsize = 8,
          max_lines = void 0,
          placeholder = " [...]"
        } = options;
        this.width = width;
        this.initial_indent = initial_indent;
        this.subsequent_indent = subsequent_indent;
        this.expand_tabs = expand_tabs;
        this.replace_whitespace = replace_whitespace;
        this.fix_sentence_endings = fix_sentence_endings;
        this.break_long_words = break_long_words;
        this.drop_whitespace = drop_whitespace;
        this.break_on_hyphens = break_on_hyphens;
        this.tabsize = tabsize;
        this.max_lines = max_lines;
        this.placeholder = placeholder;
      }
      // -- Private methods -----------------------------------------------
      // (possibly useful for subclasses to override)
      _munge_whitespace(text) {
        if (this.expand_tabs) {
          text = text.replace(/\t/g, " ".repeat(this.tabsize));
        }
        if (this.replace_whitespace) {
          text = text.replace(/[\t\n\x0b\x0c\r]/g, " ");
        }
        return text;
      }
      _split(text) {
        let chunks = text.split(wordsep_simple_re);
        chunks = chunks.filter(Boolean);
        return chunks;
      }
      _handle_long_word(reversed_chunks, cur_line, cur_len, width) {
        let space_left;
        if (width < 1) {
          space_left = 1;
        } else {
          space_left = width - cur_len;
        }
        if (this.break_long_words) {
          cur_line.push(reversed_chunks[reversed_chunks.length - 1].slice(0, space_left));
          reversed_chunks[reversed_chunks.length - 1] = reversed_chunks[reversed_chunks.length - 1].slice(space_left);
        } else if (!cur_line) {
          cur_line.push(...reversed_chunks.pop());
        }
      }
      _wrap_chunks(chunks) {
        let lines = [];
        let indent;
        if (this.width <= 0) {
          throw Error(`invalid width ${this.width} (must be > 0)`);
        }
        if (this.max_lines !== void 0) {
          if (this.max_lines > 1) {
            indent = this.subsequent_indent;
          } else {
            indent = this.initial_indent;
          }
          if (indent.length + this.placeholder.trimStart().length > this.width) {
            throw Error("placeholder too large for max width");
          }
        }
        chunks = chunks.reverse();
        while (chunks.length > 0) {
          let cur_line = [];
          let cur_len = 0;
          let indent2;
          if (lines) {
            indent2 = this.subsequent_indent;
          } else {
            indent2 = this.initial_indent;
          }
          let width = this.width - indent2.length;
          if (this.drop_whitespace && chunks[chunks.length - 1].trim() === "" && lines.length > 0) {
            chunks.pop();
          }
          while (chunks.length > 0) {
            let l = chunks[chunks.length - 1].length;
            if (cur_len + l <= width) {
              cur_line.push(chunks.pop());
              cur_len += l;
            } else {
              break;
            }
          }
          if (chunks.length && chunks[chunks.length - 1].length > width) {
            this._handle_long_word(chunks, cur_line, cur_len, width);
            cur_len = cur_line.map((l) => l.length).reduce((a, b) => a + b, 0);
          }
          if (this.drop_whitespace && cur_line.length > 0 && cur_line[cur_line.length - 1].trim() === "") {
            cur_len -= cur_line[cur_line.length - 1].length;
            cur_line.pop();
          }
          if (cur_line) {
            if (this.max_lines === void 0 || lines.length + 1 < this.max_lines || (chunks.length === 0 || this.drop_whitespace && chunks.length === 1 && !chunks[0].trim()) && cur_len <= width) {
              lines.push(indent2 + cur_line.join(""));
            } else {
              let had_break = false;
              while (cur_line) {
                if (cur_line[cur_line.length - 1].trim() && cur_len + this.placeholder.length <= width) {
                  cur_line.push(this.placeholder);
                  lines.push(indent2 + cur_line.join(""));
                  had_break = true;
                  break;
                }
                cur_len -= cur_line[-1].length;
                cur_line.pop();
              }
              if (!had_break) {
                if (lines) {
                  let prev_line = lines[lines.length - 1].trimEnd();
                  if (prev_line.length + this.placeholder.length <= this.width) {
                    lines[lines.length - 1] = prev_line + this.placeholder;
                    break;
                  }
                }
                lines.push(indent2 + this.placeholder.lstrip());
              }
              break;
            }
          }
        }
        return lines;
      }
      _split_chunks(text) {
        text = this._munge_whitespace(text);
        return this._split(text);
      }
      // -- Public interface ----------------------------------------------
      wrap(text) {
        let chunks = this._split_chunks(text);
        return this._wrap_chunks(chunks);
      }
      fill(text) {
        return this.wrap(text).join("\n");
      }
    };
    function wrap(text, options = {}) {
      let { width = 70, ...kwargs } = options;
      let w = new TextWrapper(Object.assign({ width }, kwargs));
      return w.wrap(text);
    }
    function fill(text, options = {}) {
      let { width = 70, ...kwargs } = options;
      let w = new TextWrapper(Object.assign({ width }, kwargs));
      return w.fill(text);
    }
    var _whitespace_only_re = /^[ \t]+$/mg;
    var _leading_whitespace_re = /(^[ \t]*)(?:[^ \t\n])/mg;
    function dedent(text) {
      let margin = void 0;
      text = text.replace(_whitespace_only_re, "");
      let indents = text.match(_leading_whitespace_re) || [];
      for (let indent of indents) {
        indent = indent.slice(0, -1);
        if (margin === void 0) {
          margin = indent;
        } else if (indent.startsWith(margin)) {
        } else if (margin.startsWith(indent)) {
          margin = indent;
        } else {
          for (let i = 0; i < margin.length && i < indent.length; i++) {
            if (margin[i] !== indent[i]) {
              margin = margin.slice(0, i);
              break;
            }
          }
        }
      }
      if (margin) {
        text = text.replace(new RegExp("^" + margin, "mg"), "");
      }
      return text;
    }
    module.exports = { wrap, fill, dedent };
  }
});

// ../../node_modules/argparse/argparse.js
var require_argparse = __commonJS({
  "../../node_modules/argparse/argparse.js"(exports, module) {
    "use strict";
    var SUPPRESS = "==SUPPRESS==";
    var OPTIONAL = "?";
    var ZERO_OR_MORE = "*";
    var ONE_OR_MORE = "+";
    var PARSER = "A...";
    var REMAINDER = "...";
    var _UNRECOGNIZED_ARGS_ATTR = "_unrecognized_args";
    var assert = __require("assert");
    var util = __require("util");
    var fs3 = __require("fs");
    var sub = require_sub();
    var path5 = __require("path");
    var repr = util.inspect;
    function get_argv() {
      return process.argv.slice(1);
    }
    function get_terminal_size() {
      return {
        columns: +process.env.COLUMNS || process.stdout.columns || 80
      };
    }
    function hasattr(object, name) {
      return Object.prototype.hasOwnProperty.call(object, name);
    }
    function getattr(object, name, value) {
      return hasattr(object, name) ? object[name] : value;
    }
    function setattr(object, name, value) {
      object[name] = value;
    }
    function setdefault(object, name, value) {
      if (!hasattr(object, name)) object[name] = value;
      return object[name];
    }
    function delattr(object, name) {
      delete object[name];
    }
    function range(from, to, step = 1) {
      if (arguments.length === 1) [to, from] = [from, 0];
      if (typeof from !== "number" || typeof to !== "number" || typeof step !== "number") {
        throw new TypeError("argument cannot be interpreted as an integer");
      }
      if (step === 0) throw new TypeError("range() arg 3 must not be zero");
      let result = [];
      if (step > 0) {
        for (let i = from; i < to; i += step) result.push(i);
      } else {
        for (let i = from; i > to; i += step) result.push(i);
      }
      return result;
    }
    function splitlines(str, keepends = false) {
      let result;
      if (!keepends) {
        result = str.split(/\r\n|[\n\r\v\f\x1c\x1d\x1e\x85\u2028\u2029]/);
      } else {
        result = [];
        let parts = str.split(/(\r\n|[\n\r\v\f\x1c\x1d\x1e\x85\u2028\u2029])/);
        for (let i = 0; i < parts.length; i += 2) {
          result.push(parts[i] + (i + 1 < parts.length ? parts[i + 1] : ""));
        }
      }
      if (!result[result.length - 1]) result.pop();
      return result;
    }
    function _string_lstrip(string, prefix_chars) {
      let idx = 0;
      while (idx < string.length && prefix_chars.includes(string[idx])) idx++;
      return idx ? string.slice(idx) : string;
    }
    function _string_split(string, sep, maxsplit) {
      let result = string.split(sep);
      if (result.length > maxsplit) {
        result = result.slice(0, maxsplit).concat([result.slice(maxsplit).join(sep)]);
      }
      return result;
    }
    function _array_equal(array1, array2) {
      if (array1.length !== array2.length) return false;
      for (let i = 0; i < array1.length; i++) {
        if (array1[i] !== array2[i]) return false;
      }
      return true;
    }
    function _array_remove(array, item) {
      let idx = array.indexOf(item);
      if (idx === -1) throw new TypeError(sub("%r not in list", item));
      array.splice(idx, 1);
    }
    function _choices_to_array(choices) {
      if (choices === void 0) {
        return [];
      } else if (Array.isArray(choices)) {
        return choices;
      } else if (choices !== null && typeof choices[Symbol.iterator] === "function") {
        return Array.from(choices);
      } else if (typeof choices === "object" && choices !== null) {
        return Object.keys(choices);
      } else {
        throw new Error(sub("invalid choices value: %r", choices));
      }
    }
    function _callable(cls) {
      let result = {
        // object is needed for inferred class name
        [cls.name]: function(...args2) {
          let this_class = new.target === result || !new.target;
          return Reflect.construct(cls, args2, this_class ? cls : new.target);
        }
      };
      result[cls.name].prototype = cls.prototype;
      cls.prototype[Symbol.toStringTag] = cls.name;
      return result[cls.name];
    }
    function _alias(object, from, to) {
      try {
        let name = object.constructor.name;
        Object.defineProperty(object, from, {
          value: util.deprecate(object[to], sub(
            "%s.%s() is renamed to %s.%s()",
            name,
            from,
            name,
            to
          )),
          enumerable: false
        });
      } catch {
      }
    }
    function _camelcase_alias(_class) {
      for (let name of Object.getOwnPropertyNames(_class.prototype)) {
        let camelcase = name.replace(/\w_[a-z]/g, (s) => s[0] + s[2].toUpperCase());
        if (camelcase !== name) _alias(_class.prototype, camelcase, name);
      }
      return _class;
    }
    function _to_legacy_name(key) {
      key = key.replace(/\w_[a-z]/g, (s) => s[0] + s[2].toUpperCase());
      if (key === "default") key = "defaultValue";
      if (key === "const") key = "constant";
      return key;
    }
    function _to_new_name(key) {
      if (key === "defaultValue") key = "default";
      if (key === "constant") key = "const";
      key = key.replace(/[A-Z]/g, (c) => "_" + c.toLowerCase());
      return key;
    }
    var no_default = Symbol("no_default_value");
    function _parse_opts(args2, descriptor) {
      function get_name() {
        let stack = new Error().stack.split("\n").map((x) => x.match(/^    at (.*) \(.*\)$/)).filter(Boolean).map((m) => m[1]).map((fn) => fn.match(/[^ .]*$/)[0]);
        if (stack.length && stack[0] === get_name.name) stack.shift();
        if (stack.length && stack[0] === _parse_opts.name) stack.shift();
        return stack.length ? stack[0] : "";
      }
      args2 = Array.from(args2);
      let kwargs = {};
      let result = [];
      let last_opt = args2.length && args2[args2.length - 1];
      if (typeof last_opt === "object" && last_opt !== null && !Array.isArray(last_opt) && (!last_opt.constructor || last_opt.constructor.name === "Object")) {
        kwargs = Object.assign({}, args2.pop());
      }
      let renames = [];
      for (let key of Object.keys(descriptor)) {
        let old_name = _to_legacy_name(key);
        if (old_name !== key && old_name in kwargs) {
          if (key in kwargs) {
          } else {
            kwargs[key] = kwargs[old_name];
          }
          renames.push([old_name, key]);
          delete kwargs[old_name];
        }
      }
      if (renames.length) {
        let name = get_name();
        deprecate("camelcase_" + name, sub(
          "%s(): following options are renamed: %s",
          name,
          renames.map(([a, b]) => sub("%r -> %r", a, b))
        ));
      }
      let missing_positionals = [];
      let positional_count = args2.length;
      for (let [key, def] of Object.entries(descriptor)) {
        if (key[0] === "*") {
          if (key.length > 0 && key[1] === "*") {
            let renames2 = [];
            for (let key2 of Object.keys(kwargs)) {
              let new_name = _to_new_name(key2);
              if (new_name !== key2 && key2 in kwargs) {
                if (new_name in kwargs) {
                } else {
                  kwargs[new_name] = kwargs[key2];
                }
                renames2.push([key2, new_name]);
                delete kwargs[key2];
              }
            }
            if (renames2.length) {
              let name = get_name();
              deprecate("camelcase_" + name, sub(
                "%s(): following options are renamed: %s",
                name,
                renames2.map(([a, b]) => sub("%r -> %r", a, b))
              ));
            }
            result.push(kwargs);
            kwargs = {};
          } else {
            result.push(args2);
            args2 = [];
          }
        } else if (key in kwargs && args2.length > 0) {
          throw new TypeError(sub("%s() got multiple values for argument %r", get_name(), key));
        } else if (key in kwargs) {
          result.push(kwargs[key]);
          delete kwargs[key];
        } else if (args2.length > 0) {
          result.push(args2.shift());
        } else if (def !== no_default) {
          result.push(def);
        } else {
          missing_positionals.push(key);
        }
      }
      if (Object.keys(kwargs).length) {
        throw new TypeError(sub(
          "%s() got an unexpected keyword argument %r",
          get_name(),
          Object.keys(kwargs)[0]
        ));
      }
      if (args2.length) {
        let from = Object.entries(descriptor).filter(([k, v]) => k[0] !== "*" && v !== no_default).length;
        let to = Object.entries(descriptor).filter(([k]) => k[0] !== "*").length;
        throw new TypeError(sub(
          "%s() takes %s positional argument%s but %s %s given",
          get_name(),
          from === to ? sub("from %s to %s", from, to) : to,
          from === to && to === 1 ? "" : "s",
          positional_count,
          positional_count === 1 ? "was" : "were"
        ));
      }
      if (missing_positionals.length) {
        let strs = missing_positionals.map(repr);
        if (strs.length > 1) strs[strs.length - 1] = "and " + strs[strs.length - 1];
        let str_joined = strs.join(strs.length === 2 ? "" : ", ");
        throw new TypeError(sub(
          "%s() missing %i required positional argument%s: %s",
          get_name(),
          strs.length,
          strs.length === 1 ? "" : "s",
          str_joined
        ));
      }
      return result;
    }
    var _deprecations = {};
    function deprecate(id, string) {
      _deprecations[id] = _deprecations[id] || util.deprecate(() => {
      }, string);
      _deprecations[id]();
    }
    function _AttributeHolder(cls = Object) {
      return class _AttributeHolder extends cls {
        [util.inspect.custom]() {
          let type_name = this.constructor.name;
          let arg_strings = [];
          let star_args = {};
          for (let arg of this._get_args()) {
            arg_strings.push(repr(arg));
          }
          for (let [name, value] of this._get_kwargs()) {
            if (/^[a-z_][a-z0-9_$]*$/i.test(name)) {
              arg_strings.push(sub("%s=%r", name, value));
            } else {
              star_args[name] = value;
            }
          }
          if (Object.keys(star_args).length) {
            arg_strings.push(sub("**%s", repr(star_args)));
          }
          return sub("%s(%s)", type_name, arg_strings.join(", "));
        }
        toString() {
          return this[util.inspect.custom]();
        }
        _get_kwargs() {
          return Object.entries(this);
        }
        _get_args() {
          return [];
        }
      };
    }
    function _copy_items(items) {
      if (items === void 0) {
        return [];
      }
      return items.slice(0);
    }
    var HelpFormatter = _camelcase_alias(_callable(class HelpFormatter {
      /*
       *  Formatter for generating usage messages and argument help strings.
       *
       *  Only the name of this class is considered a public API. All the methods
       *  provided by the class are considered an implementation detail.
       */
      constructor() {
        let [
          prog,
          indent_increment,
          max_help_position,
          width
        ] = _parse_opts(arguments, {
          prog: no_default,
          indent_increment: 2,
          max_help_position: 24,
          width: void 0
        });
        if (width === void 0) {
          width = get_terminal_size().columns;
          width -= 2;
        }
        this._prog = prog;
        this._indent_increment = indent_increment;
        this._max_help_position = Math.min(
          max_help_position,
          Math.max(width - 20, indent_increment * 2)
        );
        this._width = width;
        this._current_indent = 0;
        this._level = 0;
        this._action_max_length = 0;
        this._root_section = this._Section(this, void 0);
        this._current_section = this._root_section;
        this._whitespace_matcher = /[ \t\n\r\f\v]+/g;
        this._long_break_matcher = /\n\n\n+/g;
      }
      // ===============================
      // Section and indentation methods
      // ===============================
      _indent() {
        this._current_indent += this._indent_increment;
        this._level += 1;
      }
      _dedent() {
        this._current_indent -= this._indent_increment;
        assert(this._current_indent >= 0, "Indent decreased below 0.");
        this._level -= 1;
      }
      _add_item(func, args2) {
        this._current_section.items.push([func, args2]);
      }
      // ========================
      // Message building methods
      // ========================
      start_section(heading) {
        this._indent();
        let section = this._Section(this, this._current_section, heading);
        this._add_item(section.format_help.bind(section), []);
        this._current_section = section;
      }
      end_section() {
        this._current_section = this._current_section.parent;
        this._dedent();
      }
      add_text(text) {
        if (text !== SUPPRESS && text !== void 0) {
          this._add_item(this._format_text.bind(this), [text]);
        }
      }
      add_usage(usage, actions, groups, prefix = void 0) {
        if (usage !== SUPPRESS) {
          let args2 = [usage, actions, groups, prefix];
          this._add_item(this._format_usage.bind(this), args2);
        }
      }
      add_argument(action) {
        if (action.help !== SUPPRESS) {
          let invocations = [this._format_action_invocation(action)];
          for (let subaction of this._iter_indented_subactions(action)) {
            invocations.push(this._format_action_invocation(subaction));
          }
          let invocation_length = Math.max(...invocations.map((invocation) => invocation.length));
          let action_length = invocation_length + this._current_indent;
          this._action_max_length = Math.max(
            this._action_max_length,
            action_length
          );
          this._add_item(this._format_action.bind(this), [action]);
        }
      }
      add_arguments(actions) {
        for (let action of actions) {
          this.add_argument(action);
        }
      }
      // =======================
      // Help-formatting methods
      // =======================
      format_help() {
        let help = this._root_section.format_help();
        if (help) {
          help = help.replace(this._long_break_matcher, "\n\n");
          help = help.replace(/^\n+|\n+$/g, "") + "\n";
        }
        return help;
      }
      _join_parts(part_strings) {
        return part_strings.filter((part) => part && part !== SUPPRESS).join("");
      }
      _format_usage(usage, actions, groups, prefix) {
        if (prefix === void 0) {
          prefix = "usage: ";
        }
        if (usage !== void 0) {
          usage = sub(usage, { prog: this._prog });
        } else if (usage === void 0 && !actions.length) {
          usage = sub("%(prog)s", { prog: this._prog });
        } else if (usage === void 0) {
          let prog = sub("%(prog)s", { prog: this._prog });
          let optionals = [];
          let positionals = [];
          for (let action of actions) {
            if (action.option_strings.length) {
              optionals.push(action);
            } else {
              positionals.push(action);
            }
          }
          let action_usage = this._format_actions_usage([].concat(optionals).concat(positionals), groups);
          usage = [prog, action_usage].map(String).join(" ");
          let text_width = this._width - this._current_indent;
          if (prefix.length + usage.length > text_width) {
            let part_regexp = /\(.*?\)+(?=\s|$)|\[.*?\]+(?=\s|$)|\S+/g;
            let opt_usage = this._format_actions_usage(optionals, groups);
            let pos_usage = this._format_actions_usage(positionals, groups);
            let opt_parts = opt_usage.match(part_regexp) || [];
            let pos_parts = pos_usage.match(part_regexp) || [];
            assert(opt_parts.join(" ") === opt_usage);
            assert(pos_parts.join(" ") === pos_usage);
            let get_lines = (parts, indent, prefix2 = void 0) => {
              let lines2 = [];
              let line = [];
              let line_len;
              if (prefix2 !== void 0) {
                line_len = prefix2.length - 1;
              } else {
                line_len = indent.length - 1;
              }
              for (let part of parts) {
                if (line_len + 1 + part.length > text_width && line) {
                  lines2.push(indent + line.join(" "));
                  line = [];
                  line_len = indent.length - 1;
                }
                line.push(part);
                line_len += part.length + 1;
              }
              if (line.length) {
                lines2.push(indent + line.join(" "));
              }
              if (prefix2 !== void 0) {
                lines2[0] = lines2[0].slice(indent.length);
              }
              return lines2;
            };
            let lines;
            if (prefix.length + prog.length <= 0.75 * text_width) {
              let indent = " ".repeat(prefix.length + prog.length + 1);
              if (opt_parts.length) {
                lines = get_lines([prog].concat(opt_parts), indent, prefix);
                lines = lines.concat(get_lines(pos_parts, indent));
              } else if (pos_parts.length) {
                lines = get_lines([prog].concat(pos_parts), indent, prefix);
              } else {
                lines = [prog];
              }
            } else {
              let indent = " ".repeat(prefix.length);
              let parts = [].concat(opt_parts).concat(pos_parts);
              lines = get_lines(parts, indent);
              if (lines.length > 1) {
                lines = [];
                lines = lines.concat(get_lines(opt_parts, indent));
                lines = lines.concat(get_lines(pos_parts, indent));
              }
              lines = [prog].concat(lines);
            }
            usage = lines.join("\n");
          }
        }
        return sub("%s%s\n\n", prefix, usage);
      }
      _format_actions_usage(actions, groups) {
        let group_actions = /* @__PURE__ */ new Set();
        let inserts = {};
        for (let group of groups) {
          let start = actions.indexOf(group._group_actions[0]);
          if (start === -1) {
            continue;
          } else {
            let end = start + group._group_actions.length;
            if (_array_equal(actions.slice(start, end), group._group_actions)) {
              for (let action of group._group_actions) {
                group_actions.add(action);
              }
              if (!group.required) {
                if (start in inserts) {
                  inserts[start] += " [";
                } else {
                  inserts[start] = "[";
                }
                if (end in inserts) {
                  inserts[end] += "]";
                } else {
                  inserts[end] = "]";
                }
              } else {
                if (start in inserts) {
                  inserts[start] += " (";
                } else {
                  inserts[start] = "(";
                }
                if (end in inserts) {
                  inserts[end] += ")";
                } else {
                  inserts[end] = ")";
                }
              }
              for (let i of range(start + 1, end)) {
                inserts[i] = "|";
              }
            }
          }
        }
        let parts = [];
        for (let [i, action] of Object.entries(actions)) {
          if (action.help === SUPPRESS) {
            parts.push(void 0);
            if (inserts[+i] === "|") {
              delete inserts[+i];
            } else if (inserts[+i + 1] === "|") {
              delete inserts[+i + 1];
            }
          } else if (!action.option_strings.length) {
            let default_value = this._get_default_metavar_for_positional(action);
            let part = this._format_args(action, default_value);
            if (group_actions.has(action)) {
              if (part[0] === "[" && part[part.length - 1] === "]") {
                part = part.slice(1, -1);
              }
            }
            parts.push(part);
          } else {
            let option_string = action.option_strings[0];
            let part;
            if (action.nargs === 0) {
              part = action.format_usage();
            } else {
              let default_value = this._get_default_metavar_for_optional(action);
              let args_string = this._format_args(action, default_value);
              part = sub("%s %s", option_string, args_string);
            }
            if (!action.required && !group_actions.has(action)) {
              part = sub("[%s]", part);
            }
            parts.push(part);
          }
        }
        for (let i of Object.keys(inserts).map(Number).sort((a, b) => b - a)) {
          parts.splice(+i, 0, inserts[+i]);
        }
        let text = parts.filter(Boolean).join(" ");
        text = text.replace(/([\[(]) /g, "$1");
        text = text.replace(/ ([\])])/g, "$1");
        text = text.replace(/[\[(] *[\])]/g, "");
        text = text.replace(/\(([^|]*)\)/g, "$1", text);
        text = text.trim();
        return text;
      }
      _format_text(text) {
        if (text.includes("%(prog)")) {
          text = sub(text, { prog: this._prog });
        }
        let text_width = Math.max(this._width - this._current_indent, 11);
        let indent = " ".repeat(this._current_indent);
        return this._fill_text(text, text_width, indent) + "\n\n";
      }
      _format_action(action) {
        let help_position = Math.min(
          this._action_max_length + 2,
          this._max_help_position
        );
        let help_width = Math.max(this._width - help_position, 11);
        let action_width = help_position - this._current_indent - 2;
        let action_header = this._format_action_invocation(action);
        let indent_first;
        if (!action.help) {
          let tup = [this._current_indent, "", action_header];
          action_header = sub("%*s%s\n", ...tup);
        } else if (action_header.length <= action_width) {
          let tup = [this._current_indent, "", action_width, action_header];
          action_header = sub("%*s%-*s  ", ...tup);
          indent_first = 0;
        } else {
          let tup = [this._current_indent, "", action_header];
          action_header = sub("%*s%s\n", ...tup);
          indent_first = help_position;
        }
        let parts = [action_header];
        if (action.help) {
          let help_text = this._expand_help(action);
          let help_lines = this._split_lines(help_text, help_width);
          parts.push(sub("%*s%s\n", indent_first, "", help_lines[0]));
          for (let line of help_lines.slice(1)) {
            parts.push(sub("%*s%s\n", help_position, "", line));
          }
        } else if (!action_header.endsWith("\n")) {
          parts.push("\n");
        }
        for (let subaction of this._iter_indented_subactions(action)) {
          parts.push(this._format_action(subaction));
        }
        return this._join_parts(parts);
      }
      _format_action_invocation(action) {
        if (!action.option_strings.length) {
          let default_value = this._get_default_metavar_for_positional(action);
          let metavar = this._metavar_formatter(action, default_value)(1)[0];
          return metavar;
        } else {
          let parts = [];
          if (action.nargs === 0) {
            parts = parts.concat(action.option_strings);
          } else {
            let default_value = this._get_default_metavar_for_optional(action);
            let args_string = this._format_args(action, default_value);
            for (let option_string of action.option_strings) {
              parts.push(sub("%s %s", option_string, args_string));
            }
          }
          return parts.join(", ");
        }
      }
      _metavar_formatter(action, default_metavar) {
        let result;
        if (action.metavar !== void 0) {
          result = action.metavar;
        } else if (action.choices !== void 0) {
          let choice_strs = _choices_to_array(action.choices).map(String);
          result = sub("{%s}", choice_strs.join(","));
        } else {
          result = default_metavar;
        }
        function format(tuple_size) {
          if (Array.isArray(result)) {
            return result;
          } else {
            return Array(tuple_size).fill(result);
          }
        }
        return format;
      }
      _format_args(action, default_metavar) {
        let get_metavar = this._metavar_formatter(action, default_metavar);
        let result;
        if (action.nargs === void 0) {
          result = sub("%s", ...get_metavar(1));
        } else if (action.nargs === OPTIONAL) {
          result = sub("[%s]", ...get_metavar(1));
        } else if (action.nargs === ZERO_OR_MORE) {
          let metavar = get_metavar(1);
          if (metavar.length === 2) {
            result = sub("[%s [%s ...]]", ...metavar);
          } else {
            result = sub("[%s ...]", ...metavar);
          }
        } else if (action.nargs === ONE_OR_MORE) {
          result = sub("%s [%s ...]", ...get_metavar(2));
        } else if (action.nargs === REMAINDER) {
          result = "...";
        } else if (action.nargs === PARSER) {
          result = sub("%s ...", ...get_metavar(1));
        } else if (action.nargs === SUPPRESS) {
          result = "";
        } else {
          let formats;
          try {
            formats = range(action.nargs).map(() => "%s");
          } catch (err) {
            throw new TypeError("invalid nargs value");
          }
          result = sub(formats.join(" "), ...get_metavar(action.nargs));
        }
        return result;
      }
      _expand_help(action) {
        let params = Object.assign({ prog: this._prog }, action);
        for (let name of Object.keys(params)) {
          if (params[name] === SUPPRESS) {
            delete params[name];
          }
        }
        for (let name of Object.keys(params)) {
          if (params[name] && params[name].name) {
            params[name] = params[name].name;
          }
        }
        if (params.choices !== void 0) {
          let choices_str = _choices_to_array(params.choices).map(String).join(", ");
          params.choices = choices_str;
        }
        for (let key of Object.keys(params)) {
          let old_name = _to_legacy_name(key);
          if (old_name !== key) {
            params[old_name] = params[key];
          }
        }
        return sub(this._get_help_string(action), params);
      }
      *_iter_indented_subactions(action) {
        if (typeof action._get_subactions === "function") {
          this._indent();
          yield* action._get_subactions();
          this._dedent();
        }
      }
      _split_lines(text, width) {
        text = text.replace(this._whitespace_matcher, " ").trim();
        let textwrap = require_textwrap();
        return textwrap.wrap(text, { width });
      }
      _fill_text(text, width, indent) {
        text = text.replace(this._whitespace_matcher, " ").trim();
        let textwrap = require_textwrap();
        return textwrap.fill(text, {
          width,
          initial_indent: indent,
          subsequent_indent: indent
        });
      }
      _get_help_string(action) {
        return action.help;
      }
      _get_default_metavar_for_optional(action) {
        return action.dest.toUpperCase();
      }
      _get_default_metavar_for_positional(action) {
        return action.dest;
      }
    }));
    HelpFormatter.prototype._Section = _callable(class _Section {
      constructor(formatter, parent, heading = void 0) {
        this.formatter = formatter;
        this.parent = parent;
        this.heading = heading;
        this.items = [];
      }
      format_help() {
        if (this.parent !== void 0) {
          this.formatter._indent();
        }
        let item_help = this.formatter._join_parts(this.items.map(([func, args2]) => func.apply(null, args2)));
        if (this.parent !== void 0) {
          this.formatter._dedent();
        }
        if (!item_help) {
          return "";
        }
        let heading;
        if (this.heading !== SUPPRESS && this.heading !== void 0) {
          let current_indent = this.formatter._current_indent;
          heading = sub("%*s%s:\n", current_indent, "", this.heading);
        } else {
          heading = "";
        }
        return this.formatter._join_parts(["\n", heading, item_help, "\n"]);
      }
    });
    var RawDescriptionHelpFormatter = _camelcase_alias(_callable(class RawDescriptionHelpFormatter extends HelpFormatter {
      /*
       *  Help message formatter which retains any formatting in descriptions.
       *
       *  Only the name of this class is considered a public API. All the methods
       *  provided by the class are considered an implementation detail.
       */
      _fill_text(text, width, indent) {
        return splitlines(text, true).map((line) => indent + line).join("");
      }
    }));
    var RawTextHelpFormatter = _camelcase_alias(_callable(class RawTextHelpFormatter extends RawDescriptionHelpFormatter {
      /*
       *  Help message formatter which retains formatting of all help text.
       *
       *  Only the name of this class is considered a public API. All the methods
       *  provided by the class are considered an implementation detail.
       */
      _split_lines(text) {
        return splitlines(text);
      }
    }));
    var ArgumentDefaultsHelpFormatter = _camelcase_alias(_callable(class ArgumentDefaultsHelpFormatter extends HelpFormatter {
      /*
       *  Help message formatter which adds default values to argument help.
       *
       *  Only the name of this class is considered a public API. All the methods
       *  provided by the class are considered an implementation detail.
       */
      _get_help_string(action) {
        let help = action.help;
        if (!action.help.includes("%(default)") && !action.help.includes("%(defaultValue)")) {
          if (action.default !== SUPPRESS) {
            let defaulting_nargs = [OPTIONAL, ZERO_OR_MORE];
            if (action.option_strings.length || defaulting_nargs.includes(action.nargs)) {
              help += " (default: %(default)s)";
            }
          }
        }
        return help;
      }
    }));
    var MetavarTypeHelpFormatter = _camelcase_alias(_callable(class MetavarTypeHelpFormatter extends HelpFormatter {
      /*
       *  Help message formatter which uses the argument 'type' as the default
       *  metavar value (instead of the argument 'dest')
       *
       *  Only the name of this class is considered a public API. All the methods
       *  provided by the class are considered an implementation detail.
       */
      _get_default_metavar_for_optional(action) {
        return typeof action.type === "function" ? action.type.name : action.type;
      }
      _get_default_metavar_for_positional(action) {
        return typeof action.type === "function" ? action.type.name : action.type;
      }
    }));
    function _get_action_name(argument) {
      if (argument === void 0) {
        return void 0;
      } else if (argument.option_strings.length) {
        return argument.option_strings.join("/");
      } else if (![void 0, SUPPRESS].includes(argument.metavar)) {
        return argument.metavar;
      } else if (![void 0, SUPPRESS].includes(argument.dest)) {
        return argument.dest;
      } else {
        return void 0;
      }
    }
    var ArgumentError = _callable(class ArgumentError extends Error {
      /*
       *  An error from creating or using an argument (optional or positional).
       *
       *  The string value of this exception is the message, augmented with
       *  information about the argument that caused it.
       */
      constructor(argument, message) {
        super();
        this.name = "ArgumentError";
        this._argument_name = _get_action_name(argument);
        this._message = message;
        this.message = this.str();
      }
      str() {
        let format;
        if (this._argument_name === void 0) {
          format = "%(message)s";
        } else {
          format = "argument %(argument_name)s: %(message)s";
        }
        return sub(format, {
          message: this._message,
          argument_name: this._argument_name
        });
      }
    });
    var ArgumentTypeError = _callable(class ArgumentTypeError extends Error {
      /*
       * An error from trying to convert a command line string to a type.
       */
      constructor(message) {
        super(message);
        this.name = "ArgumentTypeError";
      }
    });
    var Action = _camelcase_alias(_callable(class Action extends _AttributeHolder(Function) {
      /*
       *  Information about how to convert command line strings to Python objects.
       *
       *  Action objects are used by an ArgumentParser to represent the information
       *  needed to parse a single argument from one or more strings from the
       *  command line. The keyword arguments to the Action constructor are also
       *  all attributes of Action instances.
       *
       *  Keyword Arguments:
       *
       *      - option_strings -- A list of command-line option strings which
       *          should be associated with this action.
       *
       *      - dest -- The name of the attribute to hold the created object(s)
       *
       *      - nargs -- The number of command-line arguments that should be
       *          consumed. By default, one argument will be consumed and a single
       *          value will be produced.  Other values include:
       *              - N (an integer) consumes N arguments (and produces a list)
       *              - '?' consumes zero or one arguments
       *              - '*' consumes zero or more arguments (and produces a list)
       *              - '+' consumes one or more arguments (and produces a list)
       *          Note that the difference between the default and nargs=1 is that
       *          with the default, a single value will be produced, while with
       *          nargs=1, a list containing a single value will be produced.
       *
       *      - const -- The value to be produced if the option is specified and the
       *          option uses an action that takes no values.
       *
       *      - default -- The value to be produced if the option is not specified.
       *
       *      - type -- A callable that accepts a single string argument, and
       *          returns the converted value.  The standard Python types str, int,
       *          float, and complex are useful examples of such callables.  If None,
       *          str is used.
       *
       *      - choices -- A container of values that should be allowed. If not None,
       *          after a command-line argument has been converted to the appropriate
       *          type, an exception will be raised if it is not a member of this
       *          collection.
       *
       *      - required -- True if the action must always be specified at the
       *          command line. This is only meaningful for optional command-line
       *          arguments.
       *
       *      - help -- The help string describing the argument.
       *
       *      - metavar -- The name to be used for the option's argument with the
       *          help string. If None, the 'dest' value will be used as the name.
       */
      constructor() {
        let [
          option_strings,
          dest,
          nargs,
          const_value,
          default_value,
          type,
          choices,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          nargs: void 0,
          const: void 0,
          default: void 0,
          type: void 0,
          choices: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        super("return arguments.callee.call.apply(arguments.callee, arguments)");
        this.option_strings = option_strings;
        this.dest = dest;
        this.nargs = nargs;
        this.const = const_value;
        this.default = default_value;
        this.type = type;
        this.choices = choices;
        this.required = required;
        this.help = help;
        this.metavar = metavar;
      }
      _get_kwargs() {
        let names = [
          "option_strings",
          "dest",
          "nargs",
          "const",
          "default",
          "type",
          "choices",
          "help",
          "metavar"
        ];
        return names.map((name) => [name, getattr(this, name)]);
      }
      format_usage() {
        return this.option_strings[0];
      }
      call() {
        throw new Error(".call() not defined");
      }
    }));
    var BooleanOptionalAction = _camelcase_alias(_callable(class BooleanOptionalAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          default_value,
          type,
          choices,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          default: void 0,
          type: void 0,
          choices: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        let _option_strings = [];
        for (let option_string of option_strings) {
          _option_strings.push(option_string);
          if (option_string.startsWith("--")) {
            option_string = "--no-" + option_string.slice(2);
            _option_strings.push(option_string);
          }
        }
        if (help !== void 0 && default_value !== void 0) {
          help += ` (default: ${default_value})`;
        }
        super({
          option_strings: _option_strings,
          dest,
          nargs: 0,
          default: default_value,
          type,
          choices,
          required,
          help,
          metavar
        });
      }
      call(parser2, namespace, values, option_string = void 0) {
        if (this.option_strings.includes(option_string)) {
          setattr(namespace, this.dest, !option_string.startsWith("--no-"));
        }
      }
      format_usage() {
        return this.option_strings.join(" | ");
      }
    }));
    var _StoreAction = _callable(class _StoreAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          nargs,
          const_value,
          default_value,
          type,
          choices,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          nargs: void 0,
          const: void 0,
          default: void 0,
          type: void 0,
          choices: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        if (nargs === 0) {
          throw new TypeError("nargs for store actions must be != 0; if you have nothing to store, actions such as store true or store const may be more appropriate");
        }
        if (const_value !== void 0 && nargs !== OPTIONAL) {
          throw new TypeError(sub("nargs must be %r to supply const", OPTIONAL));
        }
        super({
          option_strings,
          dest,
          nargs,
          const: const_value,
          default: default_value,
          type,
          choices,
          required,
          help,
          metavar
        });
      }
      call(parser2, namespace, values) {
        setattr(namespace, this.dest, values);
      }
    });
    var _StoreConstAction = _callable(class _StoreConstAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          const_value,
          default_value,
          required,
          help
          //, metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          const: no_default,
          default: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        super({
          option_strings,
          dest,
          nargs: 0,
          const: const_value,
          default: default_value,
          required,
          help
        });
      }
      call(parser2, namespace) {
        setattr(namespace, this.dest, this.const);
      }
    });
    var _StoreTrueAction = _callable(class _StoreTrueAction extends _StoreConstAction {
      constructor() {
        let [
          option_strings,
          dest,
          default_value,
          required,
          help
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          default: false,
          required: false,
          help: void 0
        });
        super({
          option_strings,
          dest,
          const: true,
          default: default_value,
          required,
          help
        });
      }
    });
    var _StoreFalseAction = _callable(class _StoreFalseAction extends _StoreConstAction {
      constructor() {
        let [
          option_strings,
          dest,
          default_value,
          required,
          help
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          default: true,
          required: false,
          help: void 0
        });
        super({
          option_strings,
          dest,
          const: false,
          default: default_value,
          required,
          help
        });
      }
    });
    var _AppendAction = _callable(class _AppendAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          nargs,
          const_value,
          default_value,
          type,
          choices,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          nargs: void 0,
          const: void 0,
          default: void 0,
          type: void 0,
          choices: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        if (nargs === 0) {
          throw new TypeError("nargs for append actions must be != 0; if arg strings are not supplying the value to append, the append const action may be more appropriate");
        }
        if (const_value !== void 0 && nargs !== OPTIONAL) {
          throw new TypeError(sub("nargs must be %r to supply const", OPTIONAL));
        }
        super({
          option_strings,
          dest,
          nargs,
          const: const_value,
          default: default_value,
          type,
          choices,
          required,
          help,
          metavar
        });
      }
      call(parser2, namespace, values) {
        let items = getattr(namespace, this.dest, void 0);
        items = _copy_items(items);
        items.push(values);
        setattr(namespace, this.dest, items);
      }
    });
    var _AppendConstAction = _callable(class _AppendConstAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          const_value,
          default_value,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          const: no_default,
          default: void 0,
          required: false,
          help: void 0,
          metavar: void 0
        });
        super({
          option_strings,
          dest,
          nargs: 0,
          const: const_value,
          default: default_value,
          required,
          help,
          metavar
        });
      }
      call(parser2, namespace) {
        let items = getattr(namespace, this.dest, void 0);
        items = _copy_items(items);
        items.push(this.const);
        setattr(namespace, this.dest, items);
      }
    });
    var _CountAction = _callable(class _CountAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          default_value,
          required,
          help
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: no_default,
          default: void 0,
          required: false,
          help: void 0
        });
        super({
          option_strings,
          dest,
          nargs: 0,
          default: default_value,
          required,
          help
        });
      }
      call(parser2, namespace) {
        let count = getattr(namespace, this.dest, void 0);
        if (count === void 0) {
          count = 0;
        }
        setattr(namespace, this.dest, count + 1);
      }
    });
    var _HelpAction = _callable(class _HelpAction extends Action {
      constructor() {
        let [
          option_strings,
          dest,
          default_value,
          help
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          dest: SUPPRESS,
          default: SUPPRESS,
          help: void 0
        });
        super({
          option_strings,
          dest,
          default: default_value,
          nargs: 0,
          help
        });
      }
      call(parser2) {
        parser2.print_help();
        parser2.exit();
      }
    });
    var _VersionAction = _callable(class _VersionAction extends Action {
      constructor() {
        let [
          option_strings,
          version,
          dest,
          default_value,
          help
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          version: void 0,
          dest: SUPPRESS,
          default: SUPPRESS,
          help: "show program's version number and exit"
        });
        super({
          option_strings,
          dest,
          default: default_value,
          nargs: 0,
          help
        });
        this.version = version;
      }
      call(parser2) {
        let version = this.version;
        if (version === void 0) {
          version = parser2.version;
        }
        let formatter = parser2._get_formatter();
        formatter.add_text(version);
        parser2._print_message(formatter.format_help(), process.stdout);
        parser2.exit();
      }
    });
    var _SubParsersAction = _camelcase_alias(_callable(class _SubParsersAction extends Action {
      constructor() {
        let [
          option_strings,
          prog,
          parser_class,
          dest,
          required,
          help,
          metavar
        ] = _parse_opts(arguments, {
          option_strings: no_default,
          prog: no_default,
          parser_class: no_default,
          dest: SUPPRESS,
          required: false,
          help: void 0,
          metavar: void 0
        });
        let name_parser_map = {};
        super({
          option_strings,
          dest,
          nargs: PARSER,
          choices: name_parser_map,
          required,
          help,
          metavar
        });
        this._prog_prefix = prog;
        this._parser_class = parser_class;
        this._name_parser_map = name_parser_map;
        this._choices_actions = [];
      }
      add_parser() {
        let [
          name,
          kwargs
        ] = _parse_opts(arguments, {
          name: no_default,
          "**kwargs": no_default
        });
        if (kwargs.prog === void 0) {
          kwargs.prog = sub("%s %s", this._prog_prefix, name);
        }
        let aliases = getattr(kwargs, "aliases", []);
        delete kwargs.aliases;
        if ("help" in kwargs) {
          let help = kwargs.help;
          delete kwargs.help;
          let choice_action = this._ChoicesPseudoAction(name, aliases, help);
          this._choices_actions.push(choice_action);
        }
        let parser2 = new this._parser_class(kwargs);
        this._name_parser_map[name] = parser2;
        for (let alias of aliases) {
          this._name_parser_map[alias] = parser2;
        }
        return parser2;
      }
      _get_subactions() {
        return this._choices_actions;
      }
      call(parser2, namespace, values) {
        let parser_name = values[0];
        let arg_strings = values.slice(1);
        if (this.dest !== SUPPRESS) {
          setattr(namespace, this.dest, parser_name);
        }
        if (hasattr(this._name_parser_map, parser_name)) {
          parser2 = this._name_parser_map[parser_name];
        } else {
          let args2 = {
            parser_name,
            choices: this._name_parser_map.join(", ")
          };
          let msg = sub("unknown parser %(parser_name)r (choices: %(choices)s)", args2);
          throw new ArgumentError(this, msg);
        }
        let subnamespace;
        [subnamespace, arg_strings] = parser2.parse_known_args(arg_strings, void 0);
        for (let [key, value] of Object.entries(subnamespace)) {
          setattr(namespace, key, value);
        }
        if (arg_strings.length) {
          setdefault(namespace, _UNRECOGNIZED_ARGS_ATTR, []);
          getattr(namespace, _UNRECOGNIZED_ARGS_ATTR).push(...arg_strings);
        }
      }
    }));
    _SubParsersAction.prototype._ChoicesPseudoAction = _callable(class _ChoicesPseudoAction extends Action {
      constructor(name, aliases, help) {
        let metavar = name, dest = name;
        if (aliases.length) {
          metavar += sub(" (%s)", aliases.join(", "));
        }
        super({ option_strings: [], dest, help, metavar });
      }
    });
    var _ExtendAction = _callable(class _ExtendAction extends _AppendAction {
      call(parser2, namespace, values) {
        let items = getattr(namespace, this.dest, void 0);
        items = _copy_items(items);
        items = items.concat(values);
        setattr(namespace, this.dest, items);
      }
    });
    var FileType = _callable(class FileType extends Function {
      /*
       *  Factory for creating file object types
       *
       *  Instances of FileType are typically passed as type= arguments to the
       *  ArgumentParser add_argument() method.
       *
       *  Keyword Arguments:
       *      - mode -- A string indicating how the file is to be opened. Accepts the
       *          same values as the builtin open() function.
       *      - bufsize -- The file's desired buffer size. Accepts the same values as
       *          the builtin open() function.
       *      - encoding -- The file's encoding. Accepts the same values as the
       *          builtin open() function.
       *      - errors -- A string indicating how encoding and decoding errors are to
       *          be handled. Accepts the same value as the builtin open() function.
       */
      constructor() {
        let [
          flags,
          encoding,
          mode,
          autoClose,
          emitClose,
          start,
          end,
          highWaterMark,
          fs4
        ] = _parse_opts(arguments, {
          flags: "r",
          encoding: void 0,
          mode: void 0,
          // 0o666
          autoClose: void 0,
          // true
          emitClose: void 0,
          // false
          start: void 0,
          // 0
          end: void 0,
          // Infinity
          highWaterMark: void 0,
          // 64 * 1024
          fs: void 0
        });
        super("return arguments.callee.call.apply(arguments.callee, arguments)");
        Object.defineProperty(this, "name", {
          get() {
            return sub("FileType(%r)", flags);
          }
        });
        this._flags = flags;
        this._options = {};
        if (encoding !== void 0) this._options.encoding = encoding;
        if (mode !== void 0) this._options.mode = mode;
        if (autoClose !== void 0) this._options.autoClose = autoClose;
        if (emitClose !== void 0) this._options.emitClose = emitClose;
        if (start !== void 0) this._options.start = start;
        if (end !== void 0) this._options.end = end;
        if (highWaterMark !== void 0) this._options.highWaterMark = highWaterMark;
        if (fs4 !== void 0) this._options.fs = fs4;
      }
      call(string) {
        if (string === "-") {
          if (this._flags.includes("r")) {
            return process.stdin;
          } else if (this._flags.includes("w")) {
            return process.stdout;
          } else {
            let msg = sub('argument "-" with mode %r', this._flags);
            throw new TypeError(msg);
          }
        }
        let fd;
        try {
          fd = fs3.openSync(string, this._flags, this._options.mode);
        } catch (e) {
          let args2 = { filename: string, error: e.message };
          let message = "can't open '%(filename)s': %(error)s";
          throw new ArgumentTypeError(sub(message, args2));
        }
        let options = Object.assign({ fd, flags: this._flags }, this._options);
        if (this._flags.includes("r")) {
          return fs3.createReadStream(void 0, options);
        } else if (this._flags.includes("w")) {
          return fs3.createWriteStream(void 0, options);
        } else {
          let msg = sub('argument "%s" with mode %r', string, this._flags);
          throw new TypeError(msg);
        }
      }
      [util.inspect.custom]() {
        let args2 = [this._flags];
        let kwargs = Object.entries(this._options).map(([k, v]) => {
          if (k === "mode") v = { value: v, [util.inspect.custom]() {
            return "0o" + this.value.toString(8);
          } };
          return [k, v];
        });
        let args_str = [].concat(args2.filter((arg) => arg !== -1).map(repr)).concat(kwargs.filter(([, arg]) => arg !== void 0).map(([kw, arg]) => sub("%s=%r", kw, arg))).join(", ");
        return sub("%s(%s)", this.constructor.name, args_str);
      }
      toString() {
        return this[util.inspect.custom]();
      }
    });
    var Namespace = _callable(class Namespace extends _AttributeHolder() {
      /*
       *  Simple object for storing attributes.
       *
       *  Implements equality by attribute names and values, and provides a simple
       *  string representation.
       */
      constructor(options = {}) {
        super();
        Object.assign(this, options);
      }
    });
    Namespace.prototype[Symbol.toStringTag] = void 0;
    var _ActionsContainer = _camelcase_alias(_callable(class _ActionsContainer {
      constructor() {
        let [
          description,
          prefix_chars,
          argument_default,
          conflict_handler
        ] = _parse_opts(arguments, {
          description: no_default,
          prefix_chars: no_default,
          argument_default: no_default,
          conflict_handler: no_default
        });
        this.description = description;
        this.argument_default = argument_default;
        this.prefix_chars = prefix_chars;
        this.conflict_handler = conflict_handler;
        this._registries = {};
        this.register("action", void 0, _StoreAction);
        this.register("action", "store", _StoreAction);
        this.register("action", "store_const", _StoreConstAction);
        this.register("action", "store_true", _StoreTrueAction);
        this.register("action", "store_false", _StoreFalseAction);
        this.register("action", "append", _AppendAction);
        this.register("action", "append_const", _AppendConstAction);
        this.register("action", "count", _CountAction);
        this.register("action", "help", _HelpAction);
        this.register("action", "version", _VersionAction);
        this.register("action", "parsers", _SubParsersAction);
        this.register("action", "extend", _ExtendAction);
        ["storeConst", "storeTrue", "storeFalse", "appendConst"].forEach((old_name) => {
          let new_name = _to_new_name(old_name);
          this.register("action", old_name, util.deprecate(
            this._registry_get("action", new_name),
            sub('{action: "%s"} is renamed to {action: "%s"}', old_name, new_name)
          ));
        });
        this._get_handler();
        this._actions = [];
        this._option_string_actions = {};
        this._action_groups = [];
        this._mutually_exclusive_groups = [];
        this._defaults = {};
        this._negative_number_matcher = /^-\d+$|^-\d*\.\d+$/;
        this._has_negative_number_optionals = [];
      }
      // ====================
      // Registration methods
      // ====================
      register(registry_name, value, object) {
        let registry = setdefault(this._registries, registry_name, {});
        registry[value] = object;
      }
      _registry_get(registry_name, value, default_value = void 0) {
        return getattr(this._registries[registry_name], value, default_value);
      }
      // ==================================
      // Namespace default accessor methods
      // ==================================
      set_defaults(kwargs) {
        Object.assign(this._defaults, kwargs);
        for (let action of this._actions) {
          if (action.dest in kwargs) {
            action.default = kwargs[action.dest];
          }
        }
      }
      get_default(dest) {
        for (let action of this._actions) {
          if (action.dest === dest && action.default !== void 0) {
            return action.default;
          }
        }
        return this._defaults[dest];
      }
      // =======================
      // Adding argument actions
      // =======================
      add_argument() {
        let [
          args2,
          kwargs
        ] = _parse_opts(arguments, {
          "*args": no_default,
          "**kwargs": no_default
        });
        if (args2.length === 1 && Array.isArray(args2[0])) {
          args2 = args2[0];
          deprecate(
            "argument-array",
            sub("use add_argument(%(args)s, {...}) instead of add_argument([ %(args)s ], { ... })", {
              args: args2.map(repr).join(", ")
            })
          );
        }
        let chars = this.prefix_chars;
        if (!args2.length || args2.length === 1 && !chars.includes(args2[0][0])) {
          if (args2.length && "dest" in kwargs) {
            throw new TypeError("dest supplied twice for positional argument");
          }
          kwargs = this._get_positional_kwargs(...args2, kwargs);
        } else {
          kwargs = this._get_optional_kwargs(...args2, kwargs);
        }
        if (!("default" in kwargs)) {
          let dest = kwargs.dest;
          if (dest in this._defaults) {
            kwargs.default = this._defaults[dest];
          } else if (this.argument_default !== void 0) {
            kwargs.default = this.argument_default;
          }
        }
        let action_class = this._pop_action_class(kwargs);
        if (typeof action_class !== "function") {
          throw new TypeError(sub('unknown action "%s"', action_class));
        }
        let action = new action_class(kwargs);
        let type_func = this._registry_get("type", action.type, action.type);
        if (typeof type_func !== "function") {
          throw new TypeError(sub("%r is not callable", type_func));
        }
        if (type_func === FileType) {
          throw new TypeError(sub("%r is a FileType class object, instance of it must be passed", type_func));
        }
        if ("_get_formatter" in this) {
          try {
            this._get_formatter()._format_args(action, void 0);
          } catch (err) {
            if (err instanceof TypeError && err.message !== "invalid nargs value") {
              throw new TypeError("length of metavar tuple does not match nargs");
            } else {
              throw err;
            }
          }
        }
        return this._add_action(action);
      }
      add_argument_group() {
        let group = _ArgumentGroup(this, ...arguments);
        this._action_groups.push(group);
        return group;
      }
      add_mutually_exclusive_group() {
        let group = _MutuallyExclusiveGroup(this, ...arguments);
        this._mutually_exclusive_groups.push(group);
        return group;
      }
      _add_action(action) {
        this._check_conflict(action);
        this._actions.push(action);
        action.container = this;
        for (let option_string of action.option_strings) {
          this._option_string_actions[option_string] = action;
        }
        for (let option_string of action.option_strings) {
          if (this._negative_number_matcher.test(option_string)) {
            if (!this._has_negative_number_optionals.length) {
              this._has_negative_number_optionals.push(true);
            }
          }
        }
        return action;
      }
      _remove_action(action) {
        _array_remove(this._actions, action);
      }
      _add_container_actions(container) {
        let title_group_map = {};
        for (let group of this._action_groups) {
          if (group.title in title_group_map) {
            let msg = "cannot merge actions - two groups are named %r";
            throw new TypeError(sub(msg, group.title));
          }
          title_group_map[group.title] = group;
        }
        let group_map = /* @__PURE__ */ new Map();
        for (let group of container._action_groups) {
          if (!(group.title in title_group_map)) {
            title_group_map[group.title] = this.add_argument_group({
              title: group.title,
              description: group.description,
              conflict_handler: group.conflict_handler
            });
          }
          for (let action of group._group_actions) {
            group_map.set(action, title_group_map[group.title]);
          }
        }
        for (let group of container._mutually_exclusive_groups) {
          let mutex_group = this.add_mutually_exclusive_group({
            required: group.required
          });
          for (let action of group._group_actions) {
            group_map.set(action, mutex_group);
          }
        }
        for (let action of container._actions) {
          group_map.get(action)._add_action(action);
        }
      }
      _get_positional_kwargs() {
        let [
          dest,
          kwargs
        ] = _parse_opts(arguments, {
          dest: no_default,
          "**kwargs": no_default
        });
        if ("required" in kwargs) {
          let msg = "'required' is an invalid argument for positionals";
          throw new TypeError(msg);
        }
        if (![OPTIONAL, ZERO_OR_MORE].includes(kwargs.nargs)) {
          kwargs.required = true;
        }
        if (kwargs.nargs === ZERO_OR_MORE && !("default" in kwargs)) {
          kwargs.required = true;
        }
        return Object.assign(kwargs, { dest, option_strings: [] });
      }
      _get_optional_kwargs() {
        let [
          args2,
          kwargs
        ] = _parse_opts(arguments, {
          "*args": no_default,
          "**kwargs": no_default
        });
        let option_strings = [];
        let long_option_strings = [];
        let option_string;
        for (option_string of args2) {
          if (!this.prefix_chars.includes(option_string[0])) {
            let args3 = {
              option: option_string,
              prefix_chars: this.prefix_chars
            };
            let msg = "invalid option string %(option)r: must start with a character %(prefix_chars)r";
            throw new TypeError(sub(msg, args3));
          }
          option_strings.push(option_string);
          if (option_string.length > 1 && this.prefix_chars.includes(option_string[1])) {
            long_option_strings.push(option_string);
          }
        }
        let dest = kwargs.dest;
        delete kwargs.dest;
        if (dest === void 0) {
          let dest_option_string;
          if (long_option_strings.length) {
            dest_option_string = long_option_strings[0];
          } else {
            dest_option_string = option_strings[0];
          }
          dest = _string_lstrip(dest_option_string, this.prefix_chars);
          if (!dest) {
            let msg = "dest= is required for options like %r";
            throw new TypeError(sub(msg, option_string));
          }
          dest = dest.replace(/-/g, "_");
        }
        return Object.assign(kwargs, { dest, option_strings });
      }
      _pop_action_class(kwargs, default_value = void 0) {
        let action = getattr(kwargs, "action", default_value);
        delete kwargs.action;
        return this._registry_get("action", action, action);
      }
      _get_handler() {
        let handler_func_name = sub("_handle_conflict_%s", this.conflict_handler);
        if (typeof this[handler_func_name] === "function") {
          return this[handler_func_name];
        } else {
          let msg = "invalid conflict_resolution value: %r";
          throw new TypeError(sub(msg, this.conflict_handler));
        }
      }
      _check_conflict(action) {
        let confl_optionals = [];
        for (let option_string of action.option_strings) {
          if (hasattr(this._option_string_actions, option_string)) {
            let confl_optional = this._option_string_actions[option_string];
            confl_optionals.push([option_string, confl_optional]);
          }
        }
        if (confl_optionals.length) {
          let conflict_handler = this._get_handler();
          conflict_handler.call(this, action, confl_optionals);
        }
      }
      _handle_conflict_error(action, conflicting_actions) {
        let message = conflicting_actions.length === 1 ? "conflicting option string: %s" : "conflicting option strings: %s";
        let conflict_string = conflicting_actions.map(([
          option_string
          /*, action*/
        ]) => option_string).join(", ");
        throw new ArgumentError(action, sub(message, conflict_string));
      }
      _handle_conflict_resolve(action, conflicting_actions) {
        for (let [option_string, action2] of conflicting_actions) {
          _array_remove(action2.option_strings, option_string);
          delete this._option_string_actions[option_string];
          if (!action2.option_strings.length) {
            action2.container._remove_action(action2);
          }
        }
      }
    }));
    var _ArgumentGroup = _callable(class _ArgumentGroup extends _ActionsContainer {
      constructor() {
        let [
          container,
          title,
          description,
          kwargs
        ] = _parse_opts(arguments, {
          container: no_default,
          title: void 0,
          description: void 0,
          "**kwargs": no_default
        });
        setdefault(kwargs, "conflict_handler", container.conflict_handler);
        setdefault(kwargs, "prefix_chars", container.prefix_chars);
        setdefault(kwargs, "argument_default", container.argument_default);
        super(Object.assign({ description }, kwargs));
        this.title = title;
        this._group_actions = [];
        this._registries = container._registries;
        this._actions = container._actions;
        this._option_string_actions = container._option_string_actions;
        this._defaults = container._defaults;
        this._has_negative_number_optionals = container._has_negative_number_optionals;
        this._mutually_exclusive_groups = container._mutually_exclusive_groups;
      }
      _add_action(action) {
        action = super._add_action(action);
        this._group_actions.push(action);
        return action;
      }
      _remove_action(action) {
        super._remove_action(action);
        _array_remove(this._group_actions, action);
      }
    });
    var _MutuallyExclusiveGroup = _callable(class _MutuallyExclusiveGroup extends _ArgumentGroup {
      constructor() {
        let [
          container,
          required
        ] = _parse_opts(arguments, {
          container: no_default,
          required: false
        });
        super(container);
        this.required = required;
        this._container = container;
      }
      _add_action(action) {
        if (action.required) {
          let msg = "mutually exclusive arguments must be optional";
          throw new TypeError(msg);
        }
        action = this._container._add_action(action);
        this._group_actions.push(action);
        return action;
      }
      _remove_action(action) {
        this._container._remove_action(action);
        _array_remove(this._group_actions, action);
      }
    });
    var ArgumentParser2 = _camelcase_alias(_callable(class ArgumentParser extends _AttributeHolder(_ActionsContainer) {
      /*
       *  Object for parsing command line strings into Python objects.
       *
       *  Keyword Arguments:
       *      - prog -- The name of the program (default: sys.argv[0])
       *      - usage -- A usage message (default: auto-generated from arguments)
       *      - description -- A description of what the program does
       *      - epilog -- Text following the argument descriptions
       *      - parents -- Parsers whose arguments should be copied into this one
       *      - formatter_class -- HelpFormatter class for printing help messages
       *      - prefix_chars -- Characters that prefix optional arguments
       *      - fromfile_prefix_chars -- Characters that prefix files containing
       *          additional arguments
       *      - argument_default -- The default value for all arguments
       *      - conflict_handler -- String indicating how to handle conflicts
       *      - add_help -- Add a -h/-help option
       *      - allow_abbrev -- Allow long options to be abbreviated unambiguously
       *      - exit_on_error -- Determines whether or not ArgumentParser exits with
       *          error info when an error occurs
       */
      constructor() {
        let [
          prog,
          usage,
          description,
          epilog,
          parents,
          formatter_class,
          prefix_chars,
          fromfile_prefix_chars,
          argument_default,
          conflict_handler,
          add_help,
          allow_abbrev,
          exit_on_error,
          debug,
          // LEGACY (v1 compatibility), debug mode
          version
          // LEGACY (v1 compatibility), version
        ] = _parse_opts(arguments, {
          prog: void 0,
          usage: void 0,
          description: void 0,
          epilog: void 0,
          parents: [],
          formatter_class: HelpFormatter,
          prefix_chars: "-",
          fromfile_prefix_chars: void 0,
          argument_default: void 0,
          conflict_handler: "error",
          add_help: true,
          allow_abbrev: true,
          exit_on_error: true,
          debug: void 0,
          // LEGACY (v1 compatibility), debug mode
          version: void 0
          // LEGACY (v1 compatibility), version
        });
        if (debug !== void 0) {
          deprecate(
            "debug",
            'The "debug" argument to ArgumentParser is deprecated. Please override ArgumentParser.exit function instead.'
          );
        }
        if (version !== void 0) {
          deprecate(
            "version",
            `The "version" argument to ArgumentParser is deprecated. Please use add_argument(..., { action: 'version', version: 'N', ... }) instead.`
          );
        }
        super({
          description,
          prefix_chars,
          argument_default,
          conflict_handler
        });
        if (prog === void 0) {
          prog = path5.basename(get_argv()[0] || "");
        }
        this.prog = prog;
        this.usage = usage;
        this.epilog = epilog;
        this.formatter_class = formatter_class;
        this.fromfile_prefix_chars = fromfile_prefix_chars;
        this.add_help = add_help;
        this.allow_abbrev = allow_abbrev;
        this.exit_on_error = exit_on_error;
        this.debug = debug;
        this._positionals = this.add_argument_group("positional arguments");
        this._optionals = this.add_argument_group("optional arguments");
        this._subparsers = void 0;
        function identity(string) {
          return string;
        }
        this.register("type", void 0, identity);
        this.register("type", null, identity);
        this.register("type", "auto", identity);
        this.register("type", "int", function(x) {
          let result = Number(x);
          if (!Number.isInteger(result)) {
            throw new TypeError(sub("could not convert string to int: %r", x));
          }
          return result;
        });
        this.register("type", "float", function(x) {
          let result = Number(x);
          if (isNaN(result)) {
            throw new TypeError(sub("could not convert string to float: %r", x));
          }
          return result;
        });
        this.register("type", "str", String);
        this.register(
          "type",
          "string",
          util.deprecate(String, 'use {type:"str"} or {type:String} instead of {type:"string"}')
        );
        let default_prefix = prefix_chars.includes("-") ? "-" : prefix_chars[0];
        if (this.add_help) {
          this.add_argument(
            default_prefix + "h",
            default_prefix.repeat(2) + "help",
            {
              action: "help",
              default: SUPPRESS,
              help: "show this help message and exit"
            }
          );
        }
        if (version) {
          this.add_argument(
            default_prefix + "v",
            default_prefix.repeat(2) + "version",
            {
              action: "version",
              default: SUPPRESS,
              version: this.version,
              help: "show program's version number and exit"
            }
          );
        }
        for (let parent of parents) {
          this._add_container_actions(parent);
          Object.assign(this._defaults, parent._defaults);
        }
      }
      // =======================
      // Pretty __repr__ methods
      // =======================
      _get_kwargs() {
        let names = [
          "prog",
          "usage",
          "description",
          "formatter_class",
          "conflict_handler",
          "add_help"
        ];
        return names.map((name) => [name, getattr(this, name)]);
      }
      // ==================================
      // Optional/Positional adding methods
      // ==================================
      add_subparsers() {
        let [
          kwargs
        ] = _parse_opts(arguments, {
          "**kwargs": no_default
        });
        if (this._subparsers !== void 0) {
          this.error("cannot have multiple subparser arguments");
        }
        setdefault(kwargs, "parser_class", this.constructor);
        if ("title" in kwargs || "description" in kwargs) {
          let title = getattr(kwargs, "title", "subcommands");
          let description = getattr(kwargs, "description", void 0);
          delete kwargs.title;
          delete kwargs.description;
          this._subparsers = this.add_argument_group(title, description);
        } else {
          this._subparsers = this._positionals;
        }
        if (kwargs.prog === void 0) {
          let formatter = this._get_formatter();
          let positionals = this._get_positional_actions();
          let groups = this._mutually_exclusive_groups;
          formatter.add_usage(this.usage, positionals, groups, "");
          kwargs.prog = formatter.format_help().trim();
        }
        let parsers_class = this._pop_action_class(kwargs, "parsers");
        let action = new parsers_class(Object.assign({ option_strings: [] }, kwargs));
        this._subparsers._add_action(action);
        return action;
      }
      _add_action(action) {
        if (action.option_strings.length) {
          this._optionals._add_action(action);
        } else {
          this._positionals._add_action(action);
        }
        return action;
      }
      _get_optional_actions() {
        return this._actions.filter((action) => action.option_strings.length);
      }
      _get_positional_actions() {
        return this._actions.filter((action) => !action.option_strings.length);
      }
      // =====================================
      // Command line argument parsing methods
      // =====================================
      parse_args(args2 = void 0, namespace = void 0) {
        let argv;
        [args2, argv] = this.parse_known_args(args2, namespace);
        if (argv && argv.length > 0) {
          let msg = "unrecognized arguments: %s";
          this.error(sub(msg, argv.join(" ")));
        }
        return args2;
      }
      parse_known_args(args2 = void 0, namespace = void 0) {
        if (args2 === void 0) {
          args2 = get_argv().slice(1);
        }
        if (namespace === void 0) {
          namespace = new Namespace();
        }
        for (let action of this._actions) {
          if (action.dest !== SUPPRESS) {
            if (!hasattr(namespace, action.dest)) {
              if (action.default !== SUPPRESS) {
                setattr(namespace, action.dest, action.default);
              }
            }
          }
        }
        for (let dest of Object.keys(this._defaults)) {
          if (!hasattr(namespace, dest)) {
            setattr(namespace, dest, this._defaults[dest]);
          }
        }
        if (this.exit_on_error) {
          try {
            [namespace, args2] = this._parse_known_args(args2, namespace);
          } catch (err) {
            if (err instanceof ArgumentError) {
              this.error(err.message);
            } else {
              throw err;
            }
          }
        } else {
          [namespace, args2] = this._parse_known_args(args2, namespace);
        }
        if (hasattr(namespace, _UNRECOGNIZED_ARGS_ATTR)) {
          args2 = args2.concat(getattr(namespace, _UNRECOGNIZED_ARGS_ATTR));
          delattr(namespace, _UNRECOGNIZED_ARGS_ATTR);
        }
        return [namespace, args2];
      }
      _parse_known_args(arg_strings, namespace) {
        if (this.fromfile_prefix_chars !== void 0) {
          arg_strings = this._read_args_from_files(arg_strings);
        }
        let action_conflicts = /* @__PURE__ */ new Map();
        for (let mutex_group of this._mutually_exclusive_groups) {
          let group_actions = mutex_group._group_actions;
          for (let [i, mutex_action] of Object.entries(mutex_group._group_actions)) {
            let conflicts = action_conflicts.get(mutex_action) || [];
            conflicts = conflicts.concat(group_actions.slice(0, +i));
            conflicts = conflicts.concat(group_actions.slice(+i + 1));
            action_conflicts.set(mutex_action, conflicts);
          }
        }
        let option_string_indices = {};
        let arg_string_pattern_parts = [];
        let arg_strings_iter = Object.entries(arg_strings)[Symbol.iterator]();
        for (let [i, arg_string] of arg_strings_iter) {
          if (arg_string === "--") {
            arg_string_pattern_parts.push("-");
            for ([i, arg_string] of arg_strings_iter) {
              arg_string_pattern_parts.push("A");
            }
          } else {
            let option_tuple = this._parse_optional(arg_string);
            let pattern;
            if (option_tuple === void 0) {
              pattern = "A";
            } else {
              option_string_indices[i] = option_tuple;
              pattern = "O";
            }
            arg_string_pattern_parts.push(pattern);
          }
        }
        let arg_strings_pattern = arg_string_pattern_parts.join("");
        let seen_actions = /* @__PURE__ */ new Set();
        let seen_non_default_actions = /* @__PURE__ */ new Set();
        let extras;
        let take_action = (action, argument_strings, option_string = void 0) => {
          seen_actions.add(action);
          let argument_values = this._get_values(action, argument_strings);
          if (argument_values !== action.default) {
            seen_non_default_actions.add(action);
            for (let conflict_action of action_conflicts.get(action) || []) {
              if (seen_non_default_actions.has(conflict_action)) {
                let msg = "not allowed with argument %s";
                let action_name = _get_action_name(conflict_action);
                throw new ArgumentError(action, sub(msg, action_name));
              }
            }
          }
          if (argument_values !== SUPPRESS) {
            action(this, namespace, argument_values, option_string);
          }
        };
        let consume_optional = (start_index2) => {
          let option_tuple = option_string_indices[start_index2];
          let [action, option_string, explicit_arg] = option_tuple;
          let action_tuples = [];
          let stop;
          for (; ; ) {
            if (action === void 0) {
              extras.push(arg_strings[start_index2]);
              return start_index2 + 1;
            }
            if (explicit_arg !== void 0) {
              let arg_count = this._match_argument(action, "A");
              let chars = this.prefix_chars;
              if (arg_count === 0 && !chars.includes(option_string[1])) {
                action_tuples.push([action, [], option_string]);
                let char = option_string[0];
                option_string = char + explicit_arg[0];
                let new_explicit_arg = explicit_arg.slice(1) || void 0;
                let optionals_map = this._option_string_actions;
                if (hasattr(optionals_map, option_string)) {
                  action = optionals_map[option_string];
                  explicit_arg = new_explicit_arg;
                } else {
                  let msg = "ignored explicit argument %r";
                  throw new ArgumentError(action, sub(msg, explicit_arg));
                }
              } else if (arg_count === 1) {
                stop = start_index2 + 1;
                let args2 = [explicit_arg];
                action_tuples.push([action, args2, option_string]);
                break;
              } else {
                let msg = "ignored explicit argument %r";
                throw new ArgumentError(action, sub(msg, explicit_arg));
              }
            } else {
              let start = start_index2 + 1;
              let selected_patterns = arg_strings_pattern.slice(start);
              let arg_count = this._match_argument(action, selected_patterns);
              stop = start + arg_count;
              let args2 = arg_strings.slice(start, stop);
              action_tuples.push([action, args2, option_string]);
              break;
            }
          }
          assert(action_tuples.length);
          for (let [action2, args2, option_string2] of action_tuples) {
            take_action(action2, args2, option_string2);
          }
          return stop;
        };
        let positionals = this._get_positional_actions();
        let consume_positionals = (start_index2) => {
          let selected_pattern = arg_strings_pattern.slice(start_index2);
          let arg_counts = this._match_arguments_partial(positionals, selected_pattern);
          for (let i = 0; i < positionals.length && i < arg_counts.length; i++) {
            let action = positionals[i];
            let arg_count = arg_counts[i];
            let args2 = arg_strings.slice(start_index2, start_index2 + arg_count);
            start_index2 += arg_count;
            take_action(action, args2);
          }
          positionals = positionals.slice(arg_counts.length);
          return start_index2;
        };
        extras = [];
        let start_index = 0;
        let max_option_string_index = Math.max(-1, ...Object.keys(option_string_indices).map(Number));
        while (start_index <= max_option_string_index) {
          let next_option_string_index = Math.min(
            ...Object.keys(option_string_indices).map(Number).filter((index) => index >= start_index)
          );
          if (start_index !== next_option_string_index) {
            let positionals_end_index = consume_positionals(start_index);
            if (positionals_end_index > start_index) {
              start_index = positionals_end_index;
              continue;
            } else {
              start_index = positionals_end_index;
            }
          }
          if (!(start_index in option_string_indices)) {
            let strings = arg_strings.slice(start_index, next_option_string_index);
            extras = extras.concat(strings);
            start_index = next_option_string_index;
          }
          start_index = consume_optional(start_index);
        }
        let stop_index = consume_positionals(start_index);
        extras = extras.concat(arg_strings.slice(stop_index));
        let required_actions = [];
        for (let action of this._actions) {
          if (!seen_actions.has(action)) {
            if (action.required) {
              required_actions.push(_get_action_name(action));
            } else {
              if (action.default !== void 0 && typeof action.default === "string" && hasattr(namespace, action.dest) && action.default === getattr(namespace, action.dest)) {
                setattr(
                  namespace,
                  action.dest,
                  this._get_value(action, action.default)
                );
              }
            }
          }
        }
        if (required_actions.length) {
          this.error(sub(
            "the following arguments are required: %s",
            required_actions.join(", ")
          ));
        }
        for (let group of this._mutually_exclusive_groups) {
          if (group.required) {
            let no_actions_used = true;
            for (let action of group._group_actions) {
              if (seen_non_default_actions.has(action)) {
                no_actions_used = false;
                break;
              }
            }
            if (no_actions_used) {
              let names = group._group_actions.filter((action) => action.help !== SUPPRESS).map((action) => _get_action_name(action));
              let msg = "one of the arguments %s is required";
              this.error(sub(msg, names.join(" ")));
            }
          }
        }
        return [namespace, extras];
      }
      _read_args_from_files(arg_strings) {
        let new_arg_strings = [];
        for (let arg_string of arg_strings) {
          if (!arg_string || !this.fromfile_prefix_chars.includes(arg_string[0])) {
            new_arg_strings.push(arg_string);
          } else {
            try {
              let args_file = fs3.readFileSync(arg_string.slice(1), "utf8");
              let arg_strings2 = [];
              for (let arg_line of splitlines(args_file)) {
                for (let arg of this.convert_arg_line_to_args(arg_line)) {
                  arg_strings2.push(arg);
                }
              }
              arg_strings2 = this._read_args_from_files(arg_strings2);
              new_arg_strings = new_arg_strings.concat(arg_strings2);
            } catch (err) {
              this.error(err.message);
            }
          }
        }
        return new_arg_strings;
      }
      convert_arg_line_to_args(arg_line) {
        return [arg_line];
      }
      _match_argument(action, arg_strings_pattern) {
        let nargs_pattern = this._get_nargs_pattern(action);
        let match = arg_strings_pattern.match(new RegExp("^" + nargs_pattern));
        if (match === null) {
          let nargs_errors = {
            undefined: "expected one argument",
            [OPTIONAL]: "expected at most one argument",
            [ONE_OR_MORE]: "expected at least one argument"
          };
          let msg = nargs_errors[action.nargs];
          if (msg === void 0) {
            msg = sub(action.nargs === 1 ? "expected %s argument" : "expected %s arguments", action.nargs);
          }
          throw new ArgumentError(action, msg);
        }
        return match[1].length;
      }
      _match_arguments_partial(actions, arg_strings_pattern) {
        let result = [];
        for (let i of range(actions.length, 0, -1)) {
          let actions_slice = actions.slice(0, i);
          let pattern = actions_slice.map((action) => this._get_nargs_pattern(action)).join("");
          let match = arg_strings_pattern.match(new RegExp("^" + pattern));
          if (match !== null) {
            result = result.concat(match.slice(1).map((string) => string.length));
            break;
          }
        }
        return result;
      }
      _parse_optional(arg_string) {
        if (!arg_string) {
          return void 0;
        }
        if (!this.prefix_chars.includes(arg_string[0])) {
          return void 0;
        }
        if (arg_string in this._option_string_actions) {
          let action = this._option_string_actions[arg_string];
          return [action, arg_string, void 0];
        }
        if (arg_string.length === 1) {
          return void 0;
        }
        if (arg_string.includes("=")) {
          let [option_string, explicit_arg] = _string_split(arg_string, "=", 1);
          if (option_string in this._option_string_actions) {
            let action = this._option_string_actions[option_string];
            return [action, option_string, explicit_arg];
          }
        }
        let option_tuples = this._get_option_tuples(arg_string);
        if (option_tuples.length > 1) {
          let options = option_tuples.map(([
            ,
            option_string
            /*, explicit_arg*/
          ]) => option_string).join(", ");
          let args2 = { option: arg_string, matches: options };
          let msg = "ambiguous option: %(option)s could match %(matches)s";
          this.error(sub(msg, args2));
        } else if (option_tuples.length === 1) {
          let [option_tuple] = option_tuples;
          return option_tuple;
        }
        if (this._negative_number_matcher.test(arg_string)) {
          if (!this._has_negative_number_optionals.length) {
            return void 0;
          }
        }
        if (arg_string.includes(" ")) {
          return void 0;
        }
        return [void 0, arg_string, void 0];
      }
      _get_option_tuples(option_string) {
        let result = [];
        let chars = this.prefix_chars;
        if (chars.includes(option_string[0]) && chars.includes(option_string[1])) {
          if (this.allow_abbrev) {
            let option_prefix, explicit_arg;
            if (option_string.includes("=")) {
              [option_prefix, explicit_arg] = _string_split(option_string, "=", 1);
            } else {
              option_prefix = option_string;
              explicit_arg = void 0;
            }
            for (let option_string2 of Object.keys(this._option_string_actions)) {
              if (option_string2.startsWith(option_prefix)) {
                let action = this._option_string_actions[option_string2];
                let tup = [action, option_string2, explicit_arg];
                result.push(tup);
              }
            }
          }
        } else if (chars.includes(option_string[0]) && !chars.includes(option_string[1])) {
          let option_prefix = option_string;
          let explicit_arg = void 0;
          let short_option_prefix = option_string.slice(0, 2);
          let short_explicit_arg = option_string.slice(2);
          for (let option_string2 of Object.keys(this._option_string_actions)) {
            if (option_string2 === short_option_prefix) {
              let action = this._option_string_actions[option_string2];
              let tup = [action, option_string2, short_explicit_arg];
              result.push(tup);
            } else if (option_string2.startsWith(option_prefix)) {
              let action = this._option_string_actions[option_string2];
              let tup = [action, option_string2, explicit_arg];
              result.push(tup);
            }
          }
        } else {
          this.error(sub("unexpected option string: %s", option_string));
        }
        return result;
      }
      _get_nargs_pattern(action) {
        let nargs = action.nargs;
        let nargs_pattern;
        if (nargs === void 0) {
          nargs_pattern = "(-*A-*)";
        } else if (nargs === OPTIONAL) {
          nargs_pattern = "(-*A?-*)";
        } else if (nargs === ZERO_OR_MORE) {
          nargs_pattern = "(-*[A-]*)";
        } else if (nargs === ONE_OR_MORE) {
          nargs_pattern = "(-*A[A-]*)";
        } else if (nargs === REMAINDER) {
          nargs_pattern = "([-AO]*)";
        } else if (nargs === PARSER) {
          nargs_pattern = "(-*A[-AO]*)";
        } else if (nargs === SUPPRESS) {
          nargs_pattern = "(-*-*)";
        } else {
          nargs_pattern = sub("(-*%s-*)", "A".repeat(nargs).split("").join("-*"));
        }
        if (action.option_strings.length) {
          nargs_pattern = nargs_pattern.replace(/-\*/g, "");
          nargs_pattern = nargs_pattern.replace(/-/g, "");
        }
        return nargs_pattern;
      }
      // ========================
      // Alt command line argument parsing, allowing free intermix
      // ========================
      parse_intermixed_args(args2 = void 0, namespace = void 0) {
        let argv;
        [args2, argv] = this.parse_known_intermixed_args(args2, namespace);
        if (argv.length) {
          let msg = "unrecognized arguments: %s";
          this.error(sub(msg, argv.join(" ")));
        }
        return args2;
      }
      parse_known_intermixed_args(args2 = void 0, namespace = void 0) {
        let extras;
        let positionals = this._get_positional_actions();
        let a = positionals.filter((action) => [PARSER, REMAINDER].includes(action.nargs));
        if (a.length) {
          throw new TypeError(sub("parse_intermixed_args: positional arg with nargs=%s", a[0].nargs));
        }
        for (let group of this._mutually_exclusive_groups) {
          for (let action of group._group_actions) {
            if (positionals.includes(action)) {
              throw new TypeError("parse_intermixed_args: positional in mutuallyExclusiveGroup");
            }
          }
        }
        let save_usage;
        try {
          save_usage = this.usage;
          let remaining_args;
          try {
            if (this.usage === void 0) {
              this.usage = this.format_usage().slice(7);
            }
            for (let action of positionals) {
              action.save_nargs = action.nargs;
              action.nargs = SUPPRESS;
              action.save_default = action.default;
              action.default = SUPPRESS;
            }
            [namespace, remaining_args] = this.parse_known_args(
              args2,
              namespace
            );
            for (let action of positionals) {
              let attr = getattr(namespace, action.dest);
              if (Array.isArray(attr) && attr.length === 0) {
                console.warn(sub("Do not expect %s in %s", action.dest, namespace));
                delattr(namespace, action.dest);
              }
            }
          } finally {
            for (let action of positionals) {
              action.nargs = action.save_nargs;
              action.default = action.save_default;
            }
          }
          let optionals = this._get_optional_actions();
          try {
            for (let action of optionals) {
              action.save_required = action.required;
              action.required = false;
            }
            for (let group of this._mutually_exclusive_groups) {
              group.save_required = group.required;
              group.required = false;
            }
            [namespace, extras] = this.parse_known_args(
              remaining_args,
              namespace
            );
          } finally {
            for (let action of optionals) {
              action.required = action.save_required;
            }
            for (let group of this._mutually_exclusive_groups) {
              group.required = group.save_required;
            }
          }
        } finally {
          this.usage = save_usage;
        }
        return [namespace, extras];
      }
      // ========================
      // Value conversion methods
      // ========================
      _get_values(action, arg_strings) {
        if (![PARSER, REMAINDER].includes(action.nargs)) {
          try {
            _array_remove(arg_strings, "--");
          } catch (err) {
          }
        }
        let value;
        if (!arg_strings.length && action.nargs === OPTIONAL) {
          if (action.option_strings.length) {
            value = action.const;
          } else {
            value = action.default;
          }
          if (typeof value === "string") {
            value = this._get_value(action, value);
            this._check_value(action, value);
          }
        } else if (!arg_strings.length && action.nargs === ZERO_OR_MORE && !action.option_strings.length) {
          if (action.default !== void 0) {
            value = action.default;
          } else {
            value = arg_strings;
          }
          this._check_value(action, value);
        } else if (arg_strings.length === 1 && [void 0, OPTIONAL].includes(action.nargs)) {
          let arg_string = arg_strings[0];
          value = this._get_value(action, arg_string);
          this._check_value(action, value);
        } else if (action.nargs === REMAINDER) {
          value = arg_strings.map((v) => this._get_value(action, v));
        } else if (action.nargs === PARSER) {
          value = arg_strings.map((v) => this._get_value(action, v));
          this._check_value(action, value[0]);
        } else if (action.nargs === SUPPRESS) {
          value = SUPPRESS;
        } else {
          value = arg_strings.map((v) => this._get_value(action, v));
          for (let v of value) {
            this._check_value(action, v);
          }
        }
        return value;
      }
      _get_value(action, arg_string) {
        let type_func = this._registry_get("type", action.type, action.type);
        if (typeof type_func !== "function") {
          let msg = "%r is not callable";
          throw new ArgumentError(action, sub(msg, type_func));
        }
        let result;
        try {
          try {
            result = type_func(arg_string);
          } catch (err) {
            if (err instanceof TypeError && /Class constructor .* cannot be invoked without 'new'/.test(err.message)) {
              result = new type_func(arg_string);
            } else {
              throw err;
            }
          }
        } catch (err) {
          if (err instanceof ArgumentTypeError) {
            let msg = err.message;
            throw new ArgumentError(action, msg);
          } else if (err instanceof TypeError) {
            let name = getattr(action.type, "name", repr(action.type));
            let args2 = { type: name, value: arg_string };
            let msg = "invalid %(type)s value: %(value)r";
            throw new ArgumentError(action, sub(msg, args2));
          } else {
            throw err;
          }
        }
        return result;
      }
      _check_value(action, value) {
        if (action.choices !== void 0 && !_choices_to_array(action.choices).includes(value)) {
          let args2 = {
            value,
            choices: _choices_to_array(action.choices).map(repr).join(", ")
          };
          let msg = "invalid choice: %(value)r (choose from %(choices)s)";
          throw new ArgumentError(action, sub(msg, args2));
        }
      }
      // =======================
      // Help-formatting methods
      // =======================
      format_usage() {
        let formatter = this._get_formatter();
        formatter.add_usage(
          this.usage,
          this._actions,
          this._mutually_exclusive_groups
        );
        return formatter.format_help();
      }
      format_help() {
        let formatter = this._get_formatter();
        formatter.add_usage(
          this.usage,
          this._actions,
          this._mutually_exclusive_groups
        );
        formatter.add_text(this.description);
        for (let action_group of this._action_groups) {
          formatter.start_section(action_group.title);
          formatter.add_text(action_group.description);
          formatter.add_arguments(action_group._group_actions);
          formatter.end_section();
        }
        formatter.add_text(this.epilog);
        return formatter.format_help();
      }
      _get_formatter() {
        return new this.formatter_class({ prog: this.prog });
      }
      // =====================
      // Help-printing methods
      // =====================
      print_usage(file = void 0) {
        if (file === void 0) file = process.stdout;
        this._print_message(this.format_usage(), file);
      }
      print_help(file = void 0) {
        if (file === void 0) file = process.stdout;
        this._print_message(this.format_help(), file);
      }
      _print_message(message, file = void 0) {
        if (message) {
          if (file === void 0) file = process.stderr;
          file.write(message);
        }
      }
      // ===============
      // Exiting methods
      // ===============
      exit(status = 0, message = void 0) {
        if (message) {
          this._print_message(message, process.stderr);
        }
        process.exit(status);
      }
      error(message) {
        if (this.debug === true) throw new Error(message);
        this.print_usage(process.stderr);
        let args2 = { prog: this.prog, message };
        this.exit(2, sub("%(prog)s: error: %(message)s\n", args2));
      }
    }));
    module.exports = {
      ArgumentParser: ArgumentParser2,
      ArgumentError,
      ArgumentTypeError,
      BooleanOptionalAction,
      FileType,
      HelpFormatter,
      ArgumentDefaultsHelpFormatter,
      RawDescriptionHelpFormatter,
      RawTextHelpFormatter,
      MetavarTypeHelpFormatter,
      Namespace,
      Action,
      ONE_OR_MORE,
      OPTIONAL,
      PARSER,
      REMAINDER,
      SUPPRESS,
      ZERO_OR_MORE
    };
    Object.defineProperty(module.exports, "Const", {
      get() {
        let result = {};
        Object.entries({ ONE_OR_MORE, OPTIONAL, PARSER, REMAINDER, SUPPRESS, ZERO_OR_MORE }).forEach(([n, v]) => {
          Object.defineProperty(result, n, {
            get() {
              deprecate(n, sub("use argparse.%s instead of argparse.Const.%s", n, n));
              return v;
            }
          });
        });
        Object.entries({ _UNRECOGNIZED_ARGS_ATTR }).forEach(([n, v]) => {
          Object.defineProperty(result, n, {
            get() {
              deprecate(n, sub("argparse.Const.%s is an internal symbol and will no longer be available", n));
              return v;
            }
          });
        });
        return result;
      },
      enumerable: false
    });
  }
});

// ../../node_modules/nunjucks/src/lib.js
var require_lib = __commonJS({
  "../../node_modules/nunjucks/src/lib.js"(exports, module) {
    "use strict";
    var ArrayProto = Array.prototype;
    var ObjProto = Object.prototype;
    var escapeMap = {
      "&": "&amp;",
      '"': "&quot;",
      "'": "&#39;",
      "<": "&lt;",
      ">": "&gt;",
      "\\": "&#92;"
    };
    var escapeRegex = /[&"'<>\\]/g;
    var _exports = module.exports = {};
    function hasOwnProp(obj, k) {
      return ObjProto.hasOwnProperty.call(obj, k);
    }
    _exports.hasOwnProp = hasOwnProp;
    function lookupEscape(ch) {
      return escapeMap[ch];
    }
    function _prettifyError(path5, withInternals, err) {
      if (!err.Update) {
        err = new _exports.TemplateError(err);
      }
      err.Update(path5);
      if (!withInternals) {
        var old = err;
        err = new Error(old.message);
        err.name = old.name;
      }
      return err;
    }
    _exports._prettifyError = _prettifyError;
    function TemplateError(message, lineno, colno) {
      var err;
      var cause;
      if (message instanceof Error) {
        cause = message;
        message = cause.name + ": " + cause.message;
      }
      if (Object.setPrototypeOf) {
        err = new Error(message);
        Object.setPrototypeOf(err, TemplateError.prototype);
      } else {
        err = this;
        Object.defineProperty(err, "message", {
          enumerable: false,
          writable: true,
          value: message
        });
      }
      Object.defineProperty(err, "name", {
        value: "Template render error"
      });
      if (Error.captureStackTrace) {
        Error.captureStackTrace(err, this.constructor);
      }
      var getStack;
      if (cause) {
        var stackDescriptor = Object.getOwnPropertyDescriptor(cause, "stack");
        getStack = stackDescriptor && (stackDescriptor.get || function() {
          return stackDescriptor.value;
        });
        if (!getStack) {
          getStack = function getStack2() {
            return cause.stack;
          };
        }
      } else {
        var stack = new Error(message).stack;
        getStack = function getStack2() {
          return stack;
        };
      }
      Object.defineProperty(err, "stack", {
        get: function get() {
          return getStack.call(err);
        }
      });
      Object.defineProperty(err, "cause", {
        value: cause
      });
      err.lineno = lineno;
      err.colno = colno;
      err.firstUpdate = true;
      err.Update = function Update(path5) {
        var msg = "(" + (path5 || "unknown path") + ")";
        if (this.firstUpdate) {
          if (this.lineno && this.colno) {
            msg += " [Line " + this.lineno + ", Column " + this.colno + "]";
          } else if (this.lineno) {
            msg += " [Line " + this.lineno + "]";
          }
        }
        msg += "\n ";
        if (this.firstUpdate) {
          msg += " ";
        }
        this.message = msg + (this.message || "");
        this.firstUpdate = false;
        return this;
      };
      return err;
    }
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(TemplateError.prototype, Error.prototype);
    } else {
      TemplateError.prototype = Object.create(Error.prototype, {
        constructor: {
          value: TemplateError
        }
      });
    }
    _exports.TemplateError = TemplateError;
    function escape(val) {
      return val.replace(escapeRegex, lookupEscape);
    }
    _exports.escape = escape;
    function isFunction(obj) {
      return ObjProto.toString.call(obj) === "[object Function]";
    }
    _exports.isFunction = isFunction;
    function isArray(obj) {
      return ObjProto.toString.call(obj) === "[object Array]";
    }
    _exports.isArray = isArray;
    function isString(obj) {
      return ObjProto.toString.call(obj) === "[object String]";
    }
    _exports.isString = isString;
    function isObject(obj) {
      return ObjProto.toString.call(obj) === "[object Object]";
    }
    _exports.isObject = isObject;
    function _prepareAttributeParts(attr) {
      if (!attr) {
        return [];
      }
      if (typeof attr === "string") {
        return attr.split(".");
      }
      return [attr];
    }
    function getAttrGetter(attribute) {
      var parts = _prepareAttributeParts(attribute);
      return function attrGetter(item) {
        var _item = item;
        for (var i = 0; i < parts.length; i++) {
          var part = parts[i];
          if (hasOwnProp(_item, part)) {
            _item = _item[part];
          } else {
            return void 0;
          }
        }
        return _item;
      };
    }
    _exports.getAttrGetter = getAttrGetter;
    function groupBy(obj, val, throwOnUndefined) {
      var result = {};
      var iterator = isFunction(val) ? val : getAttrGetter(val);
      for (var i = 0; i < obj.length; i++) {
        var value = obj[i];
        var key = iterator(value, i);
        if (key === void 0 && throwOnUndefined === true) {
          throw new TypeError('groupby: attribute "' + val + '" resolved to undefined');
        }
        (result[key] || (result[key] = [])).push(value);
      }
      return result;
    }
    _exports.groupBy = groupBy;
    function toArray(obj) {
      return Array.prototype.slice.call(obj);
    }
    _exports.toArray = toArray;
    function without(array) {
      var result = [];
      if (!array) {
        return result;
      }
      var length = array.length;
      var contains = toArray(arguments).slice(1);
      var index = -1;
      while (++index < length) {
        if (indexOf(contains, array[index]) === -1) {
          result.push(array[index]);
        }
      }
      return result;
    }
    _exports.without = without;
    function repeat(char_, n) {
      var str = "";
      for (var i = 0; i < n; i++) {
        str += char_;
      }
      return str;
    }
    _exports.repeat = repeat;
    function each(obj, func, context) {
      if (obj == null) {
        return;
      }
      if (ArrayProto.forEach && obj.forEach === ArrayProto.forEach) {
        obj.forEach(func, context);
      } else if (obj.length === +obj.length) {
        for (var i = 0, l = obj.length; i < l; i++) {
          func.call(context, obj[i], i, obj);
        }
      }
    }
    _exports.each = each;
    function map(obj, func) {
      var results = [];
      if (obj == null) {
        return results;
      }
      if (ArrayProto.map && obj.map === ArrayProto.map) {
        return obj.map(func);
      }
      for (var i = 0; i < obj.length; i++) {
        results[results.length] = func(obj[i], i);
      }
      if (obj.length === +obj.length) {
        results.length = obj.length;
      }
      return results;
    }
    _exports.map = map;
    function asyncIter(arr, iter, cb) {
      var i = -1;
      function next() {
        i++;
        if (i < arr.length) {
          iter(arr[i], i, next, cb);
        } else {
          cb();
        }
      }
      next();
    }
    _exports.asyncIter = asyncIter;
    function asyncFor(obj, iter, cb) {
      var keys = keys_(obj || {});
      var len = keys.length;
      var i = -1;
      function next() {
        i++;
        var k = keys[i];
        if (i < len) {
          iter(k, obj[k], i, len, next);
        } else {
          cb();
        }
      }
      next();
    }
    _exports.asyncFor = asyncFor;
    function indexOf(arr, searchElement, fromIndex) {
      return Array.prototype.indexOf.call(arr || [], searchElement, fromIndex);
    }
    _exports.indexOf = indexOf;
    function keys_(obj) {
      var arr = [];
      for (var k in obj) {
        if (hasOwnProp(obj, k)) {
          arr.push(k);
        }
      }
      return arr;
    }
    _exports.keys = keys_;
    function _entries(obj) {
      return keys_(obj).map(function(k) {
        return [k, obj[k]];
      });
    }
    _exports._entries = _entries;
    function _values(obj) {
      return keys_(obj).map(function(k) {
        return obj[k];
      });
    }
    _exports._values = _values;
    function extend(obj1, obj2) {
      obj1 = obj1 || {};
      keys_(obj2).forEach(function(k) {
        obj1[k] = obj2[k];
      });
      return obj1;
    }
    _exports._assign = _exports.extend = extend;
    function inOperator(key, val) {
      if (isArray(val) || isString(val)) {
        return val.indexOf(key) !== -1;
      } else if (isObject(val)) {
        return key in val;
      }
      throw new Error('Cannot use "in" operator to search for "' + key + '" in unexpected types.');
    }
    _exports.inOperator = inOperator;
  }
});

// ../../node_modules/asap/raw.js
var require_raw = __commonJS({
  "../../node_modules/asap/raw.js"(exports, module) {
    "use strict";
    var domain;
    var hasSetImmediate = typeof setImmediate === "function";
    module.exports = rawAsap;
    function rawAsap(task) {
      if (!queue.length) {
        requestFlush();
        flushing = true;
      }
      queue[queue.length] = task;
    }
    var queue = [];
    var flushing = false;
    var index = 0;
    var capacity = 1024;
    function flush() {
      while (index < queue.length) {
        var currentIndex = index;
        index = index + 1;
        queue[currentIndex].call();
        if (index > capacity) {
          for (var scan = 0, newLength = queue.length - index; scan < newLength; scan++) {
            queue[scan] = queue[scan + index];
          }
          queue.length -= index;
          index = 0;
        }
      }
      queue.length = 0;
      index = 0;
      flushing = false;
    }
    rawAsap.requestFlush = requestFlush;
    function requestFlush() {
      var parentDomain = process.domain;
      if (parentDomain) {
        if (!domain) {
          domain = __require("domain");
        }
        domain.active = process.domain = null;
      }
      if (flushing && hasSetImmediate) {
        setImmediate(flush);
      } else {
        process.nextTick(flush);
      }
      if (parentDomain) {
        domain.active = process.domain = parentDomain;
      }
    }
  }
});

// ../../node_modules/asap/asap.js
var require_asap = __commonJS({
  "../../node_modules/asap/asap.js"(exports, module) {
    "use strict";
    var rawAsap = require_raw();
    var freeTasks = [];
    module.exports = asap;
    function asap(task) {
      var rawTask;
      if (freeTasks.length) {
        rawTask = freeTasks.pop();
      } else {
        rawTask = new RawTask();
      }
      rawTask.task = task;
      rawTask.domain = process.domain;
      rawAsap(rawTask);
    }
    function RawTask() {
      this.task = null;
      this.domain = null;
    }
    RawTask.prototype.call = function() {
      if (this.domain) {
        this.domain.enter();
      }
      var threw = true;
      try {
        this.task.call();
        threw = false;
        if (this.domain) {
          this.domain.exit();
        }
      } finally {
        if (threw) {
          rawAsap.requestFlush();
        }
        this.task = null;
        this.domain = null;
        freeTasks.push(this);
      }
    };
  }
});

// ../../node_modules/a-sync-waterfall/index.js
var require_a_sync_waterfall = __commonJS({
  "../../node_modules/a-sync-waterfall/index.js"(exports, module) {
    (function(globals) {
      "use strict";
      var executeSync = function() {
        var args2 = Array.prototype.slice.call(arguments);
        if (typeof args2[0] === "function") {
          args2[0].apply(null, args2.splice(1));
        }
      };
      var executeAsync = function(fn) {
        if (typeof setImmediate === "function") {
          setImmediate(fn);
        } else if (typeof process !== "undefined" && process.nextTick) {
          process.nextTick(fn);
        } else {
          setTimeout(fn, 0);
        }
      };
      var makeIterator = function(tasks) {
        var makeCallback = function(index) {
          var fn = function() {
            if (tasks.length) {
              tasks[index].apply(null, arguments);
            }
            return fn.next();
          };
          fn.next = function() {
            return index < tasks.length - 1 ? makeCallback(index + 1) : null;
          };
          return fn;
        };
        return makeCallback(0);
      };
      var _isArray = Array.isArray || function(maybeArray) {
        return Object.prototype.toString.call(maybeArray) === "[object Array]";
      };
      var waterfall = function(tasks, callback, forceAsync) {
        var nextTick = forceAsync ? executeAsync : executeSync;
        callback = callback || function() {
        };
        if (!_isArray(tasks)) {
          var err = new Error("First argument to waterfall must be an array of functions");
          return callback(err);
        }
        if (!tasks.length) {
          return callback();
        }
        var wrapIterator = function(iterator) {
          return function(err2) {
            if (err2) {
              callback.apply(null, arguments);
              callback = function() {
              };
            } else {
              var args2 = Array.prototype.slice.call(arguments, 1);
              var next = iterator.next();
              if (next) {
                args2.push(wrapIterator(next));
              } else {
                args2.push(callback);
              }
              nextTick(function() {
                iterator.apply(null, args2);
              });
            }
          };
        };
        wrapIterator(makeIterator(tasks))();
      };
      if (typeof define !== "undefined" && define.amd) {
        define([], function() {
          return waterfall;
        });
      } else if (typeof module !== "undefined" && module.exports) {
        module.exports = waterfall;
      } else {
        globals.waterfall = waterfall;
      }
    })(exports);
  }
});

// ../../node_modules/nunjucks/src/lexer.js
var require_lexer = __commonJS({
  "../../node_modules/nunjucks/src/lexer.js"(exports, module) {
    "use strict";
    var lib = require_lib();
    var whitespaceChars = " \n	\r\xA0";
    var delimChars = "()[]{}%*-+~/#,:|.<>=!";
    var intChars = "0123456789";
    var BLOCK_START = "{%";
    var BLOCK_END = "%}";
    var VARIABLE_START = "{{";
    var VARIABLE_END = "}}";
    var COMMENT_START = "{#";
    var COMMENT_END = "#}";
    var TOKEN_STRING = "string";
    var TOKEN_WHITESPACE = "whitespace";
    var TOKEN_DATA = "data";
    var TOKEN_BLOCK_START = "block-start";
    var TOKEN_BLOCK_END = "block-end";
    var TOKEN_VARIABLE_START = "variable-start";
    var TOKEN_VARIABLE_END = "variable-end";
    var TOKEN_COMMENT = "comment";
    var TOKEN_LEFT_PAREN = "left-paren";
    var TOKEN_RIGHT_PAREN = "right-paren";
    var TOKEN_LEFT_BRACKET = "left-bracket";
    var TOKEN_RIGHT_BRACKET = "right-bracket";
    var TOKEN_LEFT_CURLY = "left-curly";
    var TOKEN_RIGHT_CURLY = "right-curly";
    var TOKEN_OPERATOR = "operator";
    var TOKEN_COMMA = "comma";
    var TOKEN_COLON = "colon";
    var TOKEN_TILDE = "tilde";
    var TOKEN_PIPE = "pipe";
    var TOKEN_INT = "int";
    var TOKEN_FLOAT = "float";
    var TOKEN_BOOLEAN = "boolean";
    var TOKEN_NONE = "none";
    var TOKEN_SYMBOL = "symbol";
    var TOKEN_SPECIAL = "special";
    var TOKEN_REGEX = "regex";
    function token(type, value, lineno, colno) {
      return {
        type,
        value,
        lineno,
        colno
      };
    }
    var Tokenizer = /* @__PURE__ */ function() {
      function Tokenizer2(str, opts) {
        this.str = str;
        this.index = 0;
        this.len = str.length;
        this.lineno = 0;
        this.colno = 0;
        this.in_code = false;
        opts = opts || {};
        var tags = opts.tags || {};
        this.tags = {
          BLOCK_START: tags.blockStart || BLOCK_START,
          BLOCK_END: tags.blockEnd || BLOCK_END,
          VARIABLE_START: tags.variableStart || VARIABLE_START,
          VARIABLE_END: tags.variableEnd || VARIABLE_END,
          COMMENT_START: tags.commentStart || COMMENT_START,
          COMMENT_END: tags.commentEnd || COMMENT_END
        };
        this.trimBlocks = !!opts.trimBlocks;
        this.lstripBlocks = !!opts.lstripBlocks;
      }
      var _proto = Tokenizer2.prototype;
      _proto.nextToken = function nextToken() {
        var lineno = this.lineno;
        var colno = this.colno;
        var tok;
        if (this.in_code) {
          var cur = this.current();
          if (this.isFinished()) {
            return null;
          } else if (cur === '"' || cur === "'") {
            return token(TOKEN_STRING, this._parseString(cur), lineno, colno);
          } else if (tok = this._extract(whitespaceChars)) {
            return token(TOKEN_WHITESPACE, tok, lineno, colno);
          } else if ((tok = this._extractString(this.tags.BLOCK_END)) || (tok = this._extractString("-" + this.tags.BLOCK_END))) {
            this.in_code = false;
            if (this.trimBlocks) {
              cur = this.current();
              if (cur === "\n") {
                this.forward();
              } else if (cur === "\r") {
                this.forward();
                cur = this.current();
                if (cur === "\n") {
                  this.forward();
                } else {
                  this.back();
                }
              }
            }
            return token(TOKEN_BLOCK_END, tok, lineno, colno);
          } else if ((tok = this._extractString(this.tags.VARIABLE_END)) || (tok = this._extractString("-" + this.tags.VARIABLE_END))) {
            this.in_code = false;
            return token(TOKEN_VARIABLE_END, tok, lineno, colno);
          } else if (cur === "r" && this.str.charAt(this.index + 1) === "/") {
            this.forwardN(2);
            var regexBody = "";
            while (!this.isFinished()) {
              if (this.current() === "/" && this.previous() !== "\\") {
                this.forward();
                break;
              } else {
                regexBody += this.current();
                this.forward();
              }
            }
            var POSSIBLE_FLAGS = ["g", "i", "m", "y"];
            var regexFlags = "";
            while (!this.isFinished()) {
              var isCurrentAFlag = POSSIBLE_FLAGS.indexOf(this.current()) !== -1;
              if (isCurrentAFlag) {
                regexFlags += this.current();
                this.forward();
              } else {
                break;
              }
            }
            return token(TOKEN_REGEX, {
              body: regexBody,
              flags: regexFlags
            }, lineno, colno);
          } else if (delimChars.indexOf(cur) !== -1) {
            this.forward();
            var complexOps = ["==", "===", "!=", "!==", "<=", ">=", "//", "**"];
            var curComplex = cur + this.current();
            var type;
            if (lib.indexOf(complexOps, curComplex) !== -1) {
              this.forward();
              cur = curComplex;
              if (lib.indexOf(complexOps, curComplex + this.current()) !== -1) {
                cur = curComplex + this.current();
                this.forward();
              }
            }
            switch (cur) {
              case "(":
                type = TOKEN_LEFT_PAREN;
                break;
              case ")":
                type = TOKEN_RIGHT_PAREN;
                break;
              case "[":
                type = TOKEN_LEFT_BRACKET;
                break;
              case "]":
                type = TOKEN_RIGHT_BRACKET;
                break;
              case "{":
                type = TOKEN_LEFT_CURLY;
                break;
              case "}":
                type = TOKEN_RIGHT_CURLY;
                break;
              case ",":
                type = TOKEN_COMMA;
                break;
              case ":":
                type = TOKEN_COLON;
                break;
              case "~":
                type = TOKEN_TILDE;
                break;
              case "|":
                type = TOKEN_PIPE;
                break;
              default:
                type = TOKEN_OPERATOR;
            }
            return token(type, cur, lineno, colno);
          } else {
            tok = this._extractUntil(whitespaceChars + delimChars);
            if (tok.match(/^[-+]?[0-9]+$/)) {
              if (this.current() === ".") {
                this.forward();
                var dec = this._extract(intChars);
                return token(TOKEN_FLOAT, tok + "." + dec, lineno, colno);
              } else {
                return token(TOKEN_INT, tok, lineno, colno);
              }
            } else if (tok.match(/^(true|false)$/)) {
              return token(TOKEN_BOOLEAN, tok, lineno, colno);
            } else if (tok === "none") {
              return token(TOKEN_NONE, tok, lineno, colno);
            } else if (tok === "null") {
              return token(TOKEN_NONE, tok, lineno, colno);
            } else if (tok) {
              return token(TOKEN_SYMBOL, tok, lineno, colno);
            } else {
              throw new Error("Unexpected value while parsing: " + tok);
            }
          }
        } else {
          var beginChars = this.tags.BLOCK_START.charAt(0) + this.tags.VARIABLE_START.charAt(0) + this.tags.COMMENT_START.charAt(0) + this.tags.COMMENT_END.charAt(0);
          if (this.isFinished()) {
            return null;
          } else if ((tok = this._extractString(this.tags.BLOCK_START + "-")) || (tok = this._extractString(this.tags.BLOCK_START))) {
            this.in_code = true;
            return token(TOKEN_BLOCK_START, tok, lineno, colno);
          } else if ((tok = this._extractString(this.tags.VARIABLE_START + "-")) || (tok = this._extractString(this.tags.VARIABLE_START))) {
            this.in_code = true;
            return token(TOKEN_VARIABLE_START, tok, lineno, colno);
          } else {
            tok = "";
            var data;
            var inComment = false;
            if (this._matches(this.tags.COMMENT_START)) {
              inComment = true;
              tok = this._extractString(this.tags.COMMENT_START);
            }
            while ((data = this._extractUntil(beginChars)) !== null) {
              tok += data;
              if ((this._matches(this.tags.BLOCK_START) || this._matches(this.tags.VARIABLE_START) || this._matches(this.tags.COMMENT_START)) && !inComment) {
                if (this.lstripBlocks && this._matches(this.tags.BLOCK_START) && this.colno > 0 && this.colno <= tok.length) {
                  var lastLine = tok.slice(-this.colno);
                  if (/^\s+$/.test(lastLine)) {
                    tok = tok.slice(0, -this.colno);
                    if (!tok.length) {
                      return this.nextToken();
                    }
                  }
                }
                break;
              } else if (this._matches(this.tags.COMMENT_END)) {
                if (!inComment) {
                  throw new Error("unexpected end of comment");
                }
                tok += this._extractString(this.tags.COMMENT_END);
                break;
              } else {
                tok += this.current();
                this.forward();
              }
            }
            if (data === null && inComment) {
              throw new Error("expected end of comment, got end of file");
            }
            return token(inComment ? TOKEN_COMMENT : TOKEN_DATA, tok, lineno, colno);
          }
        }
      };
      _proto._parseString = function _parseString(delimiter) {
        this.forward();
        var str = "";
        while (!this.isFinished() && this.current() !== delimiter) {
          var cur = this.current();
          if (cur === "\\") {
            this.forward();
            switch (this.current()) {
              case "n":
                str += "\n";
                break;
              case "t":
                str += "	";
                break;
              case "r":
                str += "\r";
                break;
              default:
                str += this.current();
            }
            this.forward();
          } else {
            str += cur;
            this.forward();
          }
        }
        this.forward();
        return str;
      };
      _proto._matches = function _matches(str) {
        if (this.index + str.length > this.len) {
          return null;
        }
        var m = this.str.slice(this.index, this.index + str.length);
        return m === str;
      };
      _proto._extractString = function _extractString(str) {
        if (this._matches(str)) {
          this.forwardN(str.length);
          return str;
        }
        return null;
      };
      _proto._extractUntil = function _extractUntil(charString) {
        return this._extractMatching(true, charString || "");
      };
      _proto._extract = function _extract(charString) {
        return this._extractMatching(false, charString);
      };
      _proto._extractMatching = function _extractMatching(breakOnMatch, charString) {
        if (this.isFinished()) {
          return null;
        }
        var first = charString.indexOf(this.current());
        if (breakOnMatch && first === -1 || !breakOnMatch && first !== -1) {
          var t = this.current();
          this.forward();
          var idx = charString.indexOf(this.current());
          while ((breakOnMatch && idx === -1 || !breakOnMatch && idx !== -1) && !this.isFinished()) {
            t += this.current();
            this.forward();
            idx = charString.indexOf(this.current());
          }
          return t;
        }
        return "";
      };
      _proto._extractRegex = function _extractRegex(regex) {
        var matches = this.currentStr().match(regex);
        if (!matches) {
          return null;
        }
        this.forwardN(matches[0].length);
        return matches;
      };
      _proto.isFinished = function isFinished() {
        return this.index >= this.len;
      };
      _proto.forwardN = function forwardN(n) {
        for (var i = 0; i < n; i++) {
          this.forward();
        }
      };
      _proto.forward = function forward() {
        this.index++;
        if (this.previous() === "\n") {
          this.lineno++;
          this.colno = 0;
        } else {
          this.colno++;
        }
      };
      _proto.backN = function backN(n) {
        for (var i = 0; i < n; i++) {
          this.back();
        }
      };
      _proto.back = function back() {
        this.index--;
        if (this.current() === "\n") {
          this.lineno--;
          var idx = this.src.lastIndexOf("\n", this.index - 1);
          if (idx === -1) {
            this.colno = this.index;
          } else {
            this.colno = this.index - idx;
          }
        } else {
          this.colno--;
        }
      };
      _proto.current = function current() {
        if (!this.isFinished()) {
          return this.str.charAt(this.index);
        }
        return "";
      };
      _proto.currentStr = function currentStr() {
        if (!this.isFinished()) {
          return this.str.substr(this.index);
        }
        return "";
      };
      _proto.previous = function previous() {
        return this.str.charAt(this.index - 1);
      };
      return Tokenizer2;
    }();
    module.exports = {
      lex: function lex(src, opts) {
        return new Tokenizer(src, opts);
      },
      TOKEN_STRING,
      TOKEN_WHITESPACE,
      TOKEN_DATA,
      TOKEN_BLOCK_START,
      TOKEN_BLOCK_END,
      TOKEN_VARIABLE_START,
      TOKEN_VARIABLE_END,
      TOKEN_COMMENT,
      TOKEN_LEFT_PAREN,
      TOKEN_RIGHT_PAREN,
      TOKEN_LEFT_BRACKET,
      TOKEN_RIGHT_BRACKET,
      TOKEN_LEFT_CURLY,
      TOKEN_RIGHT_CURLY,
      TOKEN_OPERATOR,
      TOKEN_COMMA,
      TOKEN_COLON,
      TOKEN_TILDE,
      TOKEN_PIPE,
      TOKEN_INT,
      TOKEN_FLOAT,
      TOKEN_BOOLEAN,
      TOKEN_NONE,
      TOKEN_SYMBOL,
      TOKEN_SPECIAL,
      TOKEN_REGEX
    };
  }
});

// ../../node_modules/nunjucks/src/object.js
var require_object = __commonJS({
  "../../node_modules/nunjucks/src/object.js"(exports, module) {
    "use strict";
    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
      }
    }
    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);
      if (staticProps) _defineProperties(Constructor, staticProps);
      Object.defineProperty(Constructor, "prototype", { writable: false });
      return Constructor;
    }
    function _toPropertyKey(arg) {
      var key = _toPrimitive(arg, "string");
      return typeof key === "symbol" ? key : String(key);
    }
    function _toPrimitive(input, hint) {
      if (typeof input !== "object" || input === null) return input;
      var prim = input[Symbol.toPrimitive];
      if (prim !== void 0) {
        var res = prim.call(input, hint || "default");
        if (typeof res !== "object") return res;
        throw new TypeError("@@toPrimitive must return a primitive value.");
      }
      return (hint === "string" ? String : Number)(input);
    }
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var EventEmitter = __require("events");
    var lib = require_lib();
    function parentWrap(parent, prop) {
      if (typeof parent !== "function" || typeof prop !== "function") {
        return prop;
      }
      return function wrap() {
        var tmp = this.parent;
        this.parent = parent;
        var res = prop.apply(this, arguments);
        this.parent = tmp;
        return res;
      };
    }
    function extendClass(cls, name, props) {
      props = props || {};
      lib.keys(props).forEach(function(k) {
        props[k] = parentWrap(cls.prototype[k], props[k]);
      });
      var subclass = /* @__PURE__ */ function(_cls) {
        _inheritsLoose(subclass2, _cls);
        function subclass2() {
          return _cls.apply(this, arguments) || this;
        }
        _createClass(subclass2, [{
          key: "typename",
          get: function get() {
            return name;
          }
        }]);
        return subclass2;
      }(cls);
      lib._assign(subclass.prototype, props);
      return subclass;
    }
    var Obj = /* @__PURE__ */ function() {
      function Obj2() {
        this.init.apply(this, arguments);
      }
      var _proto = Obj2.prototype;
      _proto.init = function init() {
      };
      Obj2.extend = function extend(name, props) {
        if (typeof name === "object") {
          props = name;
          name = "anonymous";
        }
        return extendClass(this, name, props);
      };
      _createClass(Obj2, [{
        key: "typename",
        get: function get() {
          return this.constructor.name;
        }
      }]);
      return Obj2;
    }();
    var EmitterObj = /* @__PURE__ */ function(_EventEmitter) {
      _inheritsLoose(EmitterObj2, _EventEmitter);
      function EmitterObj2() {
        var _this2;
        var _this;
        _this = _EventEmitter.call(this) || this;
        (_this2 = _this).init.apply(_this2, arguments);
        return _this;
      }
      var _proto2 = EmitterObj2.prototype;
      _proto2.init = function init() {
      };
      EmitterObj2.extend = function extend(name, props) {
        if (typeof name === "object") {
          props = name;
          name = "anonymous";
        }
        return extendClass(this, name, props);
      };
      _createClass(EmitterObj2, [{
        key: "typename",
        get: function get() {
          return this.constructor.name;
        }
      }]);
      return EmitterObj2;
    }(EventEmitter);
    module.exports = {
      Obj,
      EmitterObj
    };
  }
});

// ../../node_modules/nunjucks/src/nodes.js
var require_nodes = __commonJS({
  "../../node_modules/nunjucks/src/nodes.js"(exports, module) {
    "use strict";
    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
      }
    }
    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);
      if (staticProps) _defineProperties(Constructor, staticProps);
      Object.defineProperty(Constructor, "prototype", { writable: false });
      return Constructor;
    }
    function _toPropertyKey(arg) {
      var key = _toPrimitive(arg, "string");
      return typeof key === "symbol" ? key : String(key);
    }
    function _toPrimitive(input, hint) {
      if (typeof input !== "object" || input === null) return input;
      var prim = input[Symbol.toPrimitive];
      if (prim !== void 0) {
        var res = prim.call(input, hint || "default");
        if (typeof res !== "object") return res;
        throw new TypeError("@@toPrimitive must return a primitive value.");
      }
      return (hint === "string" ? String : Number)(input);
    }
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var _require = require_object();
    var Obj = _require.Obj;
    function traverseAndCheck(obj, type, results) {
      if (obj instanceof type) {
        results.push(obj);
      }
      if (obj instanceof Node2) {
        obj.findAll(type, results);
      }
    }
    var Node2 = /* @__PURE__ */ function(_Obj) {
      _inheritsLoose(Node3, _Obj);
      function Node3() {
        return _Obj.apply(this, arguments) || this;
      }
      var _proto = Node3.prototype;
      _proto.init = function init(lineno, colno) {
        var _arguments = arguments, _this = this;
        for (var _len = arguments.length, args2 = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
          args2[_key - 2] = arguments[_key];
        }
        this.lineno = lineno;
        this.colno = colno;
        this.fields.forEach(function(field, i) {
          var val = _arguments[i + 2];
          if (val === void 0) {
            val = null;
          }
          _this[field] = val;
        });
      };
      _proto.findAll = function findAll(type, results) {
        var _this2 = this;
        results = results || [];
        if (this instanceof NodeList) {
          this.children.forEach(function(child) {
            return traverseAndCheck(child, type, results);
          });
        } else {
          this.fields.forEach(function(field) {
            return traverseAndCheck(_this2[field], type, results);
          });
        }
        return results;
      };
      _proto.iterFields = function iterFields(func) {
        var _this3 = this;
        this.fields.forEach(function(field) {
          func(_this3[field], field);
        });
      };
      return Node3;
    }(Obj);
    var Value = /* @__PURE__ */ function(_Node) {
      _inheritsLoose(Value2, _Node);
      function Value2() {
        return _Node.apply(this, arguments) || this;
      }
      _createClass(Value2, [{
        key: "typename",
        get: function get() {
          return "Value";
        }
      }, {
        key: "fields",
        get: function get() {
          return ["value"];
        }
      }]);
      return Value2;
    }(Node2);
    var NodeList = /* @__PURE__ */ function(_Node2) {
      _inheritsLoose(NodeList2, _Node2);
      function NodeList2() {
        return _Node2.apply(this, arguments) || this;
      }
      var _proto2 = NodeList2.prototype;
      _proto2.init = function init(lineno, colno, nodes) {
        _Node2.prototype.init.call(this, lineno, colno, nodes || []);
      };
      _proto2.addChild = function addChild(node) {
        this.children.push(node);
      };
      _createClass(NodeList2, [{
        key: "typename",
        get: function get() {
          return "NodeList";
        }
      }, {
        key: "fields",
        get: function get() {
          return ["children"];
        }
      }]);
      return NodeList2;
    }(Node2);
    var Root = NodeList.extend("Root");
    var Literal = Value.extend("Literal");
    var _Symbol = Value.extend("Symbol");
    var Group = NodeList.extend("Group");
    var ArrayNode = NodeList.extend("Array");
    var Pair = Node2.extend("Pair", {
      fields: ["key", "value"]
    });
    var Dict = NodeList.extend("Dict");
    var LookupVal = Node2.extend("LookupVal", {
      fields: ["target", "val"]
    });
    var If = Node2.extend("If", {
      fields: ["cond", "body", "else_"]
    });
    var IfAsync = If.extend("IfAsync");
    var InlineIf = Node2.extend("InlineIf", {
      fields: ["cond", "body", "else_"]
    });
    var For = Node2.extend("For", {
      fields: ["arr", "name", "body", "else_"]
    });
    var AsyncEach = For.extend("AsyncEach");
    var AsyncAll = For.extend("AsyncAll");
    var Macro = Node2.extend("Macro", {
      fields: ["name", "args", "body"]
    });
    var Caller = Macro.extend("Caller");
    var Import = Node2.extend("Import", {
      fields: ["template", "target", "withContext"]
    });
    var FromImport = /* @__PURE__ */ function(_Node3) {
      _inheritsLoose(FromImport2, _Node3);
      function FromImport2() {
        return _Node3.apply(this, arguments) || this;
      }
      var _proto3 = FromImport2.prototype;
      _proto3.init = function init(lineno, colno, template, names, withContext) {
        _Node3.prototype.init.call(this, lineno, colno, template, names || new NodeList(), withContext);
      };
      _createClass(FromImport2, [{
        key: "typename",
        get: function get() {
          return "FromImport";
        }
      }, {
        key: "fields",
        get: function get() {
          return ["template", "names", "withContext"];
        }
      }]);
      return FromImport2;
    }(Node2);
    var FunCall = Node2.extend("FunCall", {
      fields: ["name", "args"]
    });
    var Filter = FunCall.extend("Filter");
    var FilterAsync = Filter.extend("FilterAsync", {
      fields: ["name", "args", "symbol"]
    });
    var KeywordArgs = Dict.extend("KeywordArgs");
    var Block = Node2.extend("Block", {
      fields: ["name", "body"]
    });
    var Super = Node2.extend("Super", {
      fields: ["blockName", "symbol"]
    });
    var TemplateRef = Node2.extend("TemplateRef", {
      fields: ["template"]
    });
    var Extends = TemplateRef.extend("Extends");
    var Include = Node2.extend("Include", {
      fields: ["template", "ignoreMissing"]
    });
    var Set2 = Node2.extend("Set", {
      fields: ["targets", "value"]
    });
    var Switch = Node2.extend("Switch", {
      fields: ["expr", "cases", "default"]
    });
    var Case = Node2.extend("Case", {
      fields: ["cond", "body"]
    });
    var Output = NodeList.extend("Output");
    var Capture = Node2.extend("Capture", {
      fields: ["body"]
    });
    var TemplateData = Literal.extend("TemplateData");
    var UnaryOp = Node2.extend("UnaryOp", {
      fields: ["target"]
    });
    var BinOp = Node2.extend("BinOp", {
      fields: ["left", "right"]
    });
    var In = BinOp.extend("In");
    var Is = BinOp.extend("Is");
    var Or = BinOp.extend("Or");
    var And = BinOp.extend("And");
    var Not = UnaryOp.extend("Not");
    var Add = BinOp.extend("Add");
    var Concat = BinOp.extend("Concat");
    var Sub = BinOp.extend("Sub");
    var Mul = BinOp.extend("Mul");
    var Div = BinOp.extend("Div");
    var FloorDiv = BinOp.extend("FloorDiv");
    var Mod = BinOp.extend("Mod");
    var Pow = BinOp.extend("Pow");
    var Neg = UnaryOp.extend("Neg");
    var Pos = UnaryOp.extend("Pos");
    var Compare = Node2.extend("Compare", {
      fields: ["expr", "ops"]
    });
    var CompareOperand = Node2.extend("CompareOperand", {
      fields: ["expr", "type"]
    });
    var CallExtension = Node2.extend("CallExtension", {
      init: function init(ext, prop, args2, contentArgs) {
        this.parent();
        this.extName = ext.__name || ext;
        this.prop = prop;
        this.args = args2 || new NodeList();
        this.contentArgs = contentArgs || [];
        this.autoescape = ext.autoescape;
      },
      fields: ["extName", "prop", "args", "contentArgs"]
    });
    var CallExtensionAsync = CallExtension.extend("CallExtensionAsync");
    function print(str, indent, inline) {
      var lines = str.split("\n");
      lines.forEach(function(line, i) {
        if (line && (inline && i > 0 || !inline)) {
          process.stdout.write(" ".repeat(indent));
        }
        var nl = i === lines.length - 1 ? "" : "\n";
        process.stdout.write("" + line + nl);
      });
    }
    function printNodes(node, indent) {
      indent = indent || 0;
      print(node.typename + ": ", indent);
      if (node instanceof NodeList) {
        print("\n");
        node.children.forEach(function(n) {
          printNodes(n, indent + 2);
        });
      } else if (node instanceof CallExtension) {
        print(node.extName + "." + node.prop + "\n");
        if (node.args) {
          printNodes(node.args, indent + 2);
        }
        if (node.contentArgs) {
          node.contentArgs.forEach(function(n) {
            printNodes(n, indent + 2);
          });
        }
      } else {
        var nodes = [];
        var props = null;
        node.iterFields(function(val, fieldName) {
          if (val instanceof Node2) {
            nodes.push([fieldName, val]);
          } else {
            props = props || {};
            props[fieldName] = val;
          }
        });
        if (props) {
          print(JSON.stringify(props, null, 2) + "\n", null, true);
        } else {
          print("\n");
        }
        nodes.forEach(function(_ref) {
          var fieldName = _ref[0], n = _ref[1];
          print("[" + fieldName + "] =>", indent + 2);
          printNodes(n, indent + 4);
        });
      }
    }
    module.exports = {
      Node: Node2,
      Root,
      NodeList,
      Value,
      Literal,
      Symbol: _Symbol,
      Group,
      Array: ArrayNode,
      Pair,
      Dict,
      Output,
      Capture,
      TemplateData,
      If,
      IfAsync,
      InlineIf,
      For,
      AsyncEach,
      AsyncAll,
      Macro,
      Caller,
      Import,
      FromImport,
      FunCall,
      Filter,
      FilterAsync,
      KeywordArgs,
      Block,
      Super,
      Extends,
      Include,
      Set: Set2,
      Switch,
      Case,
      LookupVal,
      BinOp,
      In,
      Is,
      Or,
      And,
      Not,
      Add,
      Concat,
      Sub,
      Mul,
      Div,
      FloorDiv,
      Mod,
      Pow,
      Neg,
      Pos,
      Compare,
      CompareOperand,
      CallExtension,
      CallExtensionAsync,
      printNodes
    };
  }
});

// ../../node_modules/nunjucks/src/parser.js
var require_parser = __commonJS({
  "../../node_modules/nunjucks/src/parser.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var lexer = require_lexer();
    var nodes = require_nodes();
    var Obj = require_object().Obj;
    var lib = require_lib();
    var Parser = /* @__PURE__ */ function(_Obj) {
      _inheritsLoose(Parser2, _Obj);
      function Parser2() {
        return _Obj.apply(this, arguments) || this;
      }
      var _proto = Parser2.prototype;
      _proto.init = function init(tokens) {
        this.tokens = tokens;
        this.peeked = null;
        this.breakOnBlocks = null;
        this.dropLeadingWhitespace = false;
        this.extensions = [];
      };
      _proto.nextToken = function nextToken(withWhitespace) {
        var tok;
        if (this.peeked) {
          if (!withWhitespace && this.peeked.type === lexer.TOKEN_WHITESPACE) {
            this.peeked = null;
          } else {
            tok = this.peeked;
            this.peeked = null;
            return tok;
          }
        }
        tok = this.tokens.nextToken();
        if (!withWhitespace) {
          while (tok && tok.type === lexer.TOKEN_WHITESPACE) {
            tok = this.tokens.nextToken();
          }
        }
        return tok;
      };
      _proto.peekToken = function peekToken() {
        this.peeked = this.peeked || this.nextToken();
        return this.peeked;
      };
      _proto.pushToken = function pushToken(tok) {
        if (this.peeked) {
          throw new Error("pushToken: can only push one token on between reads");
        }
        this.peeked = tok;
      };
      _proto.error = function error(msg, lineno, colno) {
        if (lineno === void 0 || colno === void 0) {
          var tok = this.peekToken() || {};
          lineno = tok.lineno;
          colno = tok.colno;
        }
        if (lineno !== void 0) {
          lineno += 1;
        }
        if (colno !== void 0) {
          colno += 1;
        }
        return new lib.TemplateError(msg, lineno, colno);
      };
      _proto.fail = function fail(msg, lineno, colno) {
        throw this.error(msg, lineno, colno);
      };
      _proto.skip = function skip(type) {
        var tok = this.nextToken();
        if (!tok || tok.type !== type) {
          this.pushToken(tok);
          return false;
        }
        return true;
      };
      _proto.expect = function expect(type) {
        var tok = this.nextToken();
        if (tok.type !== type) {
          this.fail("expected " + type + ", got " + tok.type, tok.lineno, tok.colno);
        }
        return tok;
      };
      _proto.skipValue = function skipValue(type, val) {
        var tok = this.nextToken();
        if (!tok || tok.type !== type || tok.value !== val) {
          this.pushToken(tok);
          return false;
        }
        return true;
      };
      _proto.skipSymbol = function skipSymbol(val) {
        return this.skipValue(lexer.TOKEN_SYMBOL, val);
      };
      _proto.advanceAfterBlockEnd = function advanceAfterBlockEnd(name) {
        var tok;
        if (!name) {
          tok = this.peekToken();
          if (!tok) {
            this.fail("unexpected end of file");
          }
          if (tok.type !== lexer.TOKEN_SYMBOL) {
            this.fail("advanceAfterBlockEnd: expected symbol token or explicit name to be passed");
          }
          name = this.nextToken().value;
        }
        tok = this.nextToken();
        if (tok && tok.type === lexer.TOKEN_BLOCK_END) {
          if (tok.value.charAt(0) === "-") {
            this.dropLeadingWhitespace = true;
          }
        } else {
          this.fail("expected block end in " + name + " statement");
        }
        return tok;
      };
      _proto.advanceAfterVariableEnd = function advanceAfterVariableEnd() {
        var tok = this.nextToken();
        if (tok && tok.type === lexer.TOKEN_VARIABLE_END) {
          this.dropLeadingWhitespace = tok.value.charAt(tok.value.length - this.tokens.tags.VARIABLE_END.length - 1) === "-";
        } else {
          this.pushToken(tok);
          this.fail("expected variable end");
        }
      };
      _proto.parseFor = function parseFor() {
        var forTok = this.peekToken();
        var node;
        var endBlock;
        if (this.skipSymbol("for")) {
          node = new nodes.For(forTok.lineno, forTok.colno);
          endBlock = "endfor";
        } else if (this.skipSymbol("asyncEach")) {
          node = new nodes.AsyncEach(forTok.lineno, forTok.colno);
          endBlock = "endeach";
        } else if (this.skipSymbol("asyncAll")) {
          node = new nodes.AsyncAll(forTok.lineno, forTok.colno);
          endBlock = "endall";
        } else {
          this.fail("parseFor: expected for{Async}", forTok.lineno, forTok.colno);
        }
        node.name = this.parsePrimary();
        if (!(node.name instanceof nodes.Symbol)) {
          this.fail("parseFor: variable name expected for loop");
        }
        var type = this.peekToken().type;
        if (type === lexer.TOKEN_COMMA) {
          var key = node.name;
          node.name = new nodes.Array(key.lineno, key.colno);
          node.name.addChild(key);
          while (this.skip(lexer.TOKEN_COMMA)) {
            var prim = this.parsePrimary();
            node.name.addChild(prim);
          }
        }
        if (!this.skipSymbol("in")) {
          this.fail('parseFor: expected "in" keyword for loop', forTok.lineno, forTok.colno);
        }
        node.arr = this.parseExpression();
        this.advanceAfterBlockEnd(forTok.value);
        node.body = this.parseUntilBlocks(endBlock, "else");
        if (this.skipSymbol("else")) {
          this.advanceAfterBlockEnd("else");
          node.else_ = this.parseUntilBlocks(endBlock);
        }
        this.advanceAfterBlockEnd();
        return node;
      };
      _proto.parseMacro = function parseMacro() {
        var macroTok = this.peekToken();
        if (!this.skipSymbol("macro")) {
          this.fail("expected macro");
        }
        var name = this.parsePrimary(true);
        var args2 = this.parseSignature();
        var node = new nodes.Macro(macroTok.lineno, macroTok.colno, name, args2);
        this.advanceAfterBlockEnd(macroTok.value);
        node.body = this.parseUntilBlocks("endmacro");
        this.advanceAfterBlockEnd();
        return node;
      };
      _proto.parseCall = function parseCall() {
        var callTok = this.peekToken();
        if (!this.skipSymbol("call")) {
          this.fail("expected call");
        }
        var callerArgs = this.parseSignature(true) || new nodes.NodeList();
        var macroCall = this.parsePrimary();
        this.advanceAfterBlockEnd(callTok.value);
        var body = this.parseUntilBlocks("endcall");
        this.advanceAfterBlockEnd();
        var callerName = new nodes.Symbol(callTok.lineno, callTok.colno, "caller");
        var callerNode = new nodes.Caller(callTok.lineno, callTok.colno, callerName, callerArgs, body);
        var args2 = macroCall.args.children;
        if (!(args2[args2.length - 1] instanceof nodes.KeywordArgs)) {
          args2.push(new nodes.KeywordArgs());
        }
        var kwargs = args2[args2.length - 1];
        kwargs.addChild(new nodes.Pair(callTok.lineno, callTok.colno, callerName, callerNode));
        return new nodes.Output(callTok.lineno, callTok.colno, [macroCall]);
      };
      _proto.parseWithContext = function parseWithContext() {
        var tok = this.peekToken();
        var withContext = null;
        if (this.skipSymbol("with")) {
          withContext = true;
        } else if (this.skipSymbol("without")) {
          withContext = false;
        }
        if (withContext !== null) {
          if (!this.skipSymbol("context")) {
            this.fail("parseFrom: expected context after with/without", tok.lineno, tok.colno);
          }
        }
        return withContext;
      };
      _proto.parseImport = function parseImport() {
        var importTok = this.peekToken();
        if (!this.skipSymbol("import")) {
          this.fail("parseImport: expected import", importTok.lineno, importTok.colno);
        }
        var template = this.parseExpression();
        if (!this.skipSymbol("as")) {
          this.fail('parseImport: expected "as" keyword', importTok.lineno, importTok.colno);
        }
        var target = this.parseExpression();
        var withContext = this.parseWithContext();
        var node = new nodes.Import(importTok.lineno, importTok.colno, template, target, withContext);
        this.advanceAfterBlockEnd(importTok.value);
        return node;
      };
      _proto.parseFrom = function parseFrom() {
        var fromTok = this.peekToken();
        if (!this.skipSymbol("from")) {
          this.fail("parseFrom: expected from");
        }
        var template = this.parseExpression();
        if (!this.skipSymbol("import")) {
          this.fail("parseFrom: expected import", fromTok.lineno, fromTok.colno);
        }
        var names = new nodes.NodeList();
        var withContext;
        while (1) {
          var nextTok = this.peekToken();
          if (nextTok.type === lexer.TOKEN_BLOCK_END) {
            if (!names.children.length) {
              this.fail("parseFrom: Expected at least one import name", fromTok.lineno, fromTok.colno);
            }
            if (nextTok.value.charAt(0) === "-") {
              this.dropLeadingWhitespace = true;
            }
            this.nextToken();
            break;
          }
          if (names.children.length > 0 && !this.skip(lexer.TOKEN_COMMA)) {
            this.fail("parseFrom: expected comma", fromTok.lineno, fromTok.colno);
          }
          var name = this.parsePrimary();
          if (name.value.charAt(0) === "_") {
            this.fail("parseFrom: names starting with an underscore cannot be imported", name.lineno, name.colno);
          }
          if (this.skipSymbol("as")) {
            var alias = this.parsePrimary();
            names.addChild(new nodes.Pair(name.lineno, name.colno, name, alias));
          } else {
            names.addChild(name);
          }
          withContext = this.parseWithContext();
        }
        return new nodes.FromImport(fromTok.lineno, fromTok.colno, template, names, withContext);
      };
      _proto.parseBlock = function parseBlock() {
        var tag = this.peekToken();
        if (!this.skipSymbol("block")) {
          this.fail("parseBlock: expected block", tag.lineno, tag.colno);
        }
        var node = new nodes.Block(tag.lineno, tag.colno);
        node.name = this.parsePrimary();
        if (!(node.name instanceof nodes.Symbol)) {
          this.fail("parseBlock: variable name expected", tag.lineno, tag.colno);
        }
        this.advanceAfterBlockEnd(tag.value);
        node.body = this.parseUntilBlocks("endblock");
        this.skipSymbol("endblock");
        this.skipSymbol(node.name.value);
        var tok = this.peekToken();
        if (!tok) {
          this.fail("parseBlock: expected endblock, got end of file");
        }
        this.advanceAfterBlockEnd(tok.value);
        return node;
      };
      _proto.parseExtends = function parseExtends() {
        var tagName = "extends";
        var tag = this.peekToken();
        if (!this.skipSymbol(tagName)) {
          this.fail("parseTemplateRef: expected " + tagName);
        }
        var node = new nodes.Extends(tag.lineno, tag.colno);
        node.template = this.parseExpression();
        this.advanceAfterBlockEnd(tag.value);
        return node;
      };
      _proto.parseInclude = function parseInclude() {
        var tagName = "include";
        var tag = this.peekToken();
        if (!this.skipSymbol(tagName)) {
          this.fail("parseInclude: expected " + tagName);
        }
        var node = new nodes.Include(tag.lineno, tag.colno);
        node.template = this.parseExpression();
        if (this.skipSymbol("ignore") && this.skipSymbol("missing")) {
          node.ignoreMissing = true;
        }
        this.advanceAfterBlockEnd(tag.value);
        return node;
      };
      _proto.parseIf = function parseIf() {
        var tag = this.peekToken();
        var node;
        if (this.skipSymbol("if") || this.skipSymbol("elif") || this.skipSymbol("elseif")) {
          node = new nodes.If(tag.lineno, tag.colno);
        } else if (this.skipSymbol("ifAsync")) {
          node = new nodes.IfAsync(tag.lineno, tag.colno);
        } else {
          this.fail("parseIf: expected if, elif, or elseif", tag.lineno, tag.colno);
        }
        node.cond = this.parseExpression();
        this.advanceAfterBlockEnd(tag.value);
        node.body = this.parseUntilBlocks("elif", "elseif", "else", "endif");
        var tok = this.peekToken();
        switch (tok && tok.value) {
          case "elseif":
          case "elif":
            node.else_ = this.parseIf();
            break;
          case "else":
            this.advanceAfterBlockEnd();
            node.else_ = this.parseUntilBlocks("endif");
            this.advanceAfterBlockEnd();
            break;
          case "endif":
            node.else_ = null;
            this.advanceAfterBlockEnd();
            break;
          default:
            this.fail("parseIf: expected elif, else, or endif, got end of file");
        }
        return node;
      };
      _proto.parseSet = function parseSet() {
        var tag = this.peekToken();
        if (!this.skipSymbol("set")) {
          this.fail("parseSet: expected set", tag.lineno, tag.colno);
        }
        var node = new nodes.Set(tag.lineno, tag.colno, []);
        var target;
        while (target = this.parsePrimary()) {
          node.targets.push(target);
          if (!this.skip(lexer.TOKEN_COMMA)) {
            break;
          }
        }
        if (!this.skipValue(lexer.TOKEN_OPERATOR, "=")) {
          if (!this.skip(lexer.TOKEN_BLOCK_END)) {
            this.fail("parseSet: expected = or block end in set tag", tag.lineno, tag.colno);
          } else {
            node.body = new nodes.Capture(tag.lineno, tag.colno, this.parseUntilBlocks("endset"));
            node.value = null;
            this.advanceAfterBlockEnd();
          }
        } else {
          node.value = this.parseExpression();
          this.advanceAfterBlockEnd(tag.value);
        }
        return node;
      };
      _proto.parseSwitch = function parseSwitch() {
        var switchStart = "switch";
        var switchEnd = "endswitch";
        var caseStart = "case";
        var caseDefault = "default";
        var tag = this.peekToken();
        if (!this.skipSymbol(switchStart) && !this.skipSymbol(caseStart) && !this.skipSymbol(caseDefault)) {
          this.fail('parseSwitch: expected "switch," "case" or "default"', tag.lineno, tag.colno);
        }
        var expr = this.parseExpression();
        this.advanceAfterBlockEnd(switchStart);
        this.parseUntilBlocks(caseStart, caseDefault, switchEnd);
        var tok = this.peekToken();
        var cases = [];
        var defaultCase;
        do {
          this.skipSymbol(caseStart);
          var cond = this.parseExpression();
          this.advanceAfterBlockEnd(switchStart);
          var body = this.parseUntilBlocks(caseStart, caseDefault, switchEnd);
          cases.push(new nodes.Case(tok.line, tok.col, cond, body));
          tok = this.peekToken();
        } while (tok && tok.value === caseStart);
        switch (tok.value) {
          case caseDefault:
            this.advanceAfterBlockEnd();
            defaultCase = this.parseUntilBlocks(switchEnd);
            this.advanceAfterBlockEnd();
            break;
          case switchEnd:
            this.advanceAfterBlockEnd();
            break;
          default:
            this.fail('parseSwitch: expected "case," "default" or "endswitch," got EOF.');
        }
        return new nodes.Switch(tag.lineno, tag.colno, expr, cases, defaultCase);
      };
      _proto.parseStatement = function parseStatement() {
        var tok = this.peekToken();
        var node;
        if (tok.type !== lexer.TOKEN_SYMBOL) {
          this.fail("tag name expected", tok.lineno, tok.colno);
        }
        if (this.breakOnBlocks && lib.indexOf(this.breakOnBlocks, tok.value) !== -1) {
          return null;
        }
        switch (tok.value) {
          case "raw":
            return this.parseRaw();
          case "verbatim":
            return this.parseRaw("verbatim");
          case "if":
          case "ifAsync":
            return this.parseIf();
          case "for":
          case "asyncEach":
          case "asyncAll":
            return this.parseFor();
          case "block":
            return this.parseBlock();
          case "extends":
            return this.parseExtends();
          case "include":
            return this.parseInclude();
          case "set":
            return this.parseSet();
          case "macro":
            return this.parseMacro();
          case "call":
            return this.parseCall();
          case "import":
            return this.parseImport();
          case "from":
            return this.parseFrom();
          case "filter":
            return this.parseFilterStatement();
          case "switch":
            return this.parseSwitch();
          default:
            if (this.extensions.length) {
              for (var i = 0; i < this.extensions.length; i++) {
                var ext = this.extensions[i];
                if (lib.indexOf(ext.tags || [], tok.value) !== -1) {
                  return ext.parse(this, nodes, lexer);
                }
              }
            }
            this.fail("unknown block tag: " + tok.value, tok.lineno, tok.colno);
        }
        return node;
      };
      _proto.parseRaw = function parseRaw(tagName) {
        tagName = tagName || "raw";
        var endTagName = "end" + tagName;
        var rawBlockRegex = new RegExp("([\\s\\S]*?){%\\s*(" + tagName + "|" + endTagName + ")\\s*(?=%})%}");
        var rawLevel = 1;
        var str = "";
        var matches = null;
        var begun = this.advanceAfterBlockEnd();
        while ((matches = this.tokens._extractRegex(rawBlockRegex)) && rawLevel > 0) {
          var all = matches[0];
          var pre = matches[1];
          var blockName = matches[2];
          if (blockName === tagName) {
            rawLevel += 1;
          } else if (blockName === endTagName) {
            rawLevel -= 1;
          }
          if (rawLevel === 0) {
            str += pre;
            this.tokens.backN(all.length - pre.length);
          } else {
            str += all;
          }
        }
        return new nodes.Output(begun.lineno, begun.colno, [new nodes.TemplateData(begun.lineno, begun.colno, str)]);
      };
      _proto.parsePostfix = function parsePostfix(node) {
        var lookup;
        var tok = this.peekToken();
        while (tok) {
          if (tok.type === lexer.TOKEN_LEFT_PAREN) {
            node = new nodes.FunCall(tok.lineno, tok.colno, node, this.parseSignature());
          } else if (tok.type === lexer.TOKEN_LEFT_BRACKET) {
            lookup = this.parseAggregate();
            if (lookup.children.length > 1) {
              this.fail("invalid index");
            }
            node = new nodes.LookupVal(tok.lineno, tok.colno, node, lookup.children[0]);
          } else if (tok.type === lexer.TOKEN_OPERATOR && tok.value === ".") {
            this.nextToken();
            var val = this.nextToken();
            if (val.type !== lexer.TOKEN_SYMBOL) {
              this.fail("expected name as lookup value, got " + val.value, val.lineno, val.colno);
            }
            lookup = new nodes.Literal(val.lineno, val.colno, val.value);
            node = new nodes.LookupVal(tok.lineno, tok.colno, node, lookup);
          } else {
            break;
          }
          tok = this.peekToken();
        }
        return node;
      };
      _proto.parseExpression = function parseExpression() {
        var node = this.parseInlineIf();
        return node;
      };
      _proto.parseInlineIf = function parseInlineIf() {
        var node = this.parseOr();
        if (this.skipSymbol("if")) {
          var condNode = this.parseOr();
          var bodyNode = node;
          node = new nodes.InlineIf(node.lineno, node.colno);
          node.body = bodyNode;
          node.cond = condNode;
          if (this.skipSymbol("else")) {
            node.else_ = this.parseOr();
          } else {
            node.else_ = null;
          }
        }
        return node;
      };
      _proto.parseOr = function parseOr() {
        var node = this.parseAnd();
        while (this.skipSymbol("or")) {
          var node2 = this.parseAnd();
          node = new nodes.Or(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseAnd = function parseAnd() {
        var node = this.parseNot();
        while (this.skipSymbol("and")) {
          var node2 = this.parseNot();
          node = new nodes.And(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseNot = function parseNot() {
        var tok = this.peekToken();
        if (this.skipSymbol("not")) {
          return new nodes.Not(tok.lineno, tok.colno, this.parseNot());
        }
        return this.parseIn();
      };
      _proto.parseIn = function parseIn() {
        var node = this.parseIs();
        while (1) {
          var tok = this.nextToken();
          if (!tok) {
            break;
          }
          var invert = tok.type === lexer.TOKEN_SYMBOL && tok.value === "not";
          if (!invert) {
            this.pushToken(tok);
          }
          if (this.skipSymbol("in")) {
            var node2 = this.parseIs();
            node = new nodes.In(node.lineno, node.colno, node, node2);
            if (invert) {
              node = new nodes.Not(node.lineno, node.colno, node);
            }
          } else {
            if (invert) {
              this.pushToken(tok);
            }
            break;
          }
        }
        return node;
      };
      _proto.parseIs = function parseIs() {
        var node = this.parseCompare();
        if (this.skipSymbol("is")) {
          var not = this.skipSymbol("not");
          var node2 = this.parseCompare();
          node = new nodes.Is(node.lineno, node.colno, node, node2);
          if (not) {
            node = new nodes.Not(node.lineno, node.colno, node);
          }
        }
        return node;
      };
      _proto.parseCompare = function parseCompare() {
        var compareOps = ["==", "===", "!=", "!==", "<", ">", "<=", ">="];
        var expr = this.parseConcat();
        var ops = [];
        while (1) {
          var tok = this.nextToken();
          if (!tok) {
            break;
          } else if (compareOps.indexOf(tok.value) !== -1) {
            ops.push(new nodes.CompareOperand(tok.lineno, tok.colno, this.parseConcat(), tok.value));
          } else {
            this.pushToken(tok);
            break;
          }
        }
        if (ops.length) {
          return new nodes.Compare(ops[0].lineno, ops[0].colno, expr, ops);
        } else {
          return expr;
        }
      };
      _proto.parseConcat = function parseConcat() {
        var node = this.parseAdd();
        while (this.skipValue(lexer.TOKEN_TILDE, "~")) {
          var node2 = this.parseAdd();
          node = new nodes.Concat(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseAdd = function parseAdd() {
        var node = this.parseSub();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "+")) {
          var node2 = this.parseSub();
          node = new nodes.Add(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseSub = function parseSub() {
        var node = this.parseMul();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "-")) {
          var node2 = this.parseMul();
          node = new nodes.Sub(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseMul = function parseMul() {
        var node = this.parseDiv();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "*")) {
          var node2 = this.parseDiv();
          node = new nodes.Mul(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseDiv = function parseDiv() {
        var node = this.parseFloorDiv();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "/")) {
          var node2 = this.parseFloorDiv();
          node = new nodes.Div(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseFloorDiv = function parseFloorDiv() {
        var node = this.parseMod();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "//")) {
          var node2 = this.parseMod();
          node = new nodes.FloorDiv(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseMod = function parseMod() {
        var node = this.parsePow();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "%")) {
          var node2 = this.parsePow();
          node = new nodes.Mod(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parsePow = function parsePow() {
        var node = this.parseUnary();
        while (this.skipValue(lexer.TOKEN_OPERATOR, "**")) {
          var node2 = this.parseUnary();
          node = new nodes.Pow(node.lineno, node.colno, node, node2);
        }
        return node;
      };
      _proto.parseUnary = function parseUnary(noFilters) {
        var tok = this.peekToken();
        var node;
        if (this.skipValue(lexer.TOKEN_OPERATOR, "-")) {
          node = new nodes.Neg(tok.lineno, tok.colno, this.parseUnary(true));
        } else if (this.skipValue(lexer.TOKEN_OPERATOR, "+")) {
          node = new nodes.Pos(tok.lineno, tok.colno, this.parseUnary(true));
        } else {
          node = this.parsePrimary();
        }
        if (!noFilters) {
          node = this.parseFilter(node);
        }
        return node;
      };
      _proto.parsePrimary = function parsePrimary(noPostfix) {
        var tok = this.nextToken();
        var val;
        var node = null;
        if (!tok) {
          this.fail("expected expression, got end of file");
        } else if (tok.type === lexer.TOKEN_STRING) {
          val = tok.value;
        } else if (tok.type === lexer.TOKEN_INT) {
          val = parseInt(tok.value, 10);
        } else if (tok.type === lexer.TOKEN_FLOAT) {
          val = parseFloat(tok.value);
        } else if (tok.type === lexer.TOKEN_BOOLEAN) {
          if (tok.value === "true") {
            val = true;
          } else if (tok.value === "false") {
            val = false;
          } else {
            this.fail("invalid boolean: " + tok.value, tok.lineno, tok.colno);
          }
        } else if (tok.type === lexer.TOKEN_NONE) {
          val = null;
        } else if (tok.type === lexer.TOKEN_REGEX) {
          val = new RegExp(tok.value.body, tok.value.flags);
        }
        if (val !== void 0) {
          node = new nodes.Literal(tok.lineno, tok.colno, val);
        } else if (tok.type === lexer.TOKEN_SYMBOL) {
          node = new nodes.Symbol(tok.lineno, tok.colno, tok.value);
        } else {
          this.pushToken(tok);
          node = this.parseAggregate();
        }
        if (!noPostfix) {
          node = this.parsePostfix(node);
        }
        if (node) {
          return node;
        } else {
          throw this.error("unexpected token: " + tok.value, tok.lineno, tok.colno);
        }
      };
      _proto.parseFilterName = function parseFilterName() {
        var tok = this.expect(lexer.TOKEN_SYMBOL);
        var name = tok.value;
        while (this.skipValue(lexer.TOKEN_OPERATOR, ".")) {
          name += "." + this.expect(lexer.TOKEN_SYMBOL).value;
        }
        return new nodes.Symbol(tok.lineno, tok.colno, name);
      };
      _proto.parseFilterArgs = function parseFilterArgs(node) {
        if (this.peekToken().type === lexer.TOKEN_LEFT_PAREN) {
          var call = this.parsePostfix(node);
          return call.args.children;
        }
        return [];
      };
      _proto.parseFilter = function parseFilter(node) {
        while (this.skip(lexer.TOKEN_PIPE)) {
          var name = this.parseFilterName();
          node = new nodes.Filter(name.lineno, name.colno, name, new nodes.NodeList(name.lineno, name.colno, [node].concat(this.parseFilterArgs(node))));
        }
        return node;
      };
      _proto.parseFilterStatement = function parseFilterStatement() {
        var filterTok = this.peekToken();
        if (!this.skipSymbol("filter")) {
          this.fail("parseFilterStatement: expected filter");
        }
        var name = this.parseFilterName();
        var args2 = this.parseFilterArgs(name);
        this.advanceAfterBlockEnd(filterTok.value);
        var body = new nodes.Capture(name.lineno, name.colno, this.parseUntilBlocks("endfilter"));
        this.advanceAfterBlockEnd();
        var node = new nodes.Filter(name.lineno, name.colno, name, new nodes.NodeList(name.lineno, name.colno, [body].concat(args2)));
        return new nodes.Output(name.lineno, name.colno, [node]);
      };
      _proto.parseAggregate = function parseAggregate() {
        var tok = this.nextToken();
        var node;
        switch (tok.type) {
          case lexer.TOKEN_LEFT_PAREN:
            node = new nodes.Group(tok.lineno, tok.colno);
            break;
          case lexer.TOKEN_LEFT_BRACKET:
            node = new nodes.Array(tok.lineno, tok.colno);
            break;
          case lexer.TOKEN_LEFT_CURLY:
            node = new nodes.Dict(tok.lineno, tok.colno);
            break;
          default:
            return null;
        }
        while (1) {
          var type = this.peekToken().type;
          if (type === lexer.TOKEN_RIGHT_PAREN || type === lexer.TOKEN_RIGHT_BRACKET || type === lexer.TOKEN_RIGHT_CURLY) {
            this.nextToken();
            break;
          }
          if (node.children.length > 0) {
            if (!this.skip(lexer.TOKEN_COMMA)) {
              this.fail("parseAggregate: expected comma after expression", tok.lineno, tok.colno);
            }
          }
          if (node instanceof nodes.Dict) {
            var key = this.parsePrimary();
            if (!this.skip(lexer.TOKEN_COLON)) {
              this.fail("parseAggregate: expected colon after dict key", tok.lineno, tok.colno);
            }
            var value = this.parseExpression();
            node.addChild(new nodes.Pair(key.lineno, key.colno, key, value));
          } else {
            var expr = this.parseExpression();
            node.addChild(expr);
          }
        }
        return node;
      };
      _proto.parseSignature = function parseSignature(tolerant, noParens) {
        var tok = this.peekToken();
        if (!noParens && tok.type !== lexer.TOKEN_LEFT_PAREN) {
          if (tolerant) {
            return null;
          } else {
            this.fail("expected arguments", tok.lineno, tok.colno);
          }
        }
        if (tok.type === lexer.TOKEN_LEFT_PAREN) {
          tok = this.nextToken();
        }
        var args2 = new nodes.NodeList(tok.lineno, tok.colno);
        var kwargs = new nodes.KeywordArgs(tok.lineno, tok.colno);
        var checkComma = false;
        while (1) {
          tok = this.peekToken();
          if (!noParens && tok.type === lexer.TOKEN_RIGHT_PAREN) {
            this.nextToken();
            break;
          } else if (noParens && tok.type === lexer.TOKEN_BLOCK_END) {
            break;
          }
          if (checkComma && !this.skip(lexer.TOKEN_COMMA)) {
            this.fail("parseSignature: expected comma after expression", tok.lineno, tok.colno);
          } else {
            var arg = this.parseExpression();
            if (this.skipValue(lexer.TOKEN_OPERATOR, "=")) {
              kwargs.addChild(new nodes.Pair(arg.lineno, arg.colno, arg, this.parseExpression()));
            } else {
              args2.addChild(arg);
            }
          }
          checkComma = true;
        }
        if (kwargs.children.length) {
          args2.addChild(kwargs);
        }
        return args2;
      };
      _proto.parseUntilBlocks = function parseUntilBlocks() {
        var prev = this.breakOnBlocks;
        for (var _len = arguments.length, blockNames = new Array(_len), _key = 0; _key < _len; _key++) {
          blockNames[_key] = arguments[_key];
        }
        this.breakOnBlocks = blockNames;
        var ret = this.parse();
        this.breakOnBlocks = prev;
        return ret;
      };
      _proto.parseNodes = function parseNodes() {
        var tok;
        var buf = [];
        while (tok = this.nextToken()) {
          if (tok.type === lexer.TOKEN_DATA) {
            var data = tok.value;
            var nextToken = this.peekToken();
            var nextVal = nextToken && nextToken.value;
            if (this.dropLeadingWhitespace) {
              data = data.replace(/^\s*/, "");
              this.dropLeadingWhitespace = false;
            }
            if (nextToken && (nextToken.type === lexer.TOKEN_BLOCK_START && nextVal.charAt(nextVal.length - 1) === "-" || nextToken.type === lexer.TOKEN_VARIABLE_START && nextVal.charAt(this.tokens.tags.VARIABLE_START.length) === "-" || nextToken.type === lexer.TOKEN_COMMENT && nextVal.charAt(this.tokens.tags.COMMENT_START.length) === "-")) {
              data = data.replace(/\s*$/, "");
            }
            buf.push(new nodes.Output(tok.lineno, tok.colno, [new nodes.TemplateData(tok.lineno, tok.colno, data)]));
          } else if (tok.type === lexer.TOKEN_BLOCK_START) {
            this.dropLeadingWhitespace = false;
            var n = this.parseStatement();
            if (!n) {
              break;
            }
            buf.push(n);
          } else if (tok.type === lexer.TOKEN_VARIABLE_START) {
            var e = this.parseExpression();
            this.dropLeadingWhitespace = false;
            this.advanceAfterVariableEnd();
            buf.push(new nodes.Output(tok.lineno, tok.colno, [e]));
          } else if (tok.type === lexer.TOKEN_COMMENT) {
            this.dropLeadingWhitespace = tok.value.charAt(tok.value.length - this.tokens.tags.COMMENT_END.length - 1) === "-";
          } else {
            this.fail("Unexpected token at top-level: " + tok.type, tok.lineno, tok.colno);
          }
        }
        return buf;
      };
      _proto.parse = function parse() {
        return new nodes.NodeList(0, 0, this.parseNodes());
      };
      _proto.parseAsRoot = function parseAsRoot() {
        return new nodes.Root(0, 0, this.parseNodes());
      };
      return Parser2;
    }(Obj);
    module.exports = {
      parse: function parse(src, extensions, opts) {
        var p = new Parser(lexer.lex(src, opts));
        if (extensions !== void 0) {
          p.extensions = extensions;
        }
        return p.parseAsRoot();
      },
      Parser
    };
  }
});

// ../../node_modules/nunjucks/src/transformer.js
var require_transformer = __commonJS({
  "../../node_modules/nunjucks/src/transformer.js"(exports, module) {
    "use strict";
    var nodes = require_nodes();
    var lib = require_lib();
    var sym = 0;
    function gensym() {
      return "hole_" + sym++;
    }
    function mapCOW(arr, func) {
      var res = null;
      for (var i = 0; i < arr.length; i++) {
        var item = func(arr[i]);
        if (item !== arr[i]) {
          if (!res) {
            res = arr.slice();
          }
          res[i] = item;
        }
      }
      return res || arr;
    }
    function walk(ast, func, depthFirst) {
      if (!(ast instanceof nodes.Node)) {
        return ast;
      }
      if (!depthFirst) {
        var astT = func(ast);
        if (astT && astT !== ast) {
          return astT;
        }
      }
      if (ast instanceof nodes.NodeList) {
        var children = mapCOW(ast.children, function(node) {
          return walk(node, func, depthFirst);
        });
        if (children !== ast.children) {
          ast = new nodes[ast.typename](ast.lineno, ast.colno, children);
        }
      } else if (ast instanceof nodes.CallExtension) {
        var args2 = walk(ast.args, func, depthFirst);
        var contentArgs = mapCOW(ast.contentArgs, function(node) {
          return walk(node, func, depthFirst);
        });
        if (args2 !== ast.args || contentArgs !== ast.contentArgs) {
          ast = new nodes[ast.typename](ast.extName, ast.prop, args2, contentArgs);
        }
      } else {
        var props = ast.fields.map(function(field) {
          return ast[field];
        });
        var propsT = mapCOW(props, function(prop) {
          return walk(prop, func, depthFirst);
        });
        if (propsT !== props) {
          ast = new nodes[ast.typename](ast.lineno, ast.colno);
          propsT.forEach(function(prop, i) {
            ast[ast.fields[i]] = prop;
          });
        }
      }
      return depthFirst ? func(ast) || ast : ast;
    }
    function depthWalk(ast, func) {
      return walk(ast, func, true);
    }
    function _liftFilters(node, asyncFilters, prop) {
      var children = [];
      var walked = depthWalk(prop ? node[prop] : node, function(descNode) {
        var symbol;
        if (descNode instanceof nodes.Block) {
          return descNode;
        } else if (descNode instanceof nodes.Filter && lib.indexOf(asyncFilters, descNode.name.value) !== -1 || descNode instanceof nodes.CallExtensionAsync) {
          symbol = new nodes.Symbol(descNode.lineno, descNode.colno, gensym());
          children.push(new nodes.FilterAsync(descNode.lineno, descNode.colno, descNode.name, descNode.args, symbol));
        }
        return symbol;
      });
      if (prop) {
        node[prop] = walked;
      } else {
        node = walked;
      }
      if (children.length) {
        children.push(node);
        return new nodes.NodeList(node.lineno, node.colno, children);
      } else {
        return node;
      }
    }
    function liftFilters(ast, asyncFilters) {
      return depthWalk(ast, function(node) {
        if (node instanceof nodes.Output) {
          return _liftFilters(node, asyncFilters);
        } else if (node instanceof nodes.Set) {
          return _liftFilters(node, asyncFilters, "value");
        } else if (node instanceof nodes.For) {
          return _liftFilters(node, asyncFilters, "arr");
        } else if (node instanceof nodes.If) {
          return _liftFilters(node, asyncFilters, "cond");
        } else if (node instanceof nodes.CallExtension) {
          return _liftFilters(node, asyncFilters, "args");
        } else {
          return void 0;
        }
      });
    }
    function liftSuper(ast) {
      return walk(ast, function(blockNode) {
        if (!(blockNode instanceof nodes.Block)) {
          return;
        }
        var hasSuper = false;
        var symbol = gensym();
        blockNode.body = walk(blockNode.body, function(node) {
          if (node instanceof nodes.FunCall && node.name.value === "super") {
            hasSuper = true;
            return new nodes.Symbol(node.lineno, node.colno, symbol);
          }
        });
        if (hasSuper) {
          blockNode.body.children.unshift(new nodes.Super(0, 0, blockNode.name, new nodes.Symbol(0, 0, symbol)));
        }
      });
    }
    function convertStatements(ast) {
      return depthWalk(ast, function(node) {
        if (!(node instanceof nodes.If) && !(node instanceof nodes.For)) {
          return void 0;
        }
        var async = false;
        walk(node, function(child) {
          if (child instanceof nodes.FilterAsync || child instanceof nodes.IfAsync || child instanceof nodes.AsyncEach || child instanceof nodes.AsyncAll || child instanceof nodes.CallExtensionAsync) {
            async = true;
            return child;
          }
          return void 0;
        });
        if (async) {
          if (node instanceof nodes.If) {
            return new nodes.IfAsync(node.lineno, node.colno, node.cond, node.body, node.else_);
          } else if (node instanceof nodes.For && !(node instanceof nodes.AsyncAll)) {
            return new nodes.AsyncEach(node.lineno, node.colno, node.arr, node.name, node.body, node.else_);
          }
        }
        return void 0;
      });
    }
    function cps(ast, asyncFilters) {
      return convertStatements(liftSuper(liftFilters(ast, asyncFilters)));
    }
    function transform(ast, asyncFilters) {
      return cps(ast, asyncFilters || []);
    }
    module.exports = {
      transform
    };
  }
});

// ../../node_modules/nunjucks/src/runtime.js
var require_runtime = __commonJS({
  "../../node_modules/nunjucks/src/runtime.js"(exports, module) {
    "use strict";
    var lib = require_lib();
    var arrayFrom = Array.from;
    var supportsIterators = typeof Symbol === "function" && Symbol.iterator && typeof arrayFrom === "function";
    var Frame = /* @__PURE__ */ function() {
      function Frame2(parent, isolateWrites) {
        this.variables = /* @__PURE__ */ Object.create(null);
        this.parent = parent;
        this.topLevel = false;
        this.isolateWrites = isolateWrites;
      }
      var _proto = Frame2.prototype;
      _proto.set = function set(name, val, resolveUp) {
        var parts = name.split(".");
        var obj = this.variables;
        var frame = this;
        if (resolveUp) {
          if (frame = this.resolve(parts[0], true)) {
            frame.set(name, val);
            return;
          }
        }
        for (var i = 0; i < parts.length - 1; i++) {
          var id = parts[i];
          if (!obj[id]) {
            obj[id] = {};
          }
          obj = obj[id];
        }
        obj[parts[parts.length - 1]] = val;
      };
      _proto.get = function get(name) {
        var val = this.variables[name];
        if (val !== void 0) {
          return val;
        }
        return null;
      };
      _proto.lookup = function lookup(name) {
        var p = this.parent;
        var val = this.variables[name];
        if (val !== void 0) {
          return val;
        }
        return p && p.lookup(name);
      };
      _proto.resolve = function resolve(name, forWrite) {
        var p = forWrite && this.isolateWrites ? void 0 : this.parent;
        var val = this.variables[name];
        if (val !== void 0) {
          return this;
        }
        return p && p.resolve(name);
      };
      _proto.push = function push(isolateWrites) {
        return new Frame2(this, isolateWrites);
      };
      _proto.pop = function pop() {
        return this.parent;
      };
      return Frame2;
    }();
    function makeMacro(argNames, kwargNames, func) {
      return function macro() {
        for (var _len = arguments.length, macroArgs = new Array(_len), _key = 0; _key < _len; _key++) {
          macroArgs[_key] = arguments[_key];
        }
        var argCount = numArgs(macroArgs);
        var args2;
        var kwargs = getKeywordArgs(macroArgs);
        if (argCount > argNames.length) {
          args2 = macroArgs.slice(0, argNames.length);
          macroArgs.slice(args2.length, argCount).forEach(function(val, i2) {
            if (i2 < kwargNames.length) {
              kwargs[kwargNames[i2]] = val;
            }
          });
          args2.push(kwargs);
        } else if (argCount < argNames.length) {
          args2 = macroArgs.slice(0, argCount);
          for (var i = argCount; i < argNames.length; i++) {
            var arg = argNames[i];
            args2.push(kwargs[arg]);
            delete kwargs[arg];
          }
          args2.push(kwargs);
        } else {
          args2 = macroArgs;
        }
        return func.apply(this, args2);
      };
    }
    function makeKeywordArgs(obj) {
      obj.__keywords = true;
      return obj;
    }
    function isKeywordArgs(obj) {
      return obj && Object.prototype.hasOwnProperty.call(obj, "__keywords");
    }
    function getKeywordArgs(args2) {
      var len = args2.length;
      if (len) {
        var lastArg = args2[len - 1];
        if (isKeywordArgs(lastArg)) {
          return lastArg;
        }
      }
      return {};
    }
    function numArgs(args2) {
      var len = args2.length;
      if (len === 0) {
        return 0;
      }
      var lastArg = args2[len - 1];
      if (isKeywordArgs(lastArg)) {
        return len - 1;
      } else {
        return len;
      }
    }
    function SafeString(val) {
      if (typeof val !== "string") {
        return val;
      }
      this.val = val;
      this.length = val.length;
    }
    SafeString.prototype = Object.create(String.prototype, {
      length: {
        writable: true,
        configurable: true,
        value: 0
      }
    });
    SafeString.prototype.valueOf = function valueOf() {
      return this.val;
    };
    SafeString.prototype.toString = function toString() {
      return this.val;
    };
    function copySafeness(dest, target) {
      if (dest instanceof SafeString) {
        return new SafeString(target);
      }
      return target.toString();
    }
    function markSafe(val) {
      var type = typeof val;
      if (type === "string") {
        return new SafeString(val);
      } else if (type !== "function") {
        return val;
      } else {
        return function wrapSafe(args2) {
          var ret = val.apply(this, arguments);
          if (typeof ret === "string") {
            return new SafeString(ret);
          }
          return ret;
        };
      }
    }
    function suppressValue(val, autoescape) {
      val = val !== void 0 && val !== null ? val : "";
      if (autoescape && !(val instanceof SafeString)) {
        val = lib.escape(val.toString());
      }
      return val;
    }
    function ensureDefined(val, lineno, colno) {
      if (val === null || val === void 0) {
        throw new lib.TemplateError("attempted to output null or undefined value", lineno + 1, colno + 1);
      }
      return val;
    }
    function memberLookup(obj, val) {
      if (obj === void 0 || obj === null) {
        return void 0;
      }
      if (typeof obj[val] === "function") {
        return function() {
          for (var _len2 = arguments.length, args2 = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
            args2[_key2] = arguments[_key2];
          }
          return obj[val].apply(obj, args2);
        };
      }
      return obj[val];
    }
    function callWrap(obj, name, context, args2) {
      if (!obj) {
        throw new Error("Unable to call `" + name + "`, which is undefined or falsey");
      } else if (typeof obj !== "function") {
        throw new Error("Unable to call `" + name + "`, which is not a function");
      }
      return obj.apply(context, args2);
    }
    function contextOrFrameLookup(context, frame, name) {
      var val = frame.lookup(name);
      return val !== void 0 ? val : context.lookup(name);
    }
    function handleError(error, lineno, colno) {
      if (error.lineno) {
        return error;
      } else {
        return new lib.TemplateError(error, lineno, colno);
      }
    }
    function asyncEach(arr, dimen, iter, cb) {
      if (lib.isArray(arr)) {
        var len = arr.length;
        lib.asyncIter(arr, function iterCallback(item, i, next) {
          switch (dimen) {
            case 1:
              iter(item, i, len, next);
              break;
            case 2:
              iter(item[0], item[1], i, len, next);
              break;
            case 3:
              iter(item[0], item[1], item[2], i, len, next);
              break;
            default:
              item.push(i, len, next);
              iter.apply(this, item);
          }
        }, cb);
      } else {
        lib.asyncFor(arr, function iterCallback(key, val, i, len2, next) {
          iter(key, val, i, len2, next);
        }, cb);
      }
    }
    function asyncAll(arr, dimen, func, cb) {
      var finished = 0;
      var len;
      var outputArr;
      function done(i2, output) {
        finished++;
        outputArr[i2] = output;
        if (finished === len) {
          cb(null, outputArr.join(""));
        }
      }
      if (lib.isArray(arr)) {
        len = arr.length;
        outputArr = new Array(len);
        if (len === 0) {
          cb(null, "");
        } else {
          for (var i = 0; i < arr.length; i++) {
            var item = arr[i];
            switch (dimen) {
              case 1:
                func(item, i, len, done);
                break;
              case 2:
                func(item[0], item[1], i, len, done);
                break;
              case 3:
                func(item[0], item[1], item[2], i, len, done);
                break;
              default:
                item.push(i, len, done);
                func.apply(this, item);
            }
          }
        }
      } else {
        var keys = lib.keys(arr || {});
        len = keys.length;
        outputArr = new Array(len);
        if (len === 0) {
          cb(null, "");
        } else {
          for (var _i = 0; _i < keys.length; _i++) {
            var k = keys[_i];
            func(k, arr[k], _i, len, done);
          }
        }
      }
    }
    function fromIterator(arr) {
      if (typeof arr !== "object" || arr === null || lib.isArray(arr)) {
        return arr;
      } else if (supportsIterators && Symbol.iterator in arr) {
        return arrayFrom(arr);
      } else {
        return arr;
      }
    }
    module.exports = {
      Frame,
      makeMacro,
      makeKeywordArgs,
      numArgs,
      suppressValue,
      ensureDefined,
      memberLookup,
      contextOrFrameLookup,
      callWrap,
      handleError,
      isArray: lib.isArray,
      keys: lib.keys,
      SafeString,
      copySafeness,
      markSafe,
      asyncEach,
      asyncAll,
      inOperator: lib.inOperator,
      fromIterator
    };
  }
});

// ../../node_modules/nunjucks/src/compiler.js
var require_compiler = __commonJS({
  "../../node_modules/nunjucks/src/compiler.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var parser2 = require_parser();
    var transformer = require_transformer();
    var nodes = require_nodes();
    var _require = require_lib();
    var TemplateError = _require.TemplateError;
    var _require2 = require_runtime();
    var Frame = _require2.Frame;
    var _require3 = require_object();
    var Obj = _require3.Obj;
    var compareOps = {
      "==": "==",
      "===": "===",
      "!=": "!=",
      "!==": "!==",
      "<": "<",
      ">": ">",
      "<=": "<=",
      ">=": ">="
    };
    var Compiler = /* @__PURE__ */ function(_Obj) {
      _inheritsLoose(Compiler2, _Obj);
      function Compiler2() {
        return _Obj.apply(this, arguments) || this;
      }
      var _proto = Compiler2.prototype;
      _proto.init = function init(templateName, throwOnUndefined) {
        this.templateName = templateName;
        this.codebuf = [];
        this.lastId = 0;
        this.buffer = null;
        this.bufferStack = [];
        this._scopeClosers = "";
        this.inBlock = false;
        this.throwOnUndefined = throwOnUndefined;
      };
      _proto.fail = function fail(msg, lineno, colno) {
        if (lineno !== void 0) {
          lineno += 1;
        }
        if (colno !== void 0) {
          colno += 1;
        }
        throw new TemplateError(msg, lineno, colno);
      };
      _proto._pushBuffer = function _pushBuffer() {
        var id = this._tmpid();
        this.bufferStack.push(this.buffer);
        this.buffer = id;
        this._emit("var " + this.buffer + ' = "";');
        return id;
      };
      _proto._popBuffer = function _popBuffer() {
        this.buffer = this.bufferStack.pop();
      };
      _proto._emit = function _emit(code) {
        this.codebuf.push(code);
      };
      _proto._emitLine = function _emitLine(code) {
        this._emit(code + "\n");
      };
      _proto._emitLines = function _emitLines() {
        var _this = this;
        for (var _len = arguments.length, lines = new Array(_len), _key = 0; _key < _len; _key++) {
          lines[_key] = arguments[_key];
        }
        lines.forEach(function(line) {
          return _this._emitLine(line);
        });
      };
      _proto._emitFuncBegin = function _emitFuncBegin(node, name) {
        this.buffer = "output";
        this._scopeClosers = "";
        this._emitLine("function " + name + "(env, context, frame, runtime, cb) {");
        this._emitLine("var lineno = " + node.lineno + ";");
        this._emitLine("var colno = " + node.colno + ";");
        this._emitLine("var " + this.buffer + ' = "";');
        this._emitLine("try {");
      };
      _proto._emitFuncEnd = function _emitFuncEnd(noReturn) {
        if (!noReturn) {
          this._emitLine("cb(null, " + this.buffer + ");");
        }
        this._closeScopeLevels();
        this._emitLine("} catch (e) {");
        this._emitLine("  cb(runtime.handleError(e, lineno, colno));");
        this._emitLine("}");
        this._emitLine("}");
        this.buffer = null;
      };
      _proto._addScopeLevel = function _addScopeLevel() {
        this._scopeClosers += "})";
      };
      _proto._closeScopeLevels = function _closeScopeLevels() {
        this._emitLine(this._scopeClosers + ";");
        this._scopeClosers = "";
      };
      _proto._withScopedSyntax = function _withScopedSyntax(func) {
        var _scopeClosers = this._scopeClosers;
        this._scopeClosers = "";
        func.call(this);
        this._closeScopeLevels();
        this._scopeClosers = _scopeClosers;
      };
      _proto._makeCallback = function _makeCallback(res) {
        var err = this._tmpid();
        return "function(" + err + (res ? "," + res : "") + ") {\nif(" + err + ") { cb(" + err + "); return; }";
      };
      _proto._tmpid = function _tmpid() {
        this.lastId++;
        return "t_" + this.lastId;
      };
      _proto._templateName = function _templateName() {
        return this.templateName == null ? "undefined" : JSON.stringify(this.templateName);
      };
      _proto._compileChildren = function _compileChildren(node, frame) {
        var _this2 = this;
        node.children.forEach(function(child) {
          _this2.compile(child, frame);
        });
      };
      _proto._compileAggregate = function _compileAggregate(node, frame, startChar, endChar) {
        var _this3 = this;
        if (startChar) {
          this._emit(startChar);
        }
        node.children.forEach(function(child, i) {
          if (i > 0) {
            _this3._emit(",");
          }
          _this3.compile(child, frame);
        });
        if (endChar) {
          this._emit(endChar);
        }
      };
      _proto._compileExpression = function _compileExpression(node, frame) {
        this.assertType(node, nodes.Literal, nodes.Symbol, nodes.Group, nodes.Array, nodes.Dict, nodes.FunCall, nodes.Caller, nodes.Filter, nodes.LookupVal, nodes.Compare, nodes.InlineIf, nodes.In, nodes.Is, nodes.And, nodes.Or, nodes.Not, nodes.Add, nodes.Concat, nodes.Sub, nodes.Mul, nodes.Div, nodes.FloorDiv, nodes.Mod, nodes.Pow, nodes.Neg, nodes.Pos, nodes.Compare, nodes.NodeList);
        this.compile(node, frame);
      };
      _proto.assertType = function assertType(node) {
        for (var _len2 = arguments.length, types = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
          types[_key2 - 1] = arguments[_key2];
        }
        if (!types.some(function(t) {
          return node instanceof t;
        })) {
          this.fail("assertType: invalid type: " + node.typename, node.lineno, node.colno);
        }
      };
      _proto.compileCallExtension = function compileCallExtension(node, frame, async) {
        var _this4 = this;
        var args2 = node.args;
        var contentArgs = node.contentArgs;
        var autoescape = typeof node.autoescape === "boolean" ? node.autoescape : true;
        if (!async) {
          this._emit(this.buffer + " += runtime.suppressValue(");
        }
        this._emit('env.getExtension("' + node.extName + '")["' + node.prop + '"](');
        this._emit("context");
        if (args2 || contentArgs) {
          this._emit(",");
        }
        if (args2) {
          if (!(args2 instanceof nodes.NodeList)) {
            this.fail("compileCallExtension: arguments must be a NodeList, use `parser.parseSignature`");
          }
          args2.children.forEach(function(arg, i) {
            _this4._compileExpression(arg, frame);
            if (i !== args2.children.length - 1 || contentArgs.length) {
              _this4._emit(",");
            }
          });
        }
        if (contentArgs.length) {
          contentArgs.forEach(function(arg, i) {
            if (i > 0) {
              _this4._emit(",");
            }
            if (arg) {
              _this4._emitLine("function(cb) {");
              _this4._emitLine("if(!cb) { cb = function(err) { if(err) { throw err; }}}");
              var id = _this4._pushBuffer();
              _this4._withScopedSyntax(function() {
                _this4.compile(arg, frame);
                _this4._emitLine("cb(null, " + id + ");");
              });
              _this4._popBuffer();
              _this4._emitLine("return " + id + ";");
              _this4._emitLine("}");
            } else {
              _this4._emit("null");
            }
          });
        }
        if (async) {
          var res = this._tmpid();
          this._emitLine(", " + this._makeCallback(res));
          this._emitLine(this.buffer + " += runtime.suppressValue(" + res + ", " + autoescape + " && env.opts.autoescape);");
          this._addScopeLevel();
        } else {
          this._emit(")");
          this._emit(", " + autoescape + " && env.opts.autoescape);\n");
        }
      };
      _proto.compileCallExtensionAsync = function compileCallExtensionAsync(node, frame) {
        this.compileCallExtension(node, frame, true);
      };
      _proto.compileNodeList = function compileNodeList(node, frame) {
        this._compileChildren(node, frame);
      };
      _proto.compileLiteral = function compileLiteral(node) {
        if (typeof node.value === "string") {
          var val = node.value.replace(/\\/g, "\\\\");
          val = val.replace(/"/g, '\\"');
          val = val.replace(/\n/g, "\\n");
          val = val.replace(/\r/g, "\\r");
          val = val.replace(/\t/g, "\\t");
          val = val.replace(/\u2028/g, "\\u2028");
          this._emit('"' + val + '"');
        } else if (node.value === null) {
          this._emit("null");
        } else {
          this._emit(node.value.toString());
        }
      };
      _proto.compileSymbol = function compileSymbol(node, frame) {
        var name = node.value;
        var v = frame.lookup(name);
        if (v) {
          this._emit(v);
        } else {
          this._emit('runtime.contextOrFrameLookup(context, frame, "' + name + '")');
        }
      };
      _proto.compileGroup = function compileGroup(node, frame) {
        this._compileAggregate(node, frame, "(", ")");
      };
      _proto.compileArray = function compileArray(node, frame) {
        this._compileAggregate(node, frame, "[", "]");
      };
      _proto.compileDict = function compileDict(node, frame) {
        this._compileAggregate(node, frame, "{", "}");
      };
      _proto.compilePair = function compilePair(node, frame) {
        var key = node.key;
        var val = node.value;
        if (key instanceof nodes.Symbol) {
          key = new nodes.Literal(key.lineno, key.colno, key.value);
        } else if (!(key instanceof nodes.Literal && typeof key.value === "string")) {
          this.fail("compilePair: Dict keys must be strings or names", key.lineno, key.colno);
        }
        this.compile(key, frame);
        this._emit(": ");
        this._compileExpression(val, frame);
      };
      _proto.compileInlineIf = function compileInlineIf(node, frame) {
        this._emit("(");
        this.compile(node.cond, frame);
        this._emit("?");
        this.compile(node.body, frame);
        this._emit(":");
        if (node.else_ !== null) {
          this.compile(node.else_, frame);
        } else {
          this._emit('""');
        }
        this._emit(")");
      };
      _proto.compileIn = function compileIn(node, frame) {
        this._emit("runtime.inOperator(");
        this.compile(node.left, frame);
        this._emit(",");
        this.compile(node.right, frame);
        this._emit(")");
      };
      _proto.compileIs = function compileIs(node, frame) {
        var right = node.right.name ? node.right.name.value : node.right.value;
        this._emit('env.getTest("' + right + '").call(context, ');
        this.compile(node.left, frame);
        if (node.right.args) {
          this._emit(",");
          this.compile(node.right.args, frame);
        }
        this._emit(") === true");
      };
      _proto._binOpEmitter = function _binOpEmitter(node, frame, str) {
        this.compile(node.left, frame);
        this._emit(str);
        this.compile(node.right, frame);
      };
      _proto.compileOr = function compileOr(node, frame) {
        return this._binOpEmitter(node, frame, " || ");
      };
      _proto.compileAnd = function compileAnd(node, frame) {
        return this._binOpEmitter(node, frame, " && ");
      };
      _proto.compileAdd = function compileAdd(node, frame) {
        return this._binOpEmitter(node, frame, " + ");
      };
      _proto.compileConcat = function compileConcat(node, frame) {
        return this._binOpEmitter(node, frame, ' + "" + ');
      };
      _proto.compileSub = function compileSub(node, frame) {
        return this._binOpEmitter(node, frame, " - ");
      };
      _proto.compileMul = function compileMul(node, frame) {
        return this._binOpEmitter(node, frame, " * ");
      };
      _proto.compileDiv = function compileDiv(node, frame) {
        return this._binOpEmitter(node, frame, " / ");
      };
      _proto.compileMod = function compileMod(node, frame) {
        return this._binOpEmitter(node, frame, " % ");
      };
      _proto.compileNot = function compileNot(node, frame) {
        this._emit("!");
        this.compile(node.target, frame);
      };
      _proto.compileFloorDiv = function compileFloorDiv(node, frame) {
        this._emit("Math.floor(");
        this.compile(node.left, frame);
        this._emit(" / ");
        this.compile(node.right, frame);
        this._emit(")");
      };
      _proto.compilePow = function compilePow(node, frame) {
        this._emit("Math.pow(");
        this.compile(node.left, frame);
        this._emit(", ");
        this.compile(node.right, frame);
        this._emit(")");
      };
      _proto.compileNeg = function compileNeg(node, frame) {
        this._emit("-");
        this.compile(node.target, frame);
      };
      _proto.compilePos = function compilePos(node, frame) {
        this._emit("+");
        this.compile(node.target, frame);
      };
      _proto.compileCompare = function compileCompare(node, frame) {
        var _this5 = this;
        this.compile(node.expr, frame);
        node.ops.forEach(function(op) {
          _this5._emit(" " + compareOps[op.type] + " ");
          _this5.compile(op.expr, frame);
        });
      };
      _proto.compileLookupVal = function compileLookupVal(node, frame) {
        this._emit("runtime.memberLookup((");
        this._compileExpression(node.target, frame);
        this._emit("),");
        this._compileExpression(node.val, frame);
        this._emit(")");
      };
      _proto._getNodeName = function _getNodeName(node) {
        switch (node.typename) {
          case "Symbol":
            return node.value;
          case "FunCall":
            return "the return value of (" + this._getNodeName(node.name) + ")";
          case "LookupVal":
            return this._getNodeName(node.target) + '["' + this._getNodeName(node.val) + '"]';
          case "Literal":
            return node.value.toString();
          default:
            return "--expression--";
        }
      };
      _proto.compileFunCall = function compileFunCall(node, frame) {
        this._emit("(lineno = " + node.lineno + ", colno = " + node.colno + ", ");
        this._emit("runtime.callWrap(");
        this._compileExpression(node.name, frame);
        this._emit(', "' + this._getNodeName(node.name).replace(/"/g, '\\"') + '", context, ');
        this._compileAggregate(node.args, frame, "[", "])");
        this._emit(")");
      };
      _proto.compileFilter = function compileFilter(node, frame) {
        var name = node.name;
        this.assertType(name, nodes.Symbol);
        this._emit('env.getFilter("' + name.value + '").call(context, ');
        this._compileAggregate(node.args, frame);
        this._emit(")");
      };
      _proto.compileFilterAsync = function compileFilterAsync(node, frame) {
        var name = node.name;
        var symbol = node.symbol.value;
        this.assertType(name, nodes.Symbol);
        frame.set(symbol, symbol);
        this._emit('env.getFilter("' + name.value + '").call(context, ');
        this._compileAggregate(node.args, frame);
        this._emitLine(", " + this._makeCallback(symbol));
        this._addScopeLevel();
      };
      _proto.compileKeywordArgs = function compileKeywordArgs(node, frame) {
        this._emit("runtime.makeKeywordArgs(");
        this.compileDict(node, frame);
        this._emit(")");
      };
      _proto.compileSet = function compileSet(node, frame) {
        var _this6 = this;
        var ids = [];
        node.targets.forEach(function(target) {
          var name = target.value;
          var id = frame.lookup(name);
          if (id === null || id === void 0) {
            id = _this6._tmpid();
            _this6._emitLine("var " + id + ";");
          }
          ids.push(id);
        });
        if (node.value) {
          this._emit(ids.join(" = ") + " = ");
          this._compileExpression(node.value, frame);
          this._emitLine(";");
        } else {
          this._emit(ids.join(" = ") + " = ");
          this.compile(node.body, frame);
          this._emitLine(";");
        }
        node.targets.forEach(function(target, i) {
          var id = ids[i];
          var name = target.value;
          _this6._emitLine('frame.set("' + name + '", ' + id + ", true);");
          _this6._emitLine("if(frame.topLevel) {");
          _this6._emitLine('context.setVariable("' + name + '", ' + id + ");");
          _this6._emitLine("}");
          if (name.charAt(0) !== "_") {
            _this6._emitLine("if(frame.topLevel) {");
            _this6._emitLine('context.addExport("' + name + '", ' + id + ");");
            _this6._emitLine("}");
          }
        });
      };
      _proto.compileSwitch = function compileSwitch(node, frame) {
        var _this7 = this;
        this._emit("switch (");
        this.compile(node.expr, frame);
        this._emit(") {");
        node.cases.forEach(function(c, i) {
          _this7._emit("case ");
          _this7.compile(c.cond, frame);
          _this7._emit(": ");
          _this7.compile(c.body, frame);
          if (c.body.children.length) {
            _this7._emitLine("break;");
          }
        });
        if (node.default) {
          this._emit("default:");
          this.compile(node.default, frame);
        }
        this._emit("}");
      };
      _proto.compileIf = function compileIf(node, frame, async) {
        var _this8 = this;
        this._emit("if(");
        this._compileExpression(node.cond, frame);
        this._emitLine(") {");
        this._withScopedSyntax(function() {
          _this8.compile(node.body, frame);
          if (async) {
            _this8._emit("cb()");
          }
        });
        if (node.else_) {
          this._emitLine("}\nelse {");
          this._withScopedSyntax(function() {
            _this8.compile(node.else_, frame);
            if (async) {
              _this8._emit("cb()");
            }
          });
        } else if (async) {
          this._emitLine("}\nelse {");
          this._emit("cb()");
        }
        this._emitLine("}");
      };
      _proto.compileIfAsync = function compileIfAsync(node, frame) {
        this._emit("(function(cb) {");
        this.compileIf(node, frame, true);
        this._emit("})(" + this._makeCallback());
        this._addScopeLevel();
      };
      _proto._emitLoopBindings = function _emitLoopBindings(node, arr, i, len) {
        var _this9 = this;
        var bindings = [{
          name: "index",
          val: i + " + 1"
        }, {
          name: "index0",
          val: i
        }, {
          name: "revindex",
          val: len + " - " + i
        }, {
          name: "revindex0",
          val: len + " - " + i + " - 1"
        }, {
          name: "first",
          val: i + " === 0"
        }, {
          name: "last",
          val: i + " === " + len + " - 1"
        }, {
          name: "length",
          val: len
        }];
        bindings.forEach(function(b) {
          _this9._emitLine('frame.set("loop.' + b.name + '", ' + b.val + ");");
        });
      };
      _proto.compileFor = function compileFor(node, frame) {
        var _this10 = this;
        var i = this._tmpid();
        var len = this._tmpid();
        var arr = this._tmpid();
        frame = frame.push();
        this._emitLine("frame = frame.push();");
        this._emit("var " + arr + " = ");
        this._compileExpression(node.arr, frame);
        this._emitLine(";");
        this._emit("if(" + arr + ") {");
        this._emitLine(arr + " = runtime.fromIterator(" + arr + ");");
        if (node.name instanceof nodes.Array) {
          this._emitLine("var " + i + ";");
          this._emitLine("if(runtime.isArray(" + arr + ")) {");
          this._emitLine("var " + len + " = " + arr + ".length;");
          this._emitLine("for(" + i + "=0; " + i + " < " + arr + ".length; " + i + "++) {");
          node.name.children.forEach(function(child, u) {
            var tid = _this10._tmpid();
            _this10._emitLine("var " + tid + " = " + arr + "[" + i + "][" + u + "];");
            _this10._emitLine('frame.set("' + child + '", ' + arr + "[" + i + "][" + u + "]);");
            frame.set(node.name.children[u].value, tid);
          });
          this._emitLoopBindings(node, arr, i, len);
          this._withScopedSyntax(function() {
            _this10.compile(node.body, frame);
          });
          this._emitLine("}");
          this._emitLine("} else {");
          var _node$name$children = node.name.children, key = _node$name$children[0], val = _node$name$children[1];
          var k = this._tmpid();
          var v = this._tmpid();
          frame.set(key.value, k);
          frame.set(val.value, v);
          this._emitLine(i + " = -1;");
          this._emitLine("var " + len + " = runtime.keys(" + arr + ").length;");
          this._emitLine("for(var " + k + " in " + arr + ") {");
          this._emitLine(i + "++;");
          this._emitLine("var " + v + " = " + arr + "[" + k + "];");
          this._emitLine('frame.set("' + key.value + '", ' + k + ");");
          this._emitLine('frame.set("' + val.value + '", ' + v + ");");
          this._emitLoopBindings(node, arr, i, len);
          this._withScopedSyntax(function() {
            _this10.compile(node.body, frame);
          });
          this._emitLine("}");
          this._emitLine("}");
        } else {
          var _v = this._tmpid();
          frame.set(node.name.value, _v);
          this._emitLine("var " + len + " = " + arr + ".length;");
          this._emitLine("for(var " + i + "=0; " + i + " < " + arr + ".length; " + i + "++) {");
          this._emitLine("var " + _v + " = " + arr + "[" + i + "];");
          this._emitLine('frame.set("' + node.name.value + '", ' + _v + ");");
          this._emitLoopBindings(node, arr, i, len);
          this._withScopedSyntax(function() {
            _this10.compile(node.body, frame);
          });
          this._emitLine("}");
        }
        this._emitLine("}");
        if (node.else_) {
          this._emitLine("if (!" + len + ") {");
          this.compile(node.else_, frame);
          this._emitLine("}");
        }
        this._emitLine("frame = frame.pop();");
      };
      _proto._compileAsyncLoop = function _compileAsyncLoop(node, frame, parallel) {
        var _this11 = this;
        var i = this._tmpid();
        var len = this._tmpid();
        var arr = this._tmpid();
        var asyncMethod = parallel ? "asyncAll" : "asyncEach";
        frame = frame.push();
        this._emitLine("frame = frame.push();");
        this._emit("var " + arr + " = runtime.fromIterator(");
        this._compileExpression(node.arr, frame);
        this._emitLine(");");
        if (node.name instanceof nodes.Array) {
          var arrayLen = node.name.children.length;
          this._emit("runtime." + asyncMethod + "(" + arr + ", " + arrayLen + ", function(");
          node.name.children.forEach(function(name) {
            _this11._emit(name.value + ",");
          });
          this._emit(i + "," + len + ",next) {");
          node.name.children.forEach(function(name) {
            var id2 = name.value;
            frame.set(id2, id2);
            _this11._emitLine('frame.set("' + id2 + '", ' + id2 + ");");
          });
        } else {
          var id = node.name.value;
          this._emitLine("runtime." + asyncMethod + "(" + arr + ", 1, function(" + id + ", " + i + ", " + len + ",next) {");
          this._emitLine('frame.set("' + id + '", ' + id + ");");
          frame.set(id, id);
        }
        this._emitLoopBindings(node, arr, i, len);
        this._withScopedSyntax(function() {
          var buf;
          if (parallel) {
            buf = _this11._pushBuffer();
          }
          _this11.compile(node.body, frame);
          _this11._emitLine("next(" + i + (buf ? "," + buf : "") + ");");
          if (parallel) {
            _this11._popBuffer();
          }
        });
        var output = this._tmpid();
        this._emitLine("}, " + this._makeCallback(output));
        this._addScopeLevel();
        if (parallel) {
          this._emitLine(this.buffer + " += " + output + ";");
        }
        if (node.else_) {
          this._emitLine("if (!" + arr + ".length) {");
          this.compile(node.else_, frame);
          this._emitLine("}");
        }
        this._emitLine("frame = frame.pop();");
      };
      _proto.compileAsyncEach = function compileAsyncEach(node, frame) {
        this._compileAsyncLoop(node, frame);
      };
      _proto.compileAsyncAll = function compileAsyncAll(node, frame) {
        this._compileAsyncLoop(node, frame, true);
      };
      _proto._compileMacro = function _compileMacro(node, frame) {
        var _this12 = this;
        var args2 = [];
        var kwargs = null;
        var funcId = "macro_" + this._tmpid();
        var keepFrame = frame !== void 0;
        node.args.children.forEach(function(arg, i) {
          if (i === node.args.children.length - 1 && arg instanceof nodes.Dict) {
            kwargs = arg;
          } else {
            _this12.assertType(arg, nodes.Symbol);
            args2.push(arg);
          }
        });
        var realNames = [].concat(args2.map(function(n) {
          return "l_" + n.value;
        }), ["kwargs"]);
        var argNames = args2.map(function(n) {
          return '"' + n.value + '"';
        });
        var kwargNames = (kwargs && kwargs.children || []).map(function(n) {
          return '"' + n.key.value + '"';
        });
        var currFrame;
        if (keepFrame) {
          currFrame = frame.push(true);
        } else {
          currFrame = new Frame();
        }
        this._emitLines("var " + funcId + " = runtime.makeMacro(", "[" + argNames.join(", ") + "], ", "[" + kwargNames.join(", ") + "], ", "function (" + realNames.join(", ") + ") {", "var callerFrame = frame;", "frame = " + (keepFrame ? "frame.push(true);" : "new runtime.Frame();"), "kwargs = kwargs || {};", 'if (Object.prototype.hasOwnProperty.call(kwargs, "caller")) {', 'frame.set("caller", kwargs.caller); }');
        args2.forEach(function(arg) {
          _this12._emitLine('frame.set("' + arg.value + '", l_' + arg.value + ");");
          currFrame.set(arg.value, "l_" + arg.value);
        });
        if (kwargs) {
          kwargs.children.forEach(function(pair) {
            var name = pair.key.value;
            _this12._emit('frame.set("' + name + '", ');
            _this12._emit('Object.prototype.hasOwnProperty.call(kwargs, "' + name + '")');
            _this12._emit(' ? kwargs["' + name + '"] : ');
            _this12._compileExpression(pair.value, currFrame);
            _this12._emit(");");
          });
        }
        var bufferId = this._pushBuffer();
        this._withScopedSyntax(function() {
          _this12.compile(node.body, currFrame);
        });
        this._emitLine("frame = " + (keepFrame ? "frame.pop();" : "callerFrame;"));
        this._emitLine("return new runtime.SafeString(" + bufferId + ");");
        this._emitLine("});");
        this._popBuffer();
        return funcId;
      };
      _proto.compileMacro = function compileMacro(node, frame) {
        var funcId = this._compileMacro(node);
        var name = node.name.value;
        frame.set(name, funcId);
        if (frame.parent) {
          this._emitLine('frame.set("' + name + '", ' + funcId + ");");
        } else {
          if (node.name.value.charAt(0) !== "_") {
            this._emitLine('context.addExport("' + name + '");');
          }
          this._emitLine('context.setVariable("' + name + '", ' + funcId + ");");
        }
      };
      _proto.compileCaller = function compileCaller(node, frame) {
        this._emit("(function (){");
        var funcId = this._compileMacro(node, frame);
        this._emit("return " + funcId + ";})()");
      };
      _proto._compileGetTemplate = function _compileGetTemplate(node, frame, eagerCompile, ignoreMissing) {
        var parentTemplateId = this._tmpid();
        var parentName = this._templateName();
        var cb = this._makeCallback(parentTemplateId);
        var eagerCompileArg = eagerCompile ? "true" : "false";
        var ignoreMissingArg = ignoreMissing ? "true" : "false";
        this._emit("env.getTemplate(");
        this._compileExpression(node.template, frame);
        this._emitLine(", " + eagerCompileArg + ", " + parentName + ", " + ignoreMissingArg + ", " + cb);
        return parentTemplateId;
      };
      _proto.compileImport = function compileImport(node, frame) {
        var target = node.target.value;
        var id = this._compileGetTemplate(node, frame, false, false);
        this._addScopeLevel();
        this._emitLine(id + ".getExported(" + (node.withContext ? "context.getVariables(), frame, " : "") + this._makeCallback(id));
        this._addScopeLevel();
        frame.set(target, id);
        if (frame.parent) {
          this._emitLine('frame.set("' + target + '", ' + id + ");");
        } else {
          this._emitLine('context.setVariable("' + target + '", ' + id + ");");
        }
      };
      _proto.compileFromImport = function compileFromImport(node, frame) {
        var _this13 = this;
        var importedId = this._compileGetTemplate(node, frame, false, false);
        this._addScopeLevel();
        this._emitLine(importedId + ".getExported(" + (node.withContext ? "context.getVariables(), frame, " : "") + this._makeCallback(importedId));
        this._addScopeLevel();
        node.names.children.forEach(function(nameNode) {
          var name;
          var alias;
          var id = _this13._tmpid();
          if (nameNode instanceof nodes.Pair) {
            name = nameNode.key.value;
            alias = nameNode.value.value;
          } else {
            name = nameNode.value;
            alias = name;
          }
          _this13._emitLine("if(Object.prototype.hasOwnProperty.call(" + importedId + ', "' + name + '")) {');
          _this13._emitLine("var " + id + " = " + importedId + "." + name + ";");
          _this13._emitLine("} else {");
          _this13._emitLine(`cb(new Error("cannot import '` + name + `'")); return;`);
          _this13._emitLine("}");
          frame.set(alias, id);
          if (frame.parent) {
            _this13._emitLine('frame.set("' + alias + '", ' + id + ");");
          } else {
            _this13._emitLine('context.setVariable("' + alias + '", ' + id + ");");
          }
        });
      };
      _proto.compileBlock = function compileBlock(node) {
        var id = this._tmpid();
        if (!this.inBlock) {
          this._emit('(parentTemplate ? function(e, c, f, r, cb) { cb(""); } : ');
        }
        this._emit('context.getBlock("' + node.name.value + '")');
        if (!this.inBlock) {
          this._emit(")");
        }
        this._emitLine("(env, context, frame, runtime, " + this._makeCallback(id));
        this._emitLine(this.buffer + " += " + id + ";");
        this._addScopeLevel();
      };
      _proto.compileSuper = function compileSuper(node, frame) {
        var name = node.blockName.value;
        var id = node.symbol.value;
        var cb = this._makeCallback(id);
        this._emitLine('context.getSuper(env, "' + name + '", b_' + name + ", frame, runtime, " + cb);
        this._emitLine(id + " = runtime.markSafe(" + id + ");");
        this._addScopeLevel();
        frame.set(id, id);
      };
      _proto.compileExtends = function compileExtends(node, frame) {
        var k = this._tmpid();
        var parentTemplateId = this._compileGetTemplate(node, frame, true, false);
        this._emitLine("parentTemplate = " + parentTemplateId);
        this._emitLine("for(var " + k + " in parentTemplate.blocks) {");
        this._emitLine("context.addBlock(" + k + ", parentTemplate.blocks[" + k + "]);");
        this._emitLine("}");
        this._addScopeLevel();
      };
      _proto.compileInclude = function compileInclude(node, frame) {
        this._emitLine("var tasks = [];");
        this._emitLine("tasks.push(");
        this._emitLine("function(callback) {");
        var id = this._compileGetTemplate(node, frame, false, node.ignoreMissing);
        this._emitLine("callback(null," + id + ");});");
        this._emitLine("});");
        var id2 = this._tmpid();
        this._emitLine("tasks.push(");
        this._emitLine("function(template, callback){");
        this._emitLine("template.render(context.getVariables(), frame, " + this._makeCallback(id2));
        this._emitLine("callback(null," + id2 + ");});");
        this._emitLine("});");
        this._emitLine("tasks.push(");
        this._emitLine("function(result, callback){");
        this._emitLine(this.buffer + " += result;");
        this._emitLine("callback(null);");
        this._emitLine("});");
        this._emitLine("env.waterfall(tasks, function(){");
        this._addScopeLevel();
      };
      _proto.compileTemplateData = function compileTemplateData(node, frame) {
        this.compileLiteral(node, frame);
      };
      _proto.compileCapture = function compileCapture(node, frame) {
        var _this14 = this;
        var buffer = this.buffer;
        this.buffer = "output";
        this._emitLine("(function() {");
        this._emitLine('var output = "";');
        this._withScopedSyntax(function() {
          _this14.compile(node.body, frame);
        });
        this._emitLine("return output;");
        this._emitLine("})()");
        this.buffer = buffer;
      };
      _proto.compileOutput = function compileOutput(node, frame) {
        var _this15 = this;
        var children = node.children;
        children.forEach(function(child) {
          if (child instanceof nodes.TemplateData) {
            if (child.value) {
              _this15._emit(_this15.buffer + " += ");
              _this15.compileLiteral(child, frame);
              _this15._emitLine(";");
            }
          } else {
            _this15._emit(_this15.buffer + " += runtime.suppressValue(");
            if (_this15.throwOnUndefined) {
              _this15._emit("runtime.ensureDefined(");
            }
            _this15.compile(child, frame);
            if (_this15.throwOnUndefined) {
              _this15._emit("," + node.lineno + "," + node.colno + ")");
            }
            _this15._emit(", env.opts.autoescape);\n");
          }
        });
      };
      _proto.compileRoot = function compileRoot(node, frame) {
        var _this16 = this;
        if (frame) {
          this.fail("compileRoot: root node can't have frame");
        }
        frame = new Frame();
        this._emitFuncBegin(node, "root");
        this._emitLine("var parentTemplate = null;");
        this._compileChildren(node, frame);
        this._emitLine("if(parentTemplate) {");
        this._emitLine("parentTemplate.rootRenderFunc(env, context, frame, runtime, cb);");
        this._emitLine("} else {");
        this._emitLine("cb(null, " + this.buffer + ");");
        this._emitLine("}");
        this._emitFuncEnd(true);
        this.inBlock = true;
        var blockNames = [];
        var blocks = node.findAll(nodes.Block);
        blocks.forEach(function(block, i) {
          var name = block.name.value;
          if (blockNames.indexOf(name) !== -1) {
            throw new Error('Block "' + name + '" defined more than once.');
          }
          blockNames.push(name);
          _this16._emitFuncBegin(block, "b_" + name);
          var tmpFrame = new Frame();
          _this16._emitLine("var frame = frame.push(true);");
          _this16.compile(block.body, tmpFrame);
          _this16._emitFuncEnd();
        });
        this._emitLine("return {");
        blocks.forEach(function(block, i) {
          var blockName = "b_" + block.name.value;
          _this16._emitLine(blockName + ": " + blockName + ",");
        });
        this._emitLine("root: root\n};");
      };
      _proto.compile = function compile(node, frame) {
        var _compile = this["compile" + node.typename];
        if (_compile) {
          _compile.call(this, node, frame);
        } else {
          this.fail("compile: Cannot compile node: " + node.typename, node.lineno, node.colno);
        }
      };
      _proto.getCode = function getCode() {
        return this.codebuf.join("");
      };
      return Compiler2;
    }(Obj);
    module.exports = {
      compile: function compile(src, asyncFilters, extensions, name, opts) {
        if (opts === void 0) {
          opts = {};
        }
        var c = new Compiler(name, opts.throwOnUndefined);
        var preprocessors = (extensions || []).map(function(ext) {
          return ext.preprocess;
        }).filter(function(f) {
          return !!f;
        });
        var processedSrc = preprocessors.reduce(function(s, processor) {
          return processor(s);
        }, src);
        c.compile(transformer.transform(parser2.parse(processedSrc, extensions, opts), asyncFilters, name));
        return c.getCode();
      },
      Compiler
    };
  }
});

// ../../node_modules/nunjucks/src/filters.js
var require_filters = __commonJS({
  "../../node_modules/nunjucks/src/filters.js"(exports, module) {
    "use strict";
    var lib = require_lib();
    var r = require_runtime();
    var _exports = module.exports = {};
    function normalize(value, defaultValue) {
      if (value === null || value === void 0 || value === false) {
        return defaultValue;
      }
      return value;
    }
    _exports.abs = Math.abs;
    function isNaN2(num) {
      return num !== num;
    }
    function batch(arr, linecount, fillWith) {
      var i;
      var res = [];
      var tmp = [];
      for (i = 0; i < arr.length; i++) {
        if (i % linecount === 0 && tmp.length) {
          res.push(tmp);
          tmp = [];
        }
        tmp.push(arr[i]);
      }
      if (tmp.length) {
        if (fillWith) {
          for (i = tmp.length; i < linecount; i++) {
            tmp.push(fillWith);
          }
        }
        res.push(tmp);
      }
      return res;
    }
    _exports.batch = batch;
    function capitalize(str) {
      str = normalize(str, "");
      var ret = str.toLowerCase();
      return r.copySafeness(str, ret.charAt(0).toUpperCase() + ret.slice(1));
    }
    _exports.capitalize = capitalize;
    function center(str, width) {
      str = normalize(str, "");
      width = width || 80;
      if (str.length >= width) {
        return str;
      }
      var spaces = width - str.length;
      var pre = lib.repeat(" ", spaces / 2 - spaces % 2);
      var post = lib.repeat(" ", spaces / 2);
      return r.copySafeness(str, pre + str + post);
    }
    _exports.center = center;
    function default_(val, def, bool) {
      if (bool) {
        return val || def;
      } else {
        return val !== void 0 ? val : def;
      }
    }
    _exports["default"] = default_;
    function dictsort(val, caseSensitive, by) {
      if (!lib.isObject(val)) {
        throw new lib.TemplateError("dictsort filter: val must be an object");
      }
      var array = [];
      for (var k in val) {
        array.push([k, val[k]]);
      }
      var si;
      if (by === void 0 || by === "key") {
        si = 0;
      } else if (by === "value") {
        si = 1;
      } else {
        throw new lib.TemplateError("dictsort filter: You can only sort by either key or value");
      }
      array.sort(function(t1, t2) {
        var a = t1[si];
        var b = t2[si];
        if (!caseSensitive) {
          if (lib.isString(a)) {
            a = a.toUpperCase();
          }
          if (lib.isString(b)) {
            b = b.toUpperCase();
          }
        }
        return a > b ? 1 : a === b ? 0 : -1;
      });
      return array;
    }
    _exports.dictsort = dictsort;
    function dump(obj, spaces) {
      return JSON.stringify(obj, null, spaces);
    }
    _exports.dump = dump;
    function escape(str) {
      if (str instanceof r.SafeString) {
        return str;
      }
      str = str === null || str === void 0 ? "" : str;
      return r.markSafe(lib.escape(str.toString()));
    }
    _exports.escape = escape;
    function safe(str) {
      if (str instanceof r.SafeString) {
        return str;
      }
      str = str === null || str === void 0 ? "" : str;
      return r.markSafe(str.toString());
    }
    _exports.safe = safe;
    function first(arr) {
      return arr[0];
    }
    _exports.first = first;
    function forceescape(str) {
      str = str === null || str === void 0 ? "" : str;
      return r.markSafe(lib.escape(str.toString()));
    }
    _exports.forceescape = forceescape;
    function groupby(arr, attr) {
      return lib.groupBy(arr, attr, this.env.opts.throwOnUndefined);
    }
    _exports.groupby = groupby;
    function indent(str, width, indentfirst) {
      str = normalize(str, "");
      if (str === "") {
        return "";
      }
      width = width || 4;
      var lines = str.split("\n");
      var sp = lib.repeat(" ", width);
      var res = lines.map(function(l, i) {
        return i === 0 && !indentfirst ? l : "" + sp + l;
      }).join("\n");
      return r.copySafeness(str, res);
    }
    _exports.indent = indent;
    function join(arr, del, attr) {
      del = del || "";
      if (attr) {
        arr = lib.map(arr, function(v) {
          return v[attr];
        });
      }
      return arr.join(del);
    }
    _exports.join = join;
    function last(arr) {
      return arr[arr.length - 1];
    }
    _exports.last = last;
    function lengthFilter(val) {
      var value = normalize(val, "");
      if (value !== void 0) {
        if (typeof Map === "function" && value instanceof Map || typeof Set === "function" && value instanceof Set) {
          return value.size;
        }
        if (lib.isObject(value) && !(value instanceof r.SafeString)) {
          return lib.keys(value).length;
        }
        return value.length;
      }
      return 0;
    }
    _exports.length = lengthFilter;
    function list(val) {
      if (lib.isString(val)) {
        return val.split("");
      } else if (lib.isObject(val)) {
        return lib._entries(val || {}).map(function(_ref) {
          var key = _ref[0], value = _ref[1];
          return {
            key,
            value
          };
        });
      } else if (lib.isArray(val)) {
        return val;
      } else {
        throw new lib.TemplateError("list filter: type not iterable");
      }
    }
    _exports.list = list;
    function lower(str) {
      str = normalize(str, "");
      return str.toLowerCase();
    }
    _exports.lower = lower;
    function nl2br(str) {
      if (str === null || str === void 0) {
        return "";
      }
      return r.copySafeness(str, str.replace(/\r\n|\n/g, "<br />\n"));
    }
    _exports.nl2br = nl2br;
    function random(arr) {
      return arr[Math.floor(Math.random() * arr.length)];
    }
    _exports.random = random;
    function getSelectOrReject(expectedTestResult) {
      function filter(arr, testName, secondArg) {
        if (testName === void 0) {
          testName = "truthy";
        }
        var context = this;
        var test = context.env.getTest(testName);
        return lib.toArray(arr).filter(function examineTestResult(item) {
          return test.call(context, item, secondArg) === expectedTestResult;
        });
      }
      return filter;
    }
    _exports.reject = getSelectOrReject(false);
    function rejectattr(arr, attr) {
      return arr.filter(function(item) {
        return !item[attr];
      });
    }
    _exports.rejectattr = rejectattr;
    _exports.select = getSelectOrReject(true);
    function selectattr(arr, attr) {
      return arr.filter(function(item) {
        return !!item[attr];
      });
    }
    _exports.selectattr = selectattr;
    function replace(str, old, new_, maxCount) {
      var originalStr = str;
      if (old instanceof RegExp) {
        return str.replace(old, new_);
      }
      if (typeof maxCount === "undefined") {
        maxCount = -1;
      }
      var res = "";
      if (typeof old === "number") {
        old = "" + old;
      } else if (typeof old !== "string") {
        return str;
      }
      if (typeof str === "number") {
        str = "" + str;
      }
      if (typeof str !== "string" && !(str instanceof r.SafeString)) {
        return str;
      }
      if (old === "") {
        res = new_ + str.split("").join(new_) + new_;
        return r.copySafeness(str, res);
      }
      var nextIndex = str.indexOf(old);
      if (maxCount === 0 || nextIndex === -1) {
        return str;
      }
      var pos = 0;
      var count = 0;
      while (nextIndex > -1 && (maxCount === -1 || count < maxCount)) {
        res += str.substring(pos, nextIndex) + new_;
        pos = nextIndex + old.length;
        count++;
        nextIndex = str.indexOf(old, pos);
      }
      if (pos < str.length) {
        res += str.substring(pos);
      }
      return r.copySafeness(originalStr, res);
    }
    _exports.replace = replace;
    function reverse(val) {
      var arr;
      if (lib.isString(val)) {
        arr = list(val);
      } else {
        arr = lib.map(val, function(v) {
          return v;
        });
      }
      arr.reverse();
      if (lib.isString(val)) {
        return r.copySafeness(val, arr.join(""));
      }
      return arr;
    }
    _exports.reverse = reverse;
    function round(val, precision, method) {
      precision = precision || 0;
      var factor = Math.pow(10, precision);
      var rounder;
      if (method === "ceil") {
        rounder = Math.ceil;
      } else if (method === "floor") {
        rounder = Math.floor;
      } else {
        rounder = Math.round;
      }
      return rounder(val * factor) / factor;
    }
    _exports.round = round;
    function slice(arr, slices, fillWith) {
      var sliceLength = Math.floor(arr.length / slices);
      var extra = arr.length % slices;
      var res = [];
      var offset = 0;
      for (var i = 0; i < slices; i++) {
        var start = offset + i * sliceLength;
        if (i < extra) {
          offset++;
        }
        var end = offset + (i + 1) * sliceLength;
        var currSlice = arr.slice(start, end);
        if (fillWith && i >= extra) {
          currSlice.push(fillWith);
        }
        res.push(currSlice);
      }
      return res;
    }
    _exports.slice = slice;
    function sum(arr, attr, start) {
      if (start === void 0) {
        start = 0;
      }
      if (attr) {
        arr = lib.map(arr, function(v) {
          return v[attr];
        });
      }
      return start + arr.reduce(function(a, b) {
        return a + b;
      }, 0);
    }
    _exports.sum = sum;
    _exports.sort = r.makeMacro(["value", "reverse", "case_sensitive", "attribute"], [], function sortFilter(arr, reversed, caseSens, attr) {
      var _this = this;
      var array = lib.map(arr, function(v) {
        return v;
      });
      var getAttribute = lib.getAttrGetter(attr);
      array.sort(function(a, b) {
        var x = attr ? getAttribute(a) : a;
        var y = attr ? getAttribute(b) : b;
        if (_this.env.opts.throwOnUndefined && attr && (x === void 0 || y === void 0)) {
          throw new TypeError('sort: attribute "' + attr + '" resolved to undefined');
        }
        if (!caseSens && lib.isString(x) && lib.isString(y)) {
          x = x.toLowerCase();
          y = y.toLowerCase();
        }
        if (x < y) {
          return reversed ? 1 : -1;
        } else if (x > y) {
          return reversed ? -1 : 1;
        } else {
          return 0;
        }
      });
      return array;
    });
    function string(obj) {
      return r.copySafeness(obj, obj);
    }
    _exports.string = string;
    function striptags(input, preserveLinebreaks) {
      input = normalize(input, "");
      var tags = /<\/?([a-z][a-z0-9]*)\b[^>]*>|<!--[\s\S]*?-->/gi;
      var trimmedInput = trim(input.replace(tags, ""));
      var res = "";
      if (preserveLinebreaks) {
        res = trimmedInput.replace(/^ +| +$/gm, "").replace(/ +/g, " ").replace(/(\r\n)/g, "\n").replace(/\n\n\n+/g, "\n\n");
      } else {
        res = trimmedInput.replace(/\s+/gi, " ");
      }
      return r.copySafeness(input, res);
    }
    _exports.striptags = striptags;
    function title(str) {
      str = normalize(str, "");
      var words = str.split(" ").map(function(word) {
        return capitalize(word);
      });
      return r.copySafeness(str, words.join(" "));
    }
    _exports.title = title;
    function trim(str) {
      return r.copySafeness(str, str.replace(/^\s*|\s*$/g, ""));
    }
    _exports.trim = trim;
    function truncate(input, length, killwords, end) {
      var orig = input;
      input = normalize(input, "");
      length = length || 255;
      if (input.length <= length) {
        return input;
      }
      if (killwords) {
        input = input.substring(0, length);
      } else {
        var idx = input.lastIndexOf(" ", length);
        if (idx === -1) {
          idx = length;
        }
        input = input.substring(0, idx);
      }
      input += end !== void 0 && end !== null ? end : "...";
      return r.copySafeness(orig, input);
    }
    _exports.truncate = truncate;
    function upper(str) {
      str = normalize(str, "");
      return str.toUpperCase();
    }
    _exports.upper = upper;
    function urlencode(obj) {
      var enc = encodeURIComponent;
      if (lib.isString(obj)) {
        return enc(obj);
      } else {
        var keyvals = lib.isArray(obj) ? obj : lib._entries(obj);
        return keyvals.map(function(_ref2) {
          var k = _ref2[0], v = _ref2[1];
          return enc(k) + "=" + enc(v);
        }).join("&");
      }
    }
    _exports.urlencode = urlencode;
    var puncRe = /^(?:\(|<|&lt;)?(.*?)(?:\.|,|\)|\n|&gt;)?$/;
    var emailRe = /^[\w.!#$%&'*+\-\/=?\^`{|}~]+@[a-z\d\-]+(\.[a-z\d\-]+)+$/i;
    var httpHttpsRe = /^https?:\/\/.*$/;
    var wwwRe = /^www\./;
    var tldRe = /\.(?:org|net|com)(?:\:|\/|$)/;
    function urlize(str, length, nofollow) {
      if (isNaN2(length)) {
        length = Infinity;
      }
      var noFollowAttr = nofollow === true ? ' rel="nofollow"' : "";
      var words = str.split(/(\s+)/).filter(function(word) {
        return word && word.length;
      }).map(function(word) {
        var matches = word.match(puncRe);
        var possibleUrl = matches ? matches[1] : word;
        var shortUrl = possibleUrl.substr(0, length);
        if (httpHttpsRe.test(possibleUrl)) {
          return '<a href="' + possibleUrl + '"' + noFollowAttr + ">" + shortUrl + "</a>";
        }
        if (wwwRe.test(possibleUrl)) {
          return '<a href="http://' + possibleUrl + '"' + noFollowAttr + ">" + shortUrl + "</a>";
        }
        if (emailRe.test(possibleUrl)) {
          return '<a href="mailto:' + possibleUrl + '">' + possibleUrl + "</a>";
        }
        if (tldRe.test(possibleUrl)) {
          return '<a href="http://' + possibleUrl + '"' + noFollowAttr + ">" + shortUrl + "</a>";
        }
        return word;
      });
      return words.join("");
    }
    _exports.urlize = urlize;
    function wordcount(str) {
      str = normalize(str, "");
      var words = str ? str.match(/\w+/g) : null;
      return words ? words.length : null;
    }
    _exports.wordcount = wordcount;
    function float(val, def) {
      var res = parseFloat(val);
      return isNaN2(res) ? def : res;
    }
    _exports.float = float;
    var intFilter = r.makeMacro(["value", "default", "base"], [], function doInt(value, defaultValue, base) {
      if (base === void 0) {
        base = 10;
      }
      var res = parseInt(value, base);
      return isNaN2(res) ? defaultValue : res;
    });
    _exports.int = intFilter;
    _exports.d = _exports.default;
    _exports.e = _exports.escape;
  }
});

// ../../node_modules/nunjucks/src/loader.js
var require_loader = __commonJS({
  "../../node_modules/nunjucks/src/loader.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var path5 = __require("path");
    var _require = require_object();
    var EmitterObj = _require.EmitterObj;
    module.exports = /* @__PURE__ */ function(_EmitterObj) {
      _inheritsLoose(Loader, _EmitterObj);
      function Loader() {
        return _EmitterObj.apply(this, arguments) || this;
      }
      var _proto = Loader.prototype;
      _proto.resolve = function resolve(from, to) {
        return path5.resolve(path5.dirname(from), to);
      };
      _proto.isRelative = function isRelative(filename) {
        return filename.indexOf("./") === 0 || filename.indexOf("../") === 0;
      };
      return Loader;
    }(EmitterObj);
  }
});

// ../../node_modules/nunjucks/src/precompiled-loader.js
var require_precompiled_loader = __commonJS({
  "../../node_modules/nunjucks/src/precompiled-loader.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var Loader = require_loader();
    var PrecompiledLoader = /* @__PURE__ */ function(_Loader) {
      _inheritsLoose(PrecompiledLoader2, _Loader);
      function PrecompiledLoader2(compiledTemplates) {
        var _this;
        _this = _Loader.call(this) || this;
        _this.precompiled = compiledTemplates || {};
        return _this;
      }
      var _proto = PrecompiledLoader2.prototype;
      _proto.getSource = function getSource(name) {
        if (this.precompiled[name]) {
          return {
            src: {
              type: "code",
              obj: this.precompiled[name]
            },
            path: name
          };
        }
        return null;
      };
      return PrecompiledLoader2;
    }(Loader);
    module.exports = {
      PrecompiledLoader
    };
  }
});

// ../../node_modules/nunjucks/src/node-loaders.js
var require_node_loaders = __commonJS({
  "../../node_modules/nunjucks/src/node-loaders.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var fs3 = __require("fs");
    var path5 = __require("path");
    var Loader = require_loader();
    var _require = require_precompiled_loader();
    var PrecompiledLoader = _require.PrecompiledLoader;
    var chokidar;
    var FileSystemLoader = /* @__PURE__ */ function(_Loader) {
      _inheritsLoose(FileSystemLoader2, _Loader);
      function FileSystemLoader2(searchPaths, opts) {
        var _this;
        _this = _Loader.call(this) || this;
        if (typeof opts === "boolean") {
          console.log("[nunjucks] Warning: you passed a boolean as the second argument to FileSystemLoader, but it now takes an options object. See http://mozilla.github.io/nunjucks/api.html#filesystemloader");
        }
        opts = opts || {};
        _this.pathsToNames = {};
        _this.noCache = !!opts.noCache;
        if (searchPaths) {
          searchPaths = Array.isArray(searchPaths) ? searchPaths : [searchPaths];
          _this.searchPaths = searchPaths.map(path5.normalize);
        } else {
          _this.searchPaths = ["."];
        }
        if (opts.watch) {
          try {
            chokidar = __require("chokidar");
          } catch (e) {
            throw new Error("watch requires chokidar to be installed");
          }
          var paths = _this.searchPaths.filter(fs3.existsSync);
          var watcher = chokidar.watch(paths);
          watcher.on("all", function(event, fullname) {
            fullname = path5.resolve(fullname);
            if (event === "change" && fullname in _this.pathsToNames) {
              _this.emit("update", _this.pathsToNames[fullname], fullname);
            }
          });
          watcher.on("error", function(error) {
            console.log("Watcher error: " + error);
          });
        }
        return _this;
      }
      var _proto = FileSystemLoader2.prototype;
      _proto.getSource = function getSource(name) {
        var fullpath = null;
        var paths = this.searchPaths;
        for (var i = 0; i < paths.length; i++) {
          var basePath = path5.resolve(paths[i]);
          var p = path5.resolve(paths[i], name);
          if (p.indexOf(basePath) === 0 && fs3.existsSync(p)) {
            fullpath = p;
            break;
          }
        }
        if (!fullpath) {
          return null;
        }
        this.pathsToNames[fullpath] = name;
        var source = {
          src: fs3.readFileSync(fullpath, "utf-8"),
          path: fullpath,
          noCache: this.noCache
        };
        this.emit("load", name, source);
        return source;
      };
      return FileSystemLoader2;
    }(Loader);
    var NodeResolveLoader = /* @__PURE__ */ function(_Loader2) {
      _inheritsLoose(NodeResolveLoader2, _Loader2);
      function NodeResolveLoader2(opts) {
        var _this2;
        _this2 = _Loader2.call(this) || this;
        opts = opts || {};
        _this2.pathsToNames = {};
        _this2.noCache = !!opts.noCache;
        if (opts.watch) {
          try {
            chokidar = __require("chokidar");
          } catch (e) {
            throw new Error("watch requires chokidar to be installed");
          }
          _this2.watcher = chokidar.watch();
          _this2.watcher.on("change", function(fullname) {
            _this2.emit("update", _this2.pathsToNames[fullname], fullname);
          });
          _this2.watcher.on("error", function(error) {
            console.log("Watcher error: " + error);
          });
          _this2.on("load", function(name, source) {
            _this2.watcher.add(source.path);
          });
        }
        return _this2;
      }
      var _proto2 = NodeResolveLoader2.prototype;
      _proto2.getSource = function getSource(name) {
        if (/^\.?\.?(\/|\\)/.test(name)) {
          return null;
        }
        if (/^[A-Z]:/.test(name)) {
          return null;
        }
        var fullpath;
        try {
          fullpath = __require.resolve(name);
        } catch (e) {
          return null;
        }
        this.pathsToNames[fullpath] = name;
        var source = {
          src: fs3.readFileSync(fullpath, "utf-8"),
          path: fullpath,
          noCache: this.noCache
        };
        this.emit("load", name, source);
        return source;
      };
      return NodeResolveLoader2;
    }(Loader);
    module.exports = {
      FileSystemLoader,
      PrecompiledLoader,
      NodeResolveLoader
    };
  }
});

// ../../node_modules/nunjucks/src/loaders.js
var require_loaders = __commonJS({
  "../../node_modules/nunjucks/src/loaders.js"(exports, module) {
    "use strict";
    module.exports = require_node_loaders();
  }
});

// ../../node_modules/nunjucks/src/tests.js
var require_tests = __commonJS({
  "../../node_modules/nunjucks/src/tests.js"(exports) {
    "use strict";
    var SafeString = require_runtime().SafeString;
    function callable(value) {
      return typeof value === "function";
    }
    exports.callable = callable;
    function defined(value) {
      return value !== void 0;
    }
    exports.defined = defined;
    function divisibleby(one, two) {
      return one % two === 0;
    }
    exports.divisibleby = divisibleby;
    function escaped(value) {
      return value instanceof SafeString;
    }
    exports.escaped = escaped;
    function equalto(one, two) {
      return one === two;
    }
    exports.equalto = equalto;
    exports.eq = exports.equalto;
    exports.sameas = exports.equalto;
    function even(value) {
      return value % 2 === 0;
    }
    exports.even = even;
    function falsy(value) {
      return !value;
    }
    exports.falsy = falsy;
    function ge(one, two) {
      return one >= two;
    }
    exports.ge = ge;
    function greaterthan(one, two) {
      return one > two;
    }
    exports.greaterthan = greaterthan;
    exports.gt = exports.greaterthan;
    function le(one, two) {
      return one <= two;
    }
    exports.le = le;
    function lessthan(one, two) {
      return one < two;
    }
    exports.lessthan = lessthan;
    exports.lt = exports.lessthan;
    function lower(value) {
      return value.toLowerCase() === value;
    }
    exports.lower = lower;
    function ne(one, two) {
      return one !== two;
    }
    exports.ne = ne;
    function nullTest(value) {
      return value === null;
    }
    exports.null = nullTest;
    function number(value) {
      return typeof value === "number";
    }
    exports.number = number;
    function odd(value) {
      return value % 2 === 1;
    }
    exports.odd = odd;
    function string(value) {
      return typeof value === "string";
    }
    exports.string = string;
    function truthy(value) {
      return !!value;
    }
    exports.truthy = truthy;
    function undefinedTest(value) {
      return value === void 0;
    }
    exports.undefined = undefinedTest;
    function upper(value) {
      return value.toUpperCase() === value;
    }
    exports.upper = upper;
    function iterable(value) {
      if (typeof Symbol !== "undefined") {
        return !!value[Symbol.iterator];
      } else {
        return Array.isArray(value) || typeof value === "string";
      }
    }
    exports.iterable = iterable;
    function mapping(value) {
      var bool = value !== null && value !== void 0 && typeof value === "object" && !Array.isArray(value);
      if (Set) {
        return bool && !(value instanceof Set);
      } else {
        return bool;
      }
    }
    exports.mapping = mapping;
  }
});

// ../../node_modules/nunjucks/src/globals.js
var require_globals = __commonJS({
  "../../node_modules/nunjucks/src/globals.js"(exports, module) {
    "use strict";
    function _cycler(items) {
      var index = -1;
      return {
        current: null,
        reset: function reset() {
          index = -1;
          this.current = null;
        },
        next: function next() {
          index++;
          if (index >= items.length) {
            index = 0;
          }
          this.current = items[index];
          return this.current;
        }
      };
    }
    function _joiner(sep) {
      sep = sep || ",";
      var first = true;
      return function() {
        var val = first ? "" : sep;
        first = false;
        return val;
      };
    }
    function globals() {
      return {
        range: function range(start, stop, step) {
          if (typeof stop === "undefined") {
            stop = start;
            start = 0;
            step = 1;
          } else if (!step) {
            step = 1;
          }
          var arr = [];
          if (step > 0) {
            for (var i = start; i < stop; i += step) {
              arr.push(i);
            }
          } else {
            for (var _i = start; _i > stop; _i += step) {
              arr.push(_i);
            }
          }
          return arr;
        },
        cycler: function cycler() {
          return _cycler(Array.prototype.slice.call(arguments));
        },
        joiner: function joiner(sep) {
          return _joiner(sep);
        }
      };
    }
    module.exports = globals;
  }
});

// ../../node_modules/nunjucks/src/express-app.js
var require_express_app = __commonJS({
  "../../node_modules/nunjucks/src/express-app.js"(exports, module) {
    "use strict";
    var path5 = __require("path");
    module.exports = function express(env, app) {
      function NunjucksView(name, opts) {
        this.name = name;
        this.path = name;
        this.defaultEngine = opts.defaultEngine;
        this.ext = path5.extname(name);
        if (!this.ext && !this.defaultEngine) {
          throw new Error("No default engine was specified and no extension was provided.");
        }
        if (!this.ext) {
          this.name += this.ext = (this.defaultEngine[0] !== "." ? "." : "") + this.defaultEngine;
        }
      }
      NunjucksView.prototype.render = function render(opts, cb) {
        env.render(this.name, opts, cb);
      };
      app.set("view", NunjucksView);
      app.set("nunjucksEnv", env);
      return env;
    };
  }
});

// ../../node_modules/nunjucks/src/environment.js
var require_environment = __commonJS({
  "../../node_modules/nunjucks/src/environment.js"(exports, module) {
    "use strict";
    function _inheritsLoose(subClass, superClass) {
      subClass.prototype = Object.create(superClass.prototype);
      subClass.prototype.constructor = subClass;
      _setPrototypeOf(subClass, superClass);
    }
    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o2, p2) {
        o2.__proto__ = p2;
        return o2;
      };
      return _setPrototypeOf(o, p);
    }
    var asap = require_asap();
    var _waterfall = require_a_sync_waterfall();
    var lib = require_lib();
    var compiler = require_compiler();
    var filters = require_filters();
    var _require = require_loaders();
    var FileSystemLoader = _require.FileSystemLoader;
    var WebLoader = _require.WebLoader;
    var PrecompiledLoader = _require.PrecompiledLoader;
    var tests = require_tests();
    var globals = require_globals();
    var _require2 = require_object();
    var Obj = _require2.Obj;
    var EmitterObj = _require2.EmitterObj;
    var globalRuntime = require_runtime();
    var handleError = globalRuntime.handleError;
    var Frame = globalRuntime.Frame;
    var expressApp = require_express_app();
    function callbackAsap(cb, err, res) {
      asap(function() {
        cb(err, res);
      });
    }
    var noopTmplSrc = {
      type: "code",
      obj: {
        root: function root(env, context, frame, runtime, cb) {
          try {
            cb(null, "");
          } catch (e) {
            cb(handleError(e, null, null));
          }
        }
      }
    };
    var Environment = /* @__PURE__ */ function(_EmitterObj) {
      _inheritsLoose(Environment2, _EmitterObj);
      function Environment2() {
        return _EmitterObj.apply(this, arguments) || this;
      }
      var _proto = Environment2.prototype;
      _proto.init = function init(loaders, opts) {
        var _this = this;
        opts = this.opts = opts || {};
        this.opts.dev = !!opts.dev;
        this.opts.autoescape = opts.autoescape != null ? opts.autoescape : true;
        this.opts.throwOnUndefined = !!opts.throwOnUndefined;
        this.opts.trimBlocks = !!opts.trimBlocks;
        this.opts.lstripBlocks = !!opts.lstripBlocks;
        this.loaders = [];
        if (!loaders) {
          if (FileSystemLoader) {
            this.loaders = [new FileSystemLoader("views")];
          } else if (WebLoader) {
            this.loaders = [new WebLoader("/views")];
          }
        } else {
          this.loaders = lib.isArray(loaders) ? loaders : [loaders];
        }
        if (typeof window !== "undefined" && window.nunjucksPrecompiled) {
          this.loaders.unshift(new PrecompiledLoader(window.nunjucksPrecompiled));
        }
        this._initLoaders();
        this.globals = globals();
        this.filters = {};
        this.tests = {};
        this.asyncFilters = [];
        this.extensions = {};
        this.extensionsList = [];
        lib._entries(filters).forEach(function(_ref) {
          var name = _ref[0], filter = _ref[1];
          return _this.addFilter(name, filter);
        });
        lib._entries(tests).forEach(function(_ref2) {
          var name = _ref2[0], test = _ref2[1];
          return _this.addTest(name, test);
        });
      };
      _proto._initLoaders = function _initLoaders() {
        var _this2 = this;
        this.loaders.forEach(function(loader) {
          loader.cache = {};
          if (typeof loader.on === "function") {
            loader.on("update", function(name, fullname) {
              loader.cache[name] = null;
              _this2.emit("update", name, fullname, loader);
            });
            loader.on("load", function(name, source) {
              _this2.emit("load", name, source, loader);
            });
          }
        });
      };
      _proto.invalidateCache = function invalidateCache() {
        this.loaders.forEach(function(loader) {
          loader.cache = {};
        });
      };
      _proto.addExtension = function addExtension(name, extension) {
        extension.__name = name;
        this.extensions[name] = extension;
        this.extensionsList.push(extension);
        return this;
      };
      _proto.removeExtension = function removeExtension(name) {
        var extension = this.getExtension(name);
        if (!extension) {
          return;
        }
        this.extensionsList = lib.without(this.extensionsList, extension);
        delete this.extensions[name];
      };
      _proto.getExtension = function getExtension(name) {
        return this.extensions[name];
      };
      _proto.hasExtension = function hasExtension(name) {
        return !!this.extensions[name];
      };
      _proto.addGlobal = function addGlobal(name, value) {
        this.globals[name] = value;
        return this;
      };
      _proto.getGlobal = function getGlobal(name) {
        if (typeof this.globals[name] === "undefined") {
          throw new Error("global not found: " + name);
        }
        return this.globals[name];
      };
      _proto.addFilter = function addFilter(name, func, async) {
        var wrapped = func;
        if (async) {
          this.asyncFilters.push(name);
        }
        this.filters[name] = wrapped;
        return this;
      };
      _proto.getFilter = function getFilter(name) {
        if (!this.filters[name]) {
          throw new Error("filter not found: " + name);
        }
        return this.filters[name];
      };
      _proto.addTest = function addTest(name, func) {
        this.tests[name] = func;
        return this;
      };
      _proto.getTest = function getTest(name) {
        if (!this.tests[name]) {
          throw new Error("test not found: " + name);
        }
        return this.tests[name];
      };
      _proto.resolveTemplate = function resolveTemplate2(loader, parentName, filename) {
        var isRelative = loader.isRelative && parentName ? loader.isRelative(filename) : false;
        return isRelative && loader.resolve ? loader.resolve(parentName, filename) : filename;
      };
      _proto.getTemplate = function getTemplate(name, eagerCompile, parentName, ignoreMissing, cb) {
        var _this3 = this;
        var that = this;
        var tmpl = null;
        if (name && name.raw) {
          name = name.raw;
        }
        if (lib.isFunction(parentName)) {
          cb = parentName;
          parentName = null;
          eagerCompile = eagerCompile || false;
        }
        if (lib.isFunction(eagerCompile)) {
          cb = eagerCompile;
          eagerCompile = false;
        }
        if (name instanceof Template) {
          tmpl = name;
        } else if (typeof name !== "string") {
          throw new Error("template names must be a string: " + name);
        } else {
          for (var i = 0; i < this.loaders.length; i++) {
            var loader = this.loaders[i];
            tmpl = loader.cache[this.resolveTemplate(loader, parentName, name)];
            if (tmpl) {
              break;
            }
          }
        }
        if (tmpl) {
          if (eagerCompile) {
            tmpl.compile();
          }
          if (cb) {
            cb(null, tmpl);
            return void 0;
          } else {
            return tmpl;
          }
        }
        var syncResult;
        var createTemplate = function createTemplate2(err, info) {
          if (!info && !err && !ignoreMissing) {
            err = new Error("template not found: " + name);
          }
          if (err) {
            if (cb) {
              cb(err);
              return;
            } else {
              throw err;
            }
          }
          var newTmpl;
          if (!info) {
            newTmpl = new Template(noopTmplSrc, _this3, "", eagerCompile);
          } else {
            newTmpl = new Template(info.src, _this3, info.path, eagerCompile);
            if (!info.noCache) {
              info.loader.cache[name] = newTmpl;
            }
          }
          if (cb) {
            cb(null, newTmpl);
          } else {
            syncResult = newTmpl;
          }
        };
        lib.asyncIter(this.loaders, function(loader2, i2, next, done) {
          function handle(err, src) {
            if (err) {
              done(err);
            } else if (src) {
              src.loader = loader2;
              done(null, src);
            } else {
              next();
            }
          }
          name = that.resolveTemplate(loader2, parentName, name);
          if (loader2.async) {
            loader2.getSource(name, handle);
          } else {
            handle(null, loader2.getSource(name));
          }
        }, createTemplate);
        return syncResult;
      };
      _proto.express = function express(app) {
        return expressApp(this, app);
      };
      _proto.render = function render(name, ctx, cb) {
        if (lib.isFunction(ctx)) {
          cb = ctx;
          ctx = null;
        }
        var syncResult = null;
        this.getTemplate(name, function(err, tmpl) {
          if (err && cb) {
            callbackAsap(cb, err);
          } else if (err) {
            throw err;
          } else {
            syncResult = tmpl.render(ctx, cb);
          }
        });
        return syncResult;
      };
      _proto.renderString = function renderString(src, ctx, opts, cb) {
        if (lib.isFunction(opts)) {
          cb = opts;
          opts = {};
        }
        opts = opts || {};
        var tmpl = new Template(src, this, opts.path);
        return tmpl.render(ctx, cb);
      };
      _proto.waterfall = function waterfall(tasks, callback, forceAsync) {
        return _waterfall(tasks, callback, forceAsync);
      };
      return Environment2;
    }(EmitterObj);
    var Context = /* @__PURE__ */ function(_Obj) {
      _inheritsLoose(Context2, _Obj);
      function Context2() {
        return _Obj.apply(this, arguments) || this;
      }
      var _proto2 = Context2.prototype;
      _proto2.init = function init(ctx, blocks, env) {
        var _this4 = this;
        this.env = env || new Environment();
        this.ctx = lib.extend({}, ctx);
        this.blocks = {};
        this.exported = [];
        lib.keys(blocks).forEach(function(name) {
          _this4.addBlock(name, blocks[name]);
        });
      };
      _proto2.lookup = function lookup(name) {
        if (name in this.env.globals && !(name in this.ctx)) {
          return this.env.globals[name];
        } else {
          return this.ctx[name];
        }
      };
      _proto2.setVariable = function setVariable(name, val) {
        this.ctx[name] = val;
      };
      _proto2.getVariables = function getVariables() {
        return this.ctx;
      };
      _proto2.addBlock = function addBlock(name, block) {
        this.blocks[name] = this.blocks[name] || [];
        this.blocks[name].push(block);
        return this;
      };
      _proto2.getBlock = function getBlock(name) {
        if (!this.blocks[name]) {
          throw new Error('unknown block "' + name + '"');
        }
        return this.blocks[name][0];
      };
      _proto2.getSuper = function getSuper(env, name, block, frame, runtime, cb) {
        var idx = lib.indexOf(this.blocks[name] || [], block);
        var blk = this.blocks[name][idx + 1];
        var context = this;
        if (idx === -1 || !blk) {
          throw new Error('no super block available for "' + name + '"');
        }
        blk(env, context, frame, runtime, cb);
      };
      _proto2.addExport = function addExport(name) {
        this.exported.push(name);
      };
      _proto2.getExported = function getExported() {
        var _this5 = this;
        var exported = {};
        this.exported.forEach(function(name) {
          exported[name] = _this5.ctx[name];
        });
        return exported;
      };
      return Context2;
    }(Obj);
    var Template = /* @__PURE__ */ function(_Obj2) {
      _inheritsLoose(Template2, _Obj2);
      function Template2() {
        return _Obj2.apply(this, arguments) || this;
      }
      var _proto3 = Template2.prototype;
      _proto3.init = function init(src, env, path5, eagerCompile) {
        this.env = env || new Environment();
        if (lib.isObject(src)) {
          switch (src.type) {
            case "code":
              this.tmplProps = src.obj;
              break;
            case "string":
              this.tmplStr = src.obj;
              break;
            default:
              throw new Error("Unexpected template object type " + src.type + "; expected 'code', or 'string'");
          }
        } else if (lib.isString(src)) {
          this.tmplStr = src;
        } else {
          throw new Error("src must be a string or an object describing the source");
        }
        this.path = path5;
        if (eagerCompile) {
          try {
            this._compile();
          } catch (err) {
            throw lib._prettifyError(this.path, this.env.opts.dev, err);
          }
        } else {
          this.compiled = false;
        }
      };
      _proto3.render = function render(ctx, parentFrame, cb) {
        var _this6 = this;
        if (typeof ctx === "function") {
          cb = ctx;
          ctx = {};
        } else if (typeof parentFrame === "function") {
          cb = parentFrame;
          parentFrame = null;
        }
        var forceAsync = !parentFrame;
        try {
          this.compile();
        } catch (e) {
          var err = lib._prettifyError(this.path, this.env.opts.dev, e);
          if (cb) {
            return callbackAsap(cb, err);
          } else {
            throw err;
          }
        }
        var context = new Context(ctx || {}, this.blocks, this.env);
        var frame = parentFrame ? parentFrame.push(true) : new Frame();
        frame.topLevel = true;
        var syncResult = null;
        var didError = false;
        this.rootRenderFunc(this.env, context, frame, globalRuntime, function(err2, res) {
          if (didError && cb && typeof res !== "undefined") {
            return;
          }
          if (err2) {
            err2 = lib._prettifyError(_this6.path, _this6.env.opts.dev, err2);
            didError = true;
          }
          if (cb) {
            if (forceAsync) {
              callbackAsap(cb, err2, res);
            } else {
              cb(err2, res);
            }
          } else {
            if (err2) {
              throw err2;
            }
            syncResult = res;
          }
        });
        return syncResult;
      };
      _proto3.getExported = function getExported(ctx, parentFrame, cb) {
        if (typeof ctx === "function") {
          cb = ctx;
          ctx = {};
        }
        if (typeof parentFrame === "function") {
          cb = parentFrame;
          parentFrame = null;
        }
        try {
          this.compile();
        } catch (e) {
          if (cb) {
            return cb(e);
          } else {
            throw e;
          }
        }
        var frame = parentFrame ? parentFrame.push() : new Frame();
        frame.topLevel = true;
        var context = new Context(ctx || {}, this.blocks, this.env);
        this.rootRenderFunc(this.env, context, frame, globalRuntime, function(err) {
          if (err) {
            cb(err, null);
          } else {
            cb(null, context.getExported());
          }
        });
      };
      _proto3.compile = function compile() {
        if (!this.compiled) {
          this._compile();
        }
      };
      _proto3._compile = function _compile() {
        var props;
        if (this.tmplProps) {
          props = this.tmplProps;
        } else {
          var source = compiler.compile(this.tmplStr, this.env.asyncFilters, this.env.extensionsList, this.path, this.env.opts);
          var func = new Function(source);
          props = func();
        }
        this.blocks = this._getBlocks(props);
        this.rootRenderFunc = props.root;
        this.compiled = true;
      };
      _proto3._getBlocks = function _getBlocks(props) {
        var blocks = {};
        lib.keys(props).forEach(function(k) {
          if (k.slice(0, 2) === "b_") {
            blocks[k.slice(2)] = props[k];
          }
        });
        return blocks;
      };
      return Template2;
    }(Obj);
    module.exports = {
      Environment,
      Template
    };
  }
});

// ../../node_modules/nunjucks/src/precompile-global.js
var require_precompile_global = __commonJS({
  "../../node_modules/nunjucks/src/precompile-global.js"(exports, module) {
    "use strict";
    function precompileGlobal(templates, opts) {
      var out = "";
      opts = opts || {};
      for (var i = 0; i < templates.length; i++) {
        var name = JSON.stringify(templates[i].name);
        var template = templates[i].template;
        out += "(function() {(window.nunjucksPrecompiled = window.nunjucksPrecompiled || {})[" + name + "] = (function() {\n" + template + "\n})();\n";
        if (opts.asFunction) {
          out += "return function(ctx, cb) { return nunjucks.render(" + name + ", ctx, cb); }\n";
        }
        out += "})();\n";
      }
      return out;
    }
    module.exports = precompileGlobal;
  }
});

// ../../node_modules/nunjucks/src/precompile.js
var require_precompile = __commonJS({
  "../../node_modules/nunjucks/src/precompile.js"(exports, module) {
    "use strict";
    var fs3 = __require("fs");
    var path5 = __require("path");
    var _require = require_lib();
    var _prettifyError = _require._prettifyError;
    var compiler = require_compiler();
    var _require2 = require_environment();
    var Environment = _require2.Environment;
    var precompileGlobal = require_precompile_global();
    function match(filename, patterns) {
      if (!Array.isArray(patterns)) {
        return false;
      }
      return patterns.some(function(pattern) {
        return filename.match(pattern);
      });
    }
    function precompileString(str, opts) {
      opts = opts || {};
      opts.isString = true;
      var env = opts.env || new Environment([]);
      var wrapper = opts.wrapper || precompileGlobal;
      if (!opts.name) {
        throw new Error('the "name" option is required when compiling a string');
      }
      return wrapper([_precompile(str, opts.name, env)], opts);
    }
    function precompile(input, opts) {
      opts = opts || {};
      var env = opts.env || new Environment([]);
      var wrapper = opts.wrapper || precompileGlobal;
      if (opts.isString) {
        return precompileString(input, opts);
      }
      var pathStats = fs3.existsSync(input) && fs3.statSync(input);
      var precompiled = [];
      var templates = [];
      function addTemplates(dir) {
        fs3.readdirSync(dir).forEach(function(file) {
          var filepath = path5.join(dir, file);
          var subpath = filepath.substr(path5.join(input, "/").length);
          var stat = fs3.statSync(filepath);
          if (stat && stat.isDirectory()) {
            subpath += "/";
            if (!match(subpath, opts.exclude)) {
              addTemplates(filepath);
            }
          } else if (match(subpath, opts.include)) {
            templates.push(filepath);
          }
        });
      }
      if (pathStats.isFile()) {
        precompiled.push(_precompile(fs3.readFileSync(input, "utf-8"), opts.name || input, env));
      } else if (pathStats.isDirectory()) {
        addTemplates(input);
        for (var i = 0; i < templates.length; i++) {
          var name = templates[i].replace(path5.join(input, "/"), "");
          try {
            precompiled.push(_precompile(fs3.readFileSync(templates[i], "utf-8"), name, env));
          } catch (e) {
            if (opts.force) {
              console.error(e);
            } else {
              throw e;
            }
          }
        }
      }
      return wrapper(precompiled, opts);
    }
    function _precompile(str, name, env) {
      env = env || new Environment([]);
      var asyncFilters = env.asyncFilters;
      var extensions = env.extensionsList;
      var template;
      name = name.replace(/\\/g, "/");
      try {
        template = compiler.compile(str, asyncFilters, extensions, name, env.opts);
      } catch (err) {
        throw _prettifyError(name, false, err);
      }
      return {
        name,
        template
      };
    }
    module.exports = {
      precompile,
      precompileString
    };
  }
});

// ../../node_modules/nunjucks/src/jinja-compat.js
var require_jinja_compat = __commonJS({
  "../../node_modules/nunjucks/src/jinja-compat.js"(exports, module) {
    "use strict";
    function installCompat() {
      "use strict";
      var runtime = this.runtime;
      var lib = this.lib;
      var Compiler = this.compiler.Compiler;
      var Parser = this.parser.Parser;
      var nodes = this.nodes;
      var lexer = this.lexer;
      var orig_contextOrFrameLookup = runtime.contextOrFrameLookup;
      var orig_memberLookup = runtime.memberLookup;
      var orig_Compiler_assertType;
      var orig_Parser_parseAggregate;
      if (Compiler) {
        orig_Compiler_assertType = Compiler.prototype.assertType;
      }
      if (Parser) {
        orig_Parser_parseAggregate = Parser.prototype.parseAggregate;
      }
      function uninstall() {
        runtime.contextOrFrameLookup = orig_contextOrFrameLookup;
        runtime.memberLookup = orig_memberLookup;
        if (Compiler) {
          Compiler.prototype.assertType = orig_Compiler_assertType;
        }
        if (Parser) {
          Parser.prototype.parseAggregate = orig_Parser_parseAggregate;
        }
      }
      runtime.contextOrFrameLookup = function contextOrFrameLookup(context, frame, key) {
        var val = orig_contextOrFrameLookup.apply(this, arguments);
        if (val !== void 0) {
          return val;
        }
        switch (key) {
          case "True":
            return true;
          case "False":
            return false;
          case "None":
            return null;
          default:
            return void 0;
        }
      };
      function getTokensState(tokens) {
        return {
          index: tokens.index,
          lineno: tokens.lineno,
          colno: tokens.colno
        };
      }
      if (process.env.BUILD_TYPE !== "SLIM" && nodes && Compiler && Parser) {
        var Slice = nodes.Node.extend("Slice", {
          fields: ["start", "stop", "step"],
          init: function init(lineno, colno, start, stop, step) {
            start = start || new nodes.Literal(lineno, colno, null);
            stop = stop || new nodes.Literal(lineno, colno, null);
            step = step || new nodes.Literal(lineno, colno, 1);
            this.parent(lineno, colno, start, stop, step);
          }
        });
        Compiler.prototype.assertType = function assertType(node) {
          if (node instanceof Slice) {
            return;
          }
          orig_Compiler_assertType.apply(this, arguments);
        };
        Compiler.prototype.compileSlice = function compileSlice(node, frame) {
          this._emit("(");
          this._compileExpression(node.start, frame);
          this._emit("),(");
          this._compileExpression(node.stop, frame);
          this._emit("),(");
          this._compileExpression(node.step, frame);
          this._emit(")");
        };
        Parser.prototype.parseAggregate = function parseAggregate() {
          var _this = this;
          var origState = getTokensState(this.tokens);
          origState.colno--;
          origState.index--;
          try {
            return orig_Parser_parseAggregate.apply(this);
          } catch (e) {
            var errState = getTokensState(this.tokens);
            var rethrow = function rethrow2() {
              lib._assign(_this.tokens, errState);
              return e;
            };
            lib._assign(this.tokens, origState);
            this.peeked = false;
            var tok = this.peekToken();
            if (tok.type !== lexer.TOKEN_LEFT_BRACKET) {
              throw rethrow();
            } else {
              this.nextToken();
            }
            var node = new Slice(tok.lineno, tok.colno);
            var isSlice = false;
            for (var i = 0; i <= node.fields.length; i++) {
              if (this.skip(lexer.TOKEN_RIGHT_BRACKET)) {
                break;
              }
              if (i === node.fields.length) {
                if (isSlice) {
                  this.fail("parseSlice: too many slice components", tok.lineno, tok.colno);
                } else {
                  break;
                }
              }
              if (this.skip(lexer.TOKEN_COLON)) {
                isSlice = true;
              } else {
                var field = node.fields[i];
                node[field] = this.parseExpression();
                isSlice = this.skip(lexer.TOKEN_COLON) || isSlice;
              }
            }
            if (!isSlice) {
              throw rethrow();
            }
            return new nodes.Array(tok.lineno, tok.colno, [node]);
          }
        };
      }
      function sliceLookup(obj, start, stop, step) {
        obj = obj || [];
        if (start === null) {
          start = step < 0 ? obj.length - 1 : 0;
        }
        if (stop === null) {
          stop = step < 0 ? -1 : obj.length;
        } else if (stop < 0) {
          stop += obj.length;
        }
        if (start < 0) {
          start += obj.length;
        }
        var results = [];
        for (var i = start; ; i += step) {
          if (i < 0 || i > obj.length) {
            break;
          }
          if (step > 0 && i >= stop) {
            break;
          }
          if (step < 0 && i <= stop) {
            break;
          }
          results.push(runtime.memberLookup(obj, i));
        }
        return results;
      }
      function hasOwnProp(obj, key) {
        return Object.prototype.hasOwnProperty.call(obj, key);
      }
      var ARRAY_MEMBERS = {
        pop: function pop(index) {
          if (index === void 0) {
            return this.pop();
          }
          if (index >= this.length || index < 0) {
            throw new Error("KeyError");
          }
          return this.splice(index, 1);
        },
        append: function append(element) {
          return this.push(element);
        },
        remove: function remove(element) {
          for (var i = 0; i < this.length; i++) {
            if (this[i] === element) {
              return this.splice(i, 1);
            }
          }
          throw new Error("ValueError");
        },
        count: function count(element) {
          var count2 = 0;
          for (var i = 0; i < this.length; i++) {
            if (this[i] === element) {
              count2++;
            }
          }
          return count2;
        },
        index: function index(element) {
          var i;
          if ((i = this.indexOf(element)) === -1) {
            throw new Error("ValueError");
          }
          return i;
        },
        find: function find(element) {
          return this.indexOf(element);
        },
        insert: function insert(index, elem) {
          return this.splice(index, 0, elem);
        }
      };
      var OBJECT_MEMBERS = {
        items: function items() {
          return lib._entries(this);
        },
        values: function values() {
          return lib._values(this);
        },
        keys: function keys() {
          return lib.keys(this);
        },
        get: function get(key, def) {
          var output = this[key];
          if (output === void 0) {
            output = def;
          }
          return output;
        },
        has_key: function has_key(key) {
          return hasOwnProp(this, key);
        },
        pop: function pop(key, def) {
          var output = this[key];
          if (output === void 0 && def !== void 0) {
            output = def;
          } else if (output === void 0) {
            throw new Error("KeyError");
          } else {
            delete this[key];
          }
          return output;
        },
        popitem: function popitem() {
          var keys = lib.keys(this);
          if (!keys.length) {
            throw new Error("KeyError");
          }
          var k = keys[0];
          var val = this[k];
          delete this[k];
          return [k, val];
        },
        setdefault: function setdefault(key, def) {
          if (def === void 0) {
            def = null;
          }
          if (!(key in this)) {
            this[key] = def;
          }
          return this[key];
        },
        update: function update(kwargs) {
          lib._assign(this, kwargs);
          return null;
        }
      };
      OBJECT_MEMBERS.iteritems = OBJECT_MEMBERS.items;
      OBJECT_MEMBERS.itervalues = OBJECT_MEMBERS.values;
      OBJECT_MEMBERS.iterkeys = OBJECT_MEMBERS.keys;
      runtime.memberLookup = function memberLookup(obj, val, autoescape) {
        if (arguments.length === 4) {
          return sliceLookup.apply(this, arguments);
        }
        obj = obj || {};
        if (lib.isArray(obj) && hasOwnProp(ARRAY_MEMBERS, val)) {
          return ARRAY_MEMBERS[val].bind(obj);
        }
        if (lib.isObject(obj) && hasOwnProp(OBJECT_MEMBERS, val)) {
          return OBJECT_MEMBERS[val].bind(obj);
        }
        return orig_memberLookup.apply(this, arguments);
      };
      return uninstall;
    }
    module.exports = installCompat;
  }
});

// ../../node_modules/nunjucks/index.js
var require_nunjucks = __commonJS({
  "../../node_modules/nunjucks/index.js"(exports, module) {
    "use strict";
    var lib = require_lib();
    var _require = require_environment();
    var Environment = _require.Environment;
    var Template = _require.Template;
    var Loader = require_loader();
    var loaders = require_loaders();
    var precompile = require_precompile();
    var compiler = require_compiler();
    var parser2 = require_parser();
    var lexer = require_lexer();
    var runtime = require_runtime();
    var nodes = require_nodes();
    var installJinjaCompat = require_jinja_compat();
    var e;
    function configure(templatesPath, opts) {
      opts = opts || {};
      if (lib.isObject(templatesPath)) {
        opts = templatesPath;
        templatesPath = null;
      }
      var TemplateLoader;
      if (loaders.FileSystemLoader) {
        TemplateLoader = new loaders.FileSystemLoader(templatesPath, {
          watch: opts.watch,
          noCache: opts.noCache
        });
      } else if (loaders.WebLoader) {
        TemplateLoader = new loaders.WebLoader(templatesPath, {
          useCache: opts.web && opts.web.useCache,
          async: opts.web && opts.web.async
        });
      }
      e = new Environment(TemplateLoader, opts);
      if (opts && opts.express) {
        e.express(opts.express);
      }
      return e;
    }
    module.exports = {
      Environment,
      Template,
      Loader,
      FileSystemLoader: loaders.FileSystemLoader,
      NodeResolveLoader: loaders.NodeResolveLoader,
      PrecompiledLoader: loaders.PrecompiledLoader,
      WebLoader: loaders.WebLoader,
      compiler,
      parser: parser2,
      lexer,
      runtime,
      lib,
      nodes,
      installJinjaCompat,
      configure,
      reset: function reset() {
        e = void 0;
      },
      compile: function compile(src, env, path5, eagerCompile) {
        if (!e) {
          configure();
        }
        return new Template(src, env, path5, eagerCompile);
      },
      render: function render(name, ctx, cb) {
        if (!e) {
          configure();
        }
        return e.render(name, ctx, cb);
      },
      renderString: function renderString(src, ctx, cb) {
        if (!e) {
          configure();
        }
        return e.renderString(src, ctx, cb);
      },
      precompile: precompile ? precompile.precompile : void 0,
      precompileString: precompile ? precompile.precompileString : void 0
    };
  }
});

// package.json
var require_package = __commonJS({
  "package.json"(exports, module) {
    module.exports = {
      name: "@html-validate/eslint-config",
      version: "6.5.1",
      description: "Eslint sharable config used by the various HTML-validate packages",
      keywords: [
        "eslint"
      ],
      homepage: "https://gitlab.com/html-validate/eslint-config#readme",
      bugs: {
        url: "https://gitlab.com/html-validate/eslint-config/issues"
      },
      repository: {
        type: "git",
        url: "git+https://gitlab.com/html-validate/eslint-config.git",
        directory: "packages/eslint-config"
      },
      license: "MIT",
      author: "David Sveningsson <ext@sidvind.com>",
      type: "module",
      main: "index.mjs",
      bin: {
        eslint: "eslint.mjs",
        "eslint-config": "./cli.mjs"
      },
      files: [
        "dist",
        "template",
        "eslint.mjs",
        "cli.mjs"
      ],
      scripts: {
        prebuild: "tsc",
        build: "node build.mjs",
        prepack: "release-prepack --retain-scripts",
        postpack: "release-postpack",
        prepublishOnly: "release-prepublish --retain-scripts"
      },
      dependencies: {
        "@eslint/js": "9.31.0",
        argparse: "2.0.1",
        eslint: "9.31.0",
        "eslint-config-prettier": "10.1.5",
        "eslint-formatter-gitlab": "6.0.1",
        "eslint-import-resolver-node": "0.3.9",
        "eslint-import-resolver-typescript": "4.4.4",
        "eslint-plugin-array-func": "5.0.2",
        "eslint-plugin-eslint-comments": "3.2.0",
        "eslint-plugin-import": "2.32.0",
        "eslint-plugin-n": "17.21.0",
        "eslint-plugin-prettier": "5.5.1",
        "eslint-plugin-security": "3.0.1",
        "eslint-plugin-sonarjs": "3.0.4",
        "find-up": "7.0.0",
        globals: "16.2.0",
        nunjucks: "3.2.4"
      },
      devDependencies: {
        esbuild: "0.25.6",
        "internal-prettier": "6.5.0"
      },
      peerDependencies: {
        prettier: "^3.0.0"
      },
      engines: {
        node: ">= 20.12.0",
        npm: ">= 7"
      },
      publishConfig: {
        access: "public"
      }
    };
  }
});

// src/cli.ts
var import_argparse = __toESM(require_argparse(), 1);
import fs2 from "node:fs";
import path4 from "node:path";
import child_process from "node:child_process";
import { promisify } from "node:util";
import { fileURLToPath as fileURLToPath3 } from "node:url";

// node_modules/find-up/index.js
import path2 from "node:path";

// node_modules/locate-path/index.js
import process2 from "node:process";
import path from "node:path";
import fs, { promises as fsPromises } from "node:fs";
import { fileURLToPath } from "node:url";

// node_modules/yocto-queue/index.js
var Node = class {
  value;
  next;
  constructor(value) {
    this.value = value;
  }
};
var Queue = class {
  #head;
  #tail;
  #size;
  constructor() {
    this.clear();
  }
  enqueue(value) {
    const node = new Node(value);
    if (this.#head) {
      this.#tail.next = node;
      this.#tail = node;
    } else {
      this.#head = node;
      this.#tail = node;
    }
    this.#size++;
  }
  dequeue() {
    const current = this.#head;
    if (!current) {
      return;
    }
    this.#head = this.#head.next;
    this.#size--;
    return current.value;
  }
  peek() {
    if (!this.#head) {
      return;
    }
    return this.#head.value;
  }
  clear() {
    this.#head = void 0;
    this.#tail = void 0;
    this.#size = 0;
  }
  get size() {
    return this.#size;
  }
  *[Symbol.iterator]() {
    let current = this.#head;
    while (current) {
      yield current.value;
      current = current.next;
    }
  }
  *drain() {
    while (this.#head) {
      yield this.dequeue();
    }
  }
};

// node_modules/p-limit/index.js
function pLimit(concurrency) {
  if (!((Number.isInteger(concurrency) || concurrency === Number.POSITIVE_INFINITY) && concurrency > 0)) {
    throw new TypeError("Expected `concurrency` to be a number from 1 and up");
  }
  const queue = new Queue();
  let activeCount = 0;
  const next = () => {
    activeCount--;
    if (queue.size > 0) {
      queue.dequeue()();
    }
  };
  const run2 = async (fn, resolve, args2) => {
    activeCount++;
    const result = (async () => fn(...args2))();
    resolve(result);
    try {
      await result;
    } catch {
    }
    next();
  };
  const enqueue = (fn, resolve, args2) => {
    queue.enqueue(run2.bind(void 0, fn, resolve, args2));
    (async () => {
      await Promise.resolve();
      if (activeCount < concurrency && queue.size > 0) {
        queue.dequeue()();
      }
    })();
  };
  const generator = (fn, ...args2) => new Promise((resolve) => {
    enqueue(fn, resolve, args2);
  });
  Object.defineProperties(generator, {
    activeCount: {
      get: () => activeCount
    },
    pendingCount: {
      get: () => queue.size
    },
    clearQueue: {
      value: () => {
        queue.clear();
      }
    }
  });
  return generator;
}

// node_modules/p-locate/index.js
var EndError = class extends Error {
  constructor(value) {
    super();
    this.value = value;
  }
};
var testElement = async (element, tester) => tester(await element);
var finder = async (element) => {
  const values = await Promise.all(element);
  if (values[1] === true) {
    throw new EndError(values[0]);
  }
  return false;
};
async function pLocate(iterable, tester, {
  concurrency = Number.POSITIVE_INFINITY,
  preserveOrder = true
} = {}) {
  const limit = pLimit(concurrency);
  const items = [...iterable].map((element) => [element, limit(testElement, element, tester)]);
  const checkLimit = pLimit(preserveOrder ? 1 : Number.POSITIVE_INFINITY);
  try {
    await Promise.all(items.map((element) => checkLimit(finder, element)));
  } catch (error) {
    if (error instanceof EndError) {
      return error.value;
    }
    throw error;
  }
}

// node_modules/locate-path/index.js
var typeMappings = {
  directory: "isDirectory",
  file: "isFile"
};
function checkType(type) {
  if (Object.hasOwnProperty.call(typeMappings, type)) {
    return;
  }
  throw new Error(`Invalid type specified: ${type}`);
}
var matchType = (type, stat) => stat[typeMappings[type]]();
var toPath = (urlOrPath) => urlOrPath instanceof URL ? fileURLToPath(urlOrPath) : urlOrPath;
async function locatePath(paths, {
  cwd = process2.cwd(),
  type = "file",
  allowSymlinks = true,
  concurrency,
  preserveOrder
} = {}) {
  checkType(type);
  cwd = toPath(cwd);
  const statFunction = allowSymlinks ? fsPromises.stat : fsPromises.lstat;
  return pLocate(paths, async (path_) => {
    try {
      const stat = await statFunction(path.resolve(cwd, path_));
      return matchType(type, stat);
    } catch {
      return false;
    }
  }, { concurrency, preserveOrder });
}

// node_modules/unicorn-magic/node.js
import { fileURLToPath as fileURLToPath2 } from "node:url";
function toPath2(urlOrPath) {
  return urlOrPath instanceof URL ? fileURLToPath2(urlOrPath) : urlOrPath;
}

// node_modules/find-up/index.js
var findUpStop = Symbol("findUpStop");
async function findUpMultiple(name, options = {}) {
  let directory = path2.resolve(toPath2(options.cwd) ?? "");
  const { root } = path2.parse(directory);
  const stopAt = path2.resolve(directory, toPath2(options.stopAt ?? root));
  const limit = options.limit ?? Number.POSITIVE_INFINITY;
  const paths = [name].flat();
  const runMatcher = async (locateOptions) => {
    if (typeof name !== "function") {
      return locatePath(paths, locateOptions);
    }
    const foundPath = await name(locateOptions.cwd);
    if (typeof foundPath === "string") {
      return locatePath([foundPath], locateOptions);
    }
    return foundPath;
  };
  const matches = [];
  while (true) {
    const foundPath = await runMatcher({ ...options, cwd: directory });
    if (foundPath === findUpStop) {
      break;
    }
    if (foundPath) {
      matches.push(path2.resolve(directory, foundPath));
    }
    if (directory === stopAt || matches.length >= limit) {
      break;
    }
    directory = path2.dirname(directory);
  }
  return matches;
}
async function findUp(name, options = {}) {
  const matches = await findUpMultiple(name, { ...options, limit: 1 });
  return matches[0];
}

// src/render.ts
var import_nunjucks = __toESM(require_nunjucks(), 1);
import path3 from "path";
import prettier from "prettier";
async function renderNunjucks(src, dst, features) {
  import_nunjucks.default.configure(path3.dirname(src), { trimBlocks: true });
  const typeinfo = features.typeinfo ? {
    rootDir: path3.dirname(features.typeinfo),
    tsconfig: `./${path3.basename(features.typeinfo)}`
  } : false;
  const context = { ...features, typeinfo };
  const result = import_nunjucks.default.render(path3.basename(src), context);
  const prettierConfig = await prettier.resolveConfig(dst, {
    editorconfig: true
  });
  return prettier.format(result, {
    ...prettierConfig,
    filepath: dst
  });
}

// src/cli.ts
var pkg = require_package();
var __filename = fileURLToPath3(import.meta.url);
var __dirname = path4.dirname(__filename);
var exec = promisify(child_process.exec);
var templateDir = path4.join(__dirname, "../template");
var PACKAGE_JSON = "package.json";
async function getRootDir() {
  const pkgFile = await findUp(PACKAGE_JSON);
  if (!pkgFile) {
    console.error("Failed to locate project root");
    process.exit(1);
  }
  return path4.dirname(pkgFile);
}
function resolveTemplate(filename) {
  const njk = path4.join(templateDir, `${filename}.njk`);
  if (fs2.existsSync(njk)) {
    return [njk, renderNunjucks];
  }
  throw new Error(`Failed to locate template "${filename}" in "${templateDir}"`);
}
async function ensureFileRemoved(filename, options) {
  if (!fs2.existsSync(filename)) {
    return;
  }
  options.changes++;
  if (options.dryRun) {
    console.log(`${filename} needs removal`);
  } else {
    fs2.unlinkSync(filename);
    console.log(`${filename} removed`);
  }
}
async function ensureFileExists(filename, options, features) {
  const [src, renderer] = resolveTemplate(filename);
  const dst = path4.join(options.rootDir, filename);
  const expected = await renderer(src, dst, features);
  if (fs2.existsSync(dst)) {
    const actual = fs2.readFileSync(dst, "utf-8");
    if (actual === expected) {
      return;
    }
  }
  options.changes++;
  if (options.dryRun) {
    console.log(`${filename} - needs update`);
  } else {
    fs2.writeFileSync(dst, expected);
    console.log(`${filename} written`);
  }
}
async function ensureDependencyRemoved(name, options) {
  const dst = path4.join(options.rootDir, PACKAGE_JSON);
  const data = fs2.readFileSync(dst, "utf-8");
  const pkg2 = JSON.parse(data);
  const dependencies = /* @__PURE__ */ new Set([
    ...Object.keys(pkg2.dependencies || {}),
    ...Object.keys(pkg2.devDependencies || {}),
    ...Object.keys(pkg2.peerDependencies || {})
  ]);
  if (!dependencies.has(name)) {
    return;
  }
  options.changes++;
  if (options.dryRun) {
    console.log(`package.json - ${name} dependency is present when it shouldn't`);
  } else {
    console.log(`package.json - removing dependency "${name}"`);
    try {
      await exec(`npm rm --save-dev ${name}`);
    } catch (err) {
      console.error(err.stdout);
      console.error(err.stderr);
    }
  }
}
async function ensureDependencyExists(name, options) {
  const dst = path4.join(options.rootDir, PACKAGE_JSON);
  const data = fs2.readFileSync(dst, "utf-8");
  const pkg2 = JSON.parse(data);
  const dependencies = /* @__PURE__ */ new Set([
    ...Object.keys(pkg2.dependencies || {}),
    ...Object.keys(pkg2.devDependencies || {}),
    ...Object.keys(pkg2.peerDependencies || {})
  ]);
  if (dependencies.has(name)) {
    return;
  }
  options.changes++;
  if (options.dryRun) {
    console.log(`package.json - ${name} dependency is missing`);
  } else {
    console.log(`package.json - installing dependency "${name}"`);
    try {
      await exec(`npm install --save-dev ${name}`);
    } catch (err) {
      console.error(err.stdout);
      console.error(err.stderr);
    }
  }
}
async function ensurePkgScript(script, command, options) {
  const dst = path4.join(options.rootDir, PACKAGE_JSON);
  const data = fs2.readFileSync(dst, "utf-8");
  const pkg2 = JSON.parse(data);
  if (pkg2.scripts && pkg2.scripts[script] && pkg2.scripts[script] === command) {
    return;
  }
  options.changes++;
  if (options.dryRun) {
    console.log(`package.json - ${script} script needs update`);
  } else {
    if (!pkg2.scripts) {
      pkg2.scripts = {};
    }
    pkg2.scripts[script] = command;
    const output = JSON.stringify(pkg2, null, 2);
    fs2.writeFileSync(dst, `${output}
`);
    console.log(`package.json "${script}" script updated`);
  }
}
async function writeConfig(options, features) {
  await ensureFileRemoved(".eslintrc.json", options);
  await ensureFileRemoved(".eslintrc.js", options);
  await ensureFileRemoved(".eslintrc.cjs", options);
  await ensureFileRemoved(".eslintignore", options);
  await ensureFileExists("eslint.config.mjs", options, features);
  await ensurePkgScript("eslint", "eslint --cache .", options);
  await ensurePkgScript("eslint:fix", "eslint --cache --fix .", options);
  await ensureDependencyRemoved("eslint", options);
  await ensureDependencyExists("@html-validate/eslint-config", options);
  if (features.typeinfo) {
    await ensureDependencyExists("@html-validate/eslint-config-typescript-typeinfo", options);
  }
  if (features.typescript) {
    await ensureDependencyExists("@html-validate/eslint-config-typescript", options);
  }
  if (features.jest) {
    await ensureDependencyExists("@html-validate/eslint-config-jest", options);
  }
  if (features.cypress) {
    await ensureDependencyExists("@html-validate/eslint-config-cypress", options);
  }
  if (features.angularjs) {
    await ensureDependencyExists("@html-validate/eslint-config-angularjs", options);
  }
  if (features.vue) {
    await ensureDependencyExists("@html-validate/eslint-config-vue", options);
  }
  if (features.protractor) {
    await ensureDependencyExists("@html-validate/eslint-config-protractor", options);
  }
  if (!options.dryRun) {
    return true;
  }
  if (options.changes > 0) {
    console.error("The files listed needs updating. Use `--write` to write changes automatically.");
  }
  return options.changes === 0;
}
async function getFeatures(options, args2) {
  const dst = path4.join(options.rootDir, PACKAGE_JSON);
  const data = fs2.readFileSync(dst, "utf-8");
  const pkg2 = JSON.parse(data);
  const deps = { ...pkg2.dependencies, ...pkg2.devDependencies };
  return {
    angularjs: args2.angularjs ?? Boolean(deps.angular),
    cypress: args2.cypress ?? Boolean(deps.cypress),
    jest: args2.jest ?? Boolean(deps.jest),
    protractor: args2.protractor ?? Boolean(deps.protractor),
    typeinfo: args2.typeinfo ?? (deps.typescript ? "./tsconfig.json" : false),
    typescript: args2.typescript ?? Boolean(deps.typescript),
    vue: args2.vue ?? Boolean(deps.vue)
  };
}
async function run(args2) {
  const rootDir = await getRootDir();
  const options = {
    rootDir,
    dryRun: args2.mode === "check",
    changes: 0
  };
  const features = await getFeatures(options, args2);
  const ok = await writeConfig(options, features);
  process.exit(ok ? 0 : 1);
}
var parser = new import_argparse.ArgumentParser({
  add_help: true,
  description: pkg.description
});
parser.add_argument("-v", "--version", {
  action: "version",
  version: pkg.version
});
parser.add_argument("-w", "--write", {
  action: "store_const",
  const: "write",
  dest: "mode",
  help: "Write configuration"
});
parser.add_argument("-c", "--check", {
  action: "store_const",
  const: "check",
  dest: "mode",
  help: "Check if configuration is up-to-date"
});
parser.add_argument("--disable-cypress", {
  action: "store_const",
  const: false,
  dest: "cypress",
  help: "Disable Cypress support"
});
parser.add_argument("--disable-protractor", {
  action: "store_const",
  const: false,
  dest: "protractor",
  help: "Disable Protractor support"
});
parser.add_argument("--disable-jest", {
  action: "store_const",
  const: false,
  dest: "jest",
  help: "Disable Jest support"
});
parser.add_argument("--disable-typescript", {
  action: "store_const",
  const: false,
  dest: "typescript",
  help: "Disable typescript support"
});
parser.add_argument("--disable-typeinfo", {
  action: "store_const",
  const: false,
  dest: "typeinfo",
  help: "Disable typescript typeinfo support"
});
parser.add_argument("--disable-angularjs", {
  action: "store_const",
  const: false,
  dest: "angularjs",
  help: "Disable AngularJS support"
});
parser.add_argument("--disable-vue", {
  action: "store_const",
  const: false,
  dest: "vue",
  help: "Disable Vue support"
});
parser.add_argument("--enable-cypress", {
  action: "store_const",
  const: true,
  dest: "cypress",
  help: "Enable Cypress support"
});
parser.add_argument("--enable-protractor", {
  action: "store_const",
  const: true,
  dest: "protractor",
  help: "Enable Protractor support"
});
parser.add_argument("--enable-jest", {
  action: "store_const",
  const: true,
  dest: "jest",
  help: "Enable Jest support"
});
parser.add_argument("--enable-typescript", {
  action: "store_const",
  const: true,
  dest: "typescript",
  help: "Enable typescript support"
});
parser.add_argument("--enable-typeinfo", {
  nargs: "?",
  dest: "typeinfo",
  const: "tsconfig.json",
  metavar: "TSCONFIG",
  help: "Enable typescript typeinfo support"
});
parser.add_argument("--enable-angularjs", {
  action: "store_const",
  const: true,
  dest: "angularjs",
  help: "Enable AngularJS support"
});
parser.add_argument("--enable-vue", {
  action: "store_const",
  const: true,
  dest: "vue",
  help: "Enable Vue support"
});
var args = parser.parse_args();
if (!args.mode) {
  parser.print_help();
  process.exit(1);
}
run(args);
//# sourceMappingURL=cli.mjs.map
